/*===========================================================================*/
/*   (Ast/check_sharing.scm)                                                 */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/check_sharing.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2resetz12za2zzast_checkzd2sharingzd2(obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2b1302zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_checkzd2sharingzd2();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t,
		BgL_nodez00_bglt);
	static obj_t BGl_z62checkzd2nodezd2sharingz62zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2j1298zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2l1292zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2l1294zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62checkzd2sharingzb0zzast_checkzd2sharingzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_checkzd2sharingzd2();
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2 =
		BUNSPEC;
	BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 =
		BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2a1274zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2a1276zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_checkzd2sharingzd2();
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s1270zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s1272zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2c1282zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2c1286zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s1284zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s1290zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2s1296zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2m1300zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharing1266z62zzast_checkzd2sharingzd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2();
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2e1280zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2f1278zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62checkzd2nodezd2sharingzd2f1288zb0zzast_checkzd2sharingzd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1801z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1801za700za7za7a1806za7, "ast_check-sharing", 17);
	      DEFINE_STRING(BGl_string1802z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1802za700za7za7a1807za7, "done ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71808za7,
		BGl_z62checkzd2nodezd2sharing1266z62zzast_checkzd2sharingzd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71809za7,
		BGl_z62checkzd2nodezd2sharingzd2s1270zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71810za7,
		BGl_z62checkzd2nodezd2sharingzd2s1272zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71811za7,
		BGl_z62checkzd2nodezd2sharingzd2a1274zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71812za7,
		BGl_z62checkzd2nodezd2sharingzd2a1276zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71813za7,
		BGl_z62checkzd2nodezd2sharingzd2f1278zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71814za7,
		BGl_z62checkzd2nodezd2sharingzd2e1280zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71815za7,
		BGl_z62checkzd2nodezd2sharingzd2c1282zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71816za7,
		BGl_z62checkzd2nodezd2sharingzd2s1284zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71817za7,
		BGl_z62checkzd2nodezd2sharingzd2c1286zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71818za7,
		BGl_z62checkzd2nodezd2sharingzd2f1288zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71819za7,
		BGl_z62checkzd2nodezd2sharingzd2s1290zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71820za7,
		BGl_z62checkzd2nodezd2sharingzd2l1292zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71821za7,
		BGl_z62checkzd2nodezd2sharingzd2l1294zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71822za7,
		BGl_z62checkzd2nodezd2sharingzd2s1296zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71823za7,
		BGl_z62checkzd2nodezd2sharingzd2j1298zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71824za7,
		BGl_z62checkzd2nodezd2sharingzd2m1300zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71825za7,
		BGl_z62checkzd2nodezd2sharingz62zzast_checkzd2sharingzd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71826za7,
		BGl_z62checkzd2nodezd2sharingzd2b1302zb0zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1771z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1771za700za7za7a1827za7, " error", 6);
	      DEFINE_STRING(BGl_string1772z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1772za700za7za7a1828za7, "s", 1);
	      DEFINE_STRING(BGl_string1773z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1773za700za7za7a1829za7, "", 0);
	      DEFINE_STRING(BGl_string1774z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1774za700za7za7a1830za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1775z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1775za700za7za7a1831za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1777z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1777za700za7za7a1832za7, "check-node-sharing1266", 22);
	      DEFINE_STRING(BGl_string1778z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1778za700za7za7a1833za7, "check-node-sharing (~a)", 23);
	      DEFINE_STRING(BGl_string1779z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1779za700za7za7a1834za7, "shared node", 11);
	      DEFINE_STRING(BGl_string1780z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1780za700za7za7a1835za7, "node    : ", 10);
	      DEFINE_STRING(BGl_string1781z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1781za700za7za7a1836za7, "context : ", 10);
	      DEFINE_STRING(BGl_string1782z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1782za700za7za7a1837za7, "================================",
		32);
	      DEFINE_STRING(BGl_string1784z00zzast_checkzd2sharingzd2,
		BgL_bgl_string1784za700za7za7a1838za7, "check-node-sharing", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2nodezd2sharingzd2resetz12zd2envz12zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2nodeza71839za7,
		BGl_z62checkzd2nodezd2sharingzd2resetz12za2zzast_checkzd2sharingzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2sharingzd2envz00zzast_checkzd2sharingzd2,
		BgL_bgl_za762checkza7d2shari1840z00,
		BGl_z62checkzd2sharingzb0zzast_checkzd2sharingzd2, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2previousza2z00zzast_checkzd2sharingzd2));
		   
			 ADD_ROOT((void
				*) (&BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2));
		     ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long
		BgL_checksumz00_2303, char *BgL_fromz00_2304)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_checkzd2sharingzd2();
					BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2();
					BGl_cnstzd2initzd2zzast_checkzd2sharingzd2();
					BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2();
					BGl_genericzd2initzd2zzast_checkzd2sharingzd2();
					BGl_methodzd2initzd2zzast_checkzd2sharingzd2();
					return BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_check-sharing");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"ast_check-sharing");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			{	/* Ast/check_sharing.scm 17 */
				obj_t BgL_cportz00_2185;

				{	/* Ast/check_sharing.scm 17 */
					obj_t BgL_stringz00_2193;

					BgL_stringz00_2193 = BGl_string1802z00zzast_checkzd2sharingzd2;
					{	/* Ast/check_sharing.scm 17 */
						obj_t BgL_startz00_2194;

						BgL_startz00_2194 = BINT(((long) 0));
						{	/* Ast/check_sharing.scm 17 */
							obj_t BgL_endz00_2195;

							BgL_endz00_2195 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2193)));
							{	/* Ast/check_sharing.scm 17 */

								BgL_cportz00_2185 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2193, BgL_startz00_2194, BgL_endz00_2195);
				}}}}
				{
					long BgL_iz00_2186;

					BgL_iz00_2186 = ((long) 0);
				BgL_loopz00_2187:
					if ((BgL_iz00_2186 == ((long) -1)))
						{	/* Ast/check_sharing.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/check_sharing.scm 17 */
							{	/* Ast/check_sharing.scm 17 */
								obj_t BgL_arg1804z00_2189;

								{	/* Ast/check_sharing.scm 17 */

									{	/* Ast/check_sharing.scm 17 */
										obj_t BgL_locationz00_2191;

										BgL_locationz00_2191 = BBOOL(((bool_t) 0));
										{	/* Ast/check_sharing.scm 17 */

											BgL_arg1804z00_2189 =
												BGl_readz00zz__readerz00(BgL_cportz00_2185,
												BgL_locationz00_2191);
										}
									}
								}
								{	/* Ast/check_sharing.scm 17 */
									int BgL_tmpz00_2335;

									BgL_tmpz00_2335 = (int) (BgL_iz00_2186);
									CNST_TABLE_SET(BgL_tmpz00_2335, BgL_arg1804z00_2189);
							}}
							{	/* Ast/check_sharing.scm 17 */
								int BgL_auxz00_2192;

								BgL_auxz00_2192 = (int) ((BgL_iz00_2186 - ((long) 1)));
								{
									long BgL_iz00_2340;

									BgL_iz00_2340 = (long) (BgL_auxz00_2192);
									BgL_iz00_2186 = BgL_iz00_2340;
									goto BgL_loopz00_2187;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2 = BFALSE;
			BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL;
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* check-sharing */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t
		BgL_passz00_25, obj_t BgL_globalsz00_26)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 38 */
			if (CBOOL(BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00))
				{	/* Ast/check_sharing.scm 39 */
					BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2 =
						BgL_passz00_25;
					{
						obj_t BgL_l1249z00_1603;

						BgL_l1249z00_1603 = BgL_globalsz00_26;
					BgL_zc3anonymousza31319ze3z83_1604:
						if (PAIRP(BgL_l1249z00_1603))
							{	/* Ast/check_sharing.scm 42 */
								{	/* Ast/check_sharing.scm 43 */
									obj_t BgL_globalz00_1606;

									BgL_globalz00_1606 = CAR(BgL_l1249z00_1603);
									{	/* Ast/check_sharing.scm 57 */
										BgL_valuez00_bglt BgL_funz00_1989;

										BgL_funz00_1989 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_globalz00_1606)))->
											BgL_valuez00);
										{	/* Ast/check_sharing.scm 57 */
											obj_t BgL_bodyz00_1990;

											BgL_bodyz00_1990 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1989)))->
												BgL_bodyz00);
											{	/* Ast/check_sharing.scm 58 */

												BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
													((BgL_nodez00_bglt) BgL_bodyz00_1990), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1249z00_2354;

									BgL_l1249z00_2354 = CDR(BgL_l1249z00_1603);
									BgL_l1249z00_1603 = BgL_l1249z00_2354;
									goto BgL_zc3anonymousza31319ze3z83_1604;
								}
							}
						else
							{	/* Ast/check_sharing.scm 42 */
								((bool_t) 1);
							}
					}
					BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL;
					if (
						((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
							((long) 0)))
						{	/* Ast/check_sharing.scm 46 */
							{	/* Ast/check_sharing.scm 46 */
								obj_t BgL_port1251z00_1611;

								{	/* Ast/check_sharing.scm 46 */
									obj_t BgL_res1747z00_1997;

									{	/* Ast/check_sharing.scm 46 */
										obj_t BgL_tmpz00_2359;

										BgL_tmpz00_2359 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1747z00_1997 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2359);
									}
									BgL_port1251z00_1611 = BgL_res1747z00_1997;
								}
								bgl_display_obj
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
									BgL_port1251z00_1611);
								bgl_display_string(BGl_string1771z00zzast_checkzd2sharingzd2,
									BgL_port1251z00_1611);
								{	/* Ast/check_sharing.scm 46 */
									obj_t BgL_arg1343z00_1612;

									{	/* Ast/check_sharing.scm 46 */
										bool_t BgL_testz00_2364;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Ast/check_sharing.scm 46 */
												if (INTEGERP
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Ast/check_sharing.scm 46 */
														BgL_testz00_2364 =
															(
															(long)
															CINT
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
															> ((long) 1));
													}
												else
													{	/* Ast/check_sharing.scm 46 */
														BgL_testz00_2364 =
															BGl_2ze3ze3zz__r4_numbers_6_5z00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
															BINT(((long) 1)));
											}}
										else
											{	/* Ast/check_sharing.scm 46 */
												BgL_testz00_2364 = ((bool_t) 0);
											}
										if (BgL_testz00_2364)
											{	/* Ast/check_sharing.scm 46 */
												BgL_arg1343z00_1612 =
													BGl_string1772z00zzast_checkzd2sharingzd2;
											}
										else
											{	/* Ast/check_sharing.scm 46 */
												BgL_arg1343z00_1612 =
													BGl_string1773z00zzast_checkzd2sharingzd2;
											}
									}
									bgl_display_obj(BgL_arg1343z00_1612, BgL_port1251z00_1611);
								}
								bgl_display_string(BGl_string1774z00zzast_checkzd2sharingzd2,
									BgL_port1251z00_1611);
								bgl_display_char(((unsigned char) 10), BgL_port1251z00_1611);
							}
							{	/* Ast/check_sharing.scm 46 */
								obj_t BgL_list1347z00_1618;

								BgL_list1347z00_1618 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
								return BGl_exitz00zz__errorz00(BgL_list1347z00_1618);
							}
						}
					else
						{	/* Ast/check_sharing.scm 46 */
							obj_t BgL_g1111z00_1619;

							BgL_g1111z00_1619 = BNIL;
							{
								obj_t BgL_hooksz00_1622;
								obj_t BgL_hnamesz00_1623;

								BgL_hooksz00_1622 = BgL_g1111z00_1619;
								BgL_hnamesz00_1623 = BNIL;
							BgL_zc3anonymousza31348ze3z83_1624:
								if (NULLP(BgL_hooksz00_1622))
									{	/* Ast/check_sharing.scm 46 */
										return BgL_globalsz00_26;
									}
								else
									{	/* Ast/check_sharing.scm 46 */
										bool_t BgL_testz00_2381;

										{	/* Ast/check_sharing.scm 46 */
											obj_t BgL_fun1368z00_1631;

											BgL_fun1368z00_1631 = CAR(((obj_t) BgL_hooksz00_1622));
											BgL_testz00_2381 =
												CBOOL(PROCEDURE_ENTRY(BgL_fun1368z00_1631)
												(BgL_fun1368z00_1631, BEOA));
										}
										if (BgL_testz00_2381)
											{	/* Ast/check_sharing.scm 46 */
												obj_t BgL_arg1356z00_1628;
												obj_t BgL_arg1366z00_1629;

												BgL_arg1356z00_1628 = CDR(((obj_t) BgL_hooksz00_1622));
												BgL_arg1366z00_1629 = CDR(((obj_t) BgL_hnamesz00_1623));
												{
													obj_t BgL_hnamesz00_2393;
													obj_t BgL_hooksz00_2392;

													BgL_hooksz00_2392 = BgL_arg1356z00_1628;
													BgL_hnamesz00_2393 = BgL_arg1366z00_1629;
													BgL_hnamesz00_1623 = BgL_hnamesz00_2393;
													BgL_hooksz00_1622 = BgL_hooksz00_2392;
													goto BgL_zc3anonymousza31348ze3z83_1624;
												}
											}
										else
											{	/* Ast/check_sharing.scm 46 */
												obj_t BgL_arg1367z00_1630;

												BgL_arg1367z00_1630 = CAR(((obj_t) BgL_hnamesz00_1623));
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string1775z00zzast_checkzd2sharingzd2,
													BgL_arg1367z00_1630);
											}
									}
							}
						}
				}
			else
				{	/* Ast/check_sharing.scm 39 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* &check-sharing */
	obj_t BGl_z62checkzd2sharingzb0zzast_checkzd2sharingzd2(obj_t BgL_envz00_2105,
		obj_t BgL_passz00_2106, obj_t BgL_globalsz00_2107)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 38 */
			return
				BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BgL_passz00_2106,
				BgL_globalsz00_2107);
		}
		BGL_FUNCTION_END;
	}



/* check-node-sharing-reset! */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 69 */
			return (BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-reset! */
	obj_t
		BGl_z62checkzd2nodezd2sharingzd2resetz12za2zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2108)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 69 */
			return BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2();
		}
		BGL_FUNCTION_END;
	}



/* check-node-sharing* */
	bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t
		BgL_nodeza2za2_65, BgL_nodez00_bglt BgL_contextz00_66)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 240 */
			{
				obj_t BgL_l1264z00_1637;

				BgL_l1264z00_1637 = BgL_nodeza2za2_65;
			BgL_zc3anonymousza31370ze3z83_1638:
				if (PAIRP(BgL_l1264z00_1637))
					{	/* Ast/check_sharing.scm 241 */
						{	/* Ast/check_sharing.scm 241 */
							obj_t BgL_nodez00_1640;

							BgL_nodez00_1640 = CAR(BgL_l1264z00_1637);
							BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
								((BgL_nodez00_bglt) BgL_nodez00_1640),
								((obj_t) BgL_contextz00_66));
						}
						{
							obj_t BgL_l1264z00_2405;

							BgL_l1264z00_2405 = CDR(BgL_l1264z00_1637);
							BgL_l1264z00_1637 = BgL_l1264z00_2405;
							goto BgL_zc3anonymousza31370ze3z83_1638;
						}
					}
				else
					{	/* Ast/check_sharing.scm 241 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_proc1776z00zzast_checkzd2sharingzd2, BGl_nodez00zzast_nodez00,
				BGl_string1777z00zzast_checkzd2sharingzd2);
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing1266 */
	obj_t BGl_z62checkzd2nodezd2sharing1266z62zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2110, obj_t BgL_nodez00_2111, obj_t BgL_contextz00_2112)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 75 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_nodez00_bglt) BgL_nodez00_2111)),
						BGl_za2previousza2z00zzast_checkzd2sharingzd2)))
				{	/* Ast/check_sharing.scm 76 */
					{	/* Ast/check_sharing.scm 78 */
						obj_t BgL_arg1390z00_2199;
						obj_t BgL_arg1391z00_2200;
						obj_t BgL_arg1397z00_2201;

						BgL_arg1390z00_2199 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_nodez00_2111)))->BgL_locz00);
						{	/* Ast/check_sharing.scm 79 */
							obj_t BgL_list1398z00_2202;

							BgL_list1398z00_2202 =
								MAKE_YOUNG_PAIR
								(BGl_za2checkzd2sharingzd2passza2z00zzast_checkzd2sharingzd2,
								BNIL);
							BgL_arg1391z00_2200 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1778z00zzast_checkzd2sharingzd2,
								BgL_list1398z00_2202);
						}
						BgL_arg1397z00_2201 =
							bgl_find_runtime_type(
							((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2111)));
						BGl_userzd2warningzf2locationz20zztools_errorz00
							(BgL_arg1390z00_2199, BgL_arg1391z00_2200,
							BGl_string1779z00zzast_checkzd2sharingzd2, BgL_arg1397z00_2201);
					}
					{	/* Ast/check_sharing.scm 83 */
						obj_t BgL_port1252z00_2203;

						{	/* Ast/check_sharing.scm 83 */
							obj_t BgL_res1753z00_2204;

							{	/* Ast/check_sharing.scm 83 */
								obj_t BgL_tmpz00_2421;

								BgL_tmpz00_2421 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1753z00_2204 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2421);
							}
							BgL_port1252z00_2203 = BgL_res1753z00_2204;
						}
						bgl_display_string(BGl_string1780z00zzast_checkzd2sharingzd2,
							BgL_port1252z00_2203);
						{	/* Ast/check_sharing.scm 83 */
							obj_t BgL_arg1411z00_2205;

							BgL_arg1411z00_2205 =
								BGl_shapez00zztools_shapez00(
								((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2111)));
							bgl_display_obj(BgL_arg1411z00_2205, BgL_port1252z00_2203);
						}
						bgl_display_char(((unsigned char) 10), BgL_port1252z00_2203);
					}
					{	/* Ast/check_sharing.scm 84 */
						obj_t BgL_port1253z00_2206;

						{	/* Ast/check_sharing.scm 84 */
							obj_t BgL_res1754z00_2207;

							{	/* Ast/check_sharing.scm 84 */
								obj_t BgL_tmpz00_2430;

								BgL_tmpz00_2430 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1754z00_2207 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2430);
							}
							BgL_port1253z00_2206 = BgL_res1754z00_2207;
						}
						bgl_display_string(BGl_string1781z00zzast_checkzd2sharingzd2,
							BgL_port1253z00_2206);
						bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_contextz00_2112),
							BgL_port1253z00_2206);
						bgl_display_char(((unsigned char) 10), BgL_port1253z00_2206);
					}
					{	/* Ast/check_sharing.scm 85 */
						obj_t BgL_port1254z00_2208;

						{	/* Ast/check_sharing.scm 85 */
							obj_t BgL_res1755z00_2209;

							{	/* Ast/check_sharing.scm 85 */
								obj_t BgL_tmpz00_2437;

								BgL_tmpz00_2437 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1755z00_2209 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2437);
							}
							BgL_port1254z00_2208 = BgL_res1755z00_2209;
						}
						bgl_display_string(BGl_string1782z00zzast_checkzd2sharingzd2,
							BgL_port1254z00_2208);
						bgl_display_char(((unsigned char) 10), BgL_port1254z00_2208);
				}}
			else
				{	/* Ast/check_sharing.scm 76 */
					BGl_za2previousza2z00zzast_checkzd2sharingzd2 =
						MAKE_YOUNG_PAIR(
						((obj_t)
							((BgL_nodez00_bglt) BgL_nodez00_2111)),
						BGl_za2previousza2z00zzast_checkzd2sharingzd2);
				}
			return CNST_TABLE_REF(((long) 0));
		}
		BGL_FUNCTION_END;
	}



/* check-node-sharing */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt
		BgL_nodez00_29, obj_t BgL_contextz00_30)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 75 */
			{	/* Ast/check_sharing.scm 75 */
				obj_t BgL_method1267z00_1658;

				{	/* Ast/check_sharing.scm 75 */
					obj_t BgL_res1767z00_2080;

					{	/* Ast/check_sharing.scm 75 */
						long BgL_objzd2classzd2numz00_2037;

						{	/* Ast/check_sharing.scm 75 */
							long BgL_res1756z00_2040;

							BgL_res1756z00_2040 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_29));
							BgL_objzd2classzd2numz00_2037 = BgL_res1756z00_2040;
						}
						{	/* Ast/check_sharing.scm 75 */
							obj_t BgL_arg1738z00_2038;

							BgL_arg1738z00_2038 =
								PROCEDURE_REF
								(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
								(int) (((long) 1)));
							{	/* Ast/check_sharing.scm 75 */
								int BgL_offsetz00_2042;

								BgL_offsetz00_2042 = (int) (BgL_objzd2classzd2numz00_2037);
								{	/* Ast/check_sharing.scm 75 */
									long BgL_offsetz00_2043;

									BgL_offsetz00_2043 =
										((long) (BgL_offsetz00_2042) - OBJECT_TYPE);
									{	/* Ast/check_sharing.scm 75 */
										long BgL_modz00_2044;

										{	/* Ast/check_sharing.scm 75 */
											int BgL_arg1740z00_2045;

											BgL_arg1740z00_2045 = (int) (((long) 16));
											{	/* Ast/check_sharing.scm 75 */
												long BgL_res1759z00_2055;

												{	/* Ast/check_sharing.scm 75 */
													long BgL_tmpz00_2454;

													BgL_tmpz00_2454 = (long) (BgL_arg1740z00_2045);
													BgL_res1759z00_2055 =
														(BgL_offsetz00_2043 / BgL_tmpz00_2454);
												}
												BgL_modz00_2044 = BgL_res1759z00_2055;
										}}
										{	/* Ast/check_sharing.scm 75 */
											long BgL_restz00_2046;

											{	/* Ast/check_sharing.scm 75 */
												int BgL_arg1739z00_2047;

												BgL_arg1739z00_2047 = (int) (((long) 16));
												{	/* Ast/check_sharing.scm 75 */
													long BgL_res1766z00_2075;

													{	/* Ast/check_sharing.scm 75 */
														long BgL_n1z00_2057;
														long BgL_n2z00_2058;

														BgL_n1z00_2057 = BgL_offsetz00_2043;
														BgL_n2z00_2058 = (long) (BgL_arg1739z00_2047);
														{	/* Ast/check_sharing.scm 75 */
															bool_t BgL_testz00_2459;

															{	/* Ast/check_sharing.scm 75 */
																long BgL_arg1304z00_2060;

																BgL_arg1304z00_2060 =
																	(((BgL_n1z00_2057) | (BgL_n2z00_2058)) &
																	-2147483648);
																BgL_testz00_2459 =
																	(BgL_arg1304z00_2060 == ((long) 0));
															}
															if (BgL_testz00_2459)
																{	/* Ast/check_sharing.scm 75 */
																	int32_t BgL_arg1278z00_2061;

																	{	/* Ast/check_sharing.scm 75 */
																		int32_t BgL_arg1301z00_2062;
																		int32_t BgL_arg1303z00_2063;

																		{	/* Ast/check_sharing.scm 75 */
																			int32_t BgL_res1762z00_2067;

																			BgL_res1762z00_2067 =
																				(int32_t) (BgL_n1z00_2057);
																			BgL_arg1301z00_2062 = BgL_res1762z00_2067;
																		}
																		{	/* Ast/check_sharing.scm 75 */
																			int32_t BgL_res1763z00_2069;

																			BgL_res1763z00_2069 =
																				(int32_t) (BgL_n2z00_2058);
																			BgL_arg1303z00_2063 = BgL_res1763z00_2069;
																		}
																		BgL_arg1278z00_2061 =
																			(BgL_arg1301z00_2062 %
																			BgL_arg1303z00_2063);
																	}
																	{	/* Ast/check_sharing.scm 75 */
																		long BgL_res1765z00_2074;

																		{	/* Ast/check_sharing.scm 75 */
																			long BgL_arg1406z00_2071;

																			BgL_arg1406z00_2071 =
																				(long) (BgL_arg1278z00_2061);
																			{	/* Ast/check_sharing.scm 75 */
																				long BgL_res1764z00_2073;

																				BgL_res1764z00_2073 =
																					(long) (BgL_arg1406z00_2071);
																				BgL_res1765z00_2074 =
																					BgL_res1764z00_2073;
																		}}
																		BgL_res1766z00_2075 = BgL_res1765z00_2074;
																}}
															else
																{	/* Ast/check_sharing.scm 75 */
																	BgL_res1766z00_2075 =
																		(BgL_n1z00_2057 % BgL_n2z00_2058);
																}
														}
													}
													BgL_restz00_2046 = BgL_res1766z00_2075;
												}
											}
											{	/* Ast/check_sharing.scm 75 */

												{	/* Ast/check_sharing.scm 75 */
													obj_t BgL_bucketz00_2048;

													BgL_bucketz00_2048 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2038), BgL_modz00_2044);
													BgL_res1767z00_2080 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2048), BgL_restz00_2046);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1267z00_1658 = BgL_res1767z00_2080;
				}
				return
					PROCEDURE_ENTRY(BgL_method1267z00_1658) (BgL_method1267z00_1658,
					((obj_t) BgL_nodez00_29), BgL_contextz00_30, BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing */
	obj_t BGl_z62checkzd2nodezd2sharingz62zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2113, obj_t BgL_nodez00_2114, obj_t BgL_contextz00_2115)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 75 */
			return
				BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
				((BgL_nodez00_bglt) BgL_nodez00_2114), BgL_contextz00_2115);
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1783z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_syncz00zzast_nodez00, BGl_proc1785z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_appz00zzast_nodez00, BGl_proc1786z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1787z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1788z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_externz00zzast_nodez00, BGl_proc1789z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_castz00zzast_nodez00, BGl_proc1790z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_setqz00zzast_nodez00, BGl_proc1791z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1792z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_failz00zzast_nodez00, BGl_proc1793z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_switchz00zzast_nodez00, BGl_proc1794z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1795z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1796z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1797z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1798z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1799z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1800z00zzast_checkzd2sharingzd2,
				BGl_string1784z00zzast_checkzd2sharingzd2);
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-b1302 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2b1302zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2133, obj_t BgL_nodez00_2134, obj_t BgL_contextz00_2135)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 232 */
			{

				{	/* Ast/check_sharing.scm 232 */
					obj_t BgL_nextzd2method1301zd2_2212;

					BgL_nextzd2method1301zd2_2212 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2134)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_boxzd2setz12zc0zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1301zd2_2212)
						(BgL_nextzd2method1301zd2_2212,
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2134)),
						BgL_contextz00_2135, BEOA);
				}
				{	/* Ast/check_sharing.scm 235 */
					BgL_nodez00_bglt BgL_arg1562z00_2213;

					BgL_arg1562z00_2213 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2134)))->BgL_valuez00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1562z00_2213,
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2134)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-m1300 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2m1300zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2136, obj_t BgL_nodez00_2137, obj_t BgL_contextz00_2138)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 225 */
			{

				{	/* Ast/check_sharing.scm 225 */
					obj_t BgL_nextzd2method1299zd2_2216;

					BgL_nextzd2method1299zd2_2216 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2137)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_makezd2boxzd2zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1299zd2_2216)
						(BgL_nextzd2method1299zd2_2216,
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2137)),
						BgL_contextz00_2138, BEOA);
				}
				{	/* Ast/check_sharing.scm 227 */
					BgL_nodez00_bglt BgL_arg1555z00_2217;

					BgL_arg1555z00_2217 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2137)))->BgL_valuez00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1555z00_2217,
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2137)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-j1298 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2j1298zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140, obj_t BgL_contextz00_2141)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 216 */
			{

				{	/* Ast/check_sharing.scm 216 */
					obj_t BgL_nextzd2method1297zd2_2220;

					BgL_nextzd2method1297zd2_2220 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_jumpzd2exzd2itz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1297zd2_2220)
						(BgL_nextzd2method1297zd2_2220,
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)),
						BgL_contextz00_2141, BEOA);
				}
				{	/* Ast/check_sharing.scm 219 */
					BgL_nodez00_bglt BgL_arg1553z00_2221;

					BgL_arg1553z00_2221 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)))->BgL_exitz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1553z00_2221,
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)));
				}
				{	/* Ast/check_sharing.scm 220 */
					BgL_nodez00_bglt BgL_arg1554z00_2222;

					BgL_arg1554z00_2222 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)))->
						BgL_valuez00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1554z00_2222,
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2140)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-s1296 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s1296zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2142, obj_t BgL_nodez00_2143, obj_t BgL_contextz00_2144)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 209 */
			{

				{	/* Ast/check_sharing.scm 209 */
					obj_t BgL_nextzd2method1295zd2_2225;

					BgL_nextzd2method1295zd2_2225 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2143)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_setzd2exzd2itz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1295zd2_2225)
						(BgL_nextzd2method1295zd2_2225,
						((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2143)),
						BgL_contextz00_2144, BEOA);
				}
				{	/* Ast/check_sharing.scm 211 */
					BgL_nodez00_bglt BgL_arg1552z00_2226;

					BgL_arg1552z00_2226 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2143)))->BgL_bodyz00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1552z00_2226,
						((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2143)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-l1294 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2l1294zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2145, obj_t BgL_nodez00_2146, obj_t BgL_contextz00_2147)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 198 */
			{

				{	/* Ast/check_sharing.scm 198 */
					obj_t BgL_nextzd2method1293zd2_2229;

					BgL_nextzd2method1293zd2_2229 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2146)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_letzd2varzd2zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1293zd2_2229)
						(BgL_nextzd2method1293zd2_2229,
						((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2146)),
						BgL_contextz00_2147, BEOA);
				}
				{	/* Ast/check_sharing.scm 201 */
					BgL_nodez00_bglt BgL_arg1536z00_2230;

					BgL_arg1536z00_2230 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2146)))->BgL_bodyz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1536z00_2230,
						((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2146)));
				}
				{	/* Ast/check_sharing.scm 202 */
					obj_t BgL_g1263z00_2231;

					BgL_g1263z00_2231 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2146)))->BgL_bindingsz00);
					{
						obj_t BgL_l1261z00_2233;

						{	/* Ast/check_sharing.scm 202 */
							bool_t BgL_tmpz00_2579;

							BgL_l1261z00_2233 = BgL_g1263z00_2231;
						BgL_zc3anonymousza31537ze3z83_2232:
							if (PAIRP(BgL_l1261z00_2233))
								{	/* Ast/check_sharing.scm 202 */
									{	/* Ast/check_sharing.scm 203 */
										obj_t BgL_bindingz00_2234;

										BgL_bindingz00_2234 = CAR(BgL_l1261z00_2233);
										{	/* Ast/check_sharing.scm 203 */
											obj_t BgL_arg1540z00_2235;

											BgL_arg1540z00_2235 = CDR(((obj_t) BgL_bindingz00_2234));
											BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
												((BgL_nodez00_bglt) BgL_arg1540z00_2235),
												((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2146)));
										}
									}
									{
										obj_t BgL_l1261z00_2589;

										BgL_l1261z00_2589 = CDR(BgL_l1261z00_2233);
										BgL_l1261z00_2233 = BgL_l1261z00_2589;
										goto BgL_zc3anonymousza31537ze3z83_2232;
									}
								}
							else
								{	/* Ast/check_sharing.scm 202 */
									BgL_tmpz00_2579 = ((bool_t) 1);
								}
							return BBOOL(BgL_tmpz00_2579);
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-l1292 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2l1292zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2148, obj_t BgL_nodez00_2149, obj_t BgL_contextz00_2150)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 189 */
			{

				{	/* Ast/check_sharing.scm 189 */
					obj_t BgL_nextzd2method1291zd2_2238;

					BgL_nextzd2method1291zd2_2238 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2149)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_letzd2funzd2zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1291zd2_2238)
						(BgL_nextzd2method1291zd2_2238,
						((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2149)),
						BgL_contextz00_2150, BEOA);
				}
				{	/* Ast/check_sharing.scm 192 */
					obj_t BgL_g1260z00_2239;

					BgL_g1260z00_2239 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2149)))->BgL_localsz00);
					{
						obj_t BgL_l1258z00_2241;

						BgL_l1258z00_2241 = BgL_g1260z00_2239;
					BgL_zc3anonymousza31527ze3z83_2240:
						if (PAIRP(BgL_l1258z00_2241))
							{	/* Ast/check_sharing.scm 192 */
								{	/* Ast/check_sharing.scm 192 */
									obj_t BgL_fz00_2242;

									BgL_fz00_2242 = CAR(BgL_l1258z00_2241);
									{	/* Ast/check_sharing.scm 57 */
										BgL_valuez00_bglt BgL_funz00_2243;

										BgL_funz00_2243 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_fz00_2242)))->
											BgL_valuez00);
										{	/* Ast/check_sharing.scm 57 */
											obj_t BgL_bodyz00_2244;

											BgL_bodyz00_2244 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2243)))->
												BgL_bodyz00);
											{	/* Ast/check_sharing.scm 58 */

												BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
													((BgL_nodez00_bglt) BgL_bodyz00_2244),
													((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2149)));
											}
										}
									}
								}
								{
									obj_t BgL_l1258z00_2615;

									BgL_l1258z00_2615 = CDR(BgL_l1258z00_2241);
									BgL_l1258z00_2241 = BgL_l1258z00_2615;
									goto BgL_zc3anonymousza31527ze3z83_2240;
								}
							}
						else
							{	/* Ast/check_sharing.scm 192 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/check_sharing.scm 193 */
					BgL_nodez00_bglt BgL_arg1535z00_2245;

					BgL_arg1535z00_2245 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2149)))->BgL_bodyz00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1535z00_2245,
						((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2149)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-s1290 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s1290zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2151, obj_t BgL_nodez00_2152, obj_t BgL_contextz00_2153)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 175 */
			{

				{	/* Ast/check_sharing.scm 175 */
					obj_t BgL_nextzd2method1289zd2_2248;

					BgL_nextzd2method1289zd2_2248 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) BgL_nodez00_2152)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_switchz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1289zd2_2248)
						(BgL_nextzd2method1289zd2_2248,
						((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2152)),
						BgL_contextz00_2153, BEOA);
				}
				{	/* Ast/check_sharing.scm 178 */
					BgL_nodez00_bglt BgL_arg1511z00_2249;

					BgL_arg1511z00_2249 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2152)))->BgL_testz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1511z00_2249,
						((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2152)));
				}
				{	/* Ast/check_sharing.scm 179 */
					obj_t BgL_g1257z00_2250;

					BgL_g1257z00_2250 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2152)))->BgL_clausesz00);
					{
						obj_t BgL_l1255z00_2252;

						{	/* Ast/check_sharing.scm 179 */
							bool_t BgL_tmpz00_2639;

							BgL_l1255z00_2252 = BgL_g1257z00_2250;
						BgL_zc3anonymousza31512ze3z83_2251:
							if (PAIRP(BgL_l1255z00_2252))
								{	/* Ast/check_sharing.scm 179 */
									{	/* Ast/check_sharing.scm 180 */
										obj_t BgL_clausez00_2253;

										BgL_clausez00_2253 = CAR(BgL_l1255z00_2252);
										{	/* Ast/check_sharing.scm 180 */
											obj_t BgL_arg1524z00_2254;

											BgL_arg1524z00_2254 = CDR(((obj_t) BgL_clausez00_2253));
											BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
												((BgL_nodez00_bglt) BgL_arg1524z00_2254),
												((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2152)));
										}
									}
									{
										obj_t BgL_l1255z00_2649;

										BgL_l1255z00_2649 = CDR(BgL_l1255z00_2252);
										BgL_l1255z00_2252 = BgL_l1255z00_2649;
										goto BgL_zc3anonymousza31512ze3z83_2251;
									}
								}
							else
								{	/* Ast/check_sharing.scm 179 */
									BgL_tmpz00_2639 = ((bool_t) 1);
								}
							return BBOOL(BgL_tmpz00_2639);
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-f1288 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2f1288zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2154, obj_t BgL_nodez00_2155, obj_t BgL_contextz00_2156)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 165 */
			{

				{	/* Ast/check_sharing.scm 165 */
					obj_t BgL_nextzd2method1287zd2_2257;

					BgL_nextzd2method1287zd2_2257 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt) BgL_nodez00_2155)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_failz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1287zd2_2257)
						(BgL_nextzd2method1287zd2_2257,
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2155)),
						BgL_contextz00_2156, BEOA);
				}
				{	/* Ast/check_sharing.scm 168 */
					BgL_nodez00_bglt BgL_arg1504z00_2258;

					BgL_arg1504z00_2258 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2155)))->BgL_procz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1504z00_2258,
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2155)));
				}
				{	/* Ast/check_sharing.scm 169 */
					BgL_nodez00_bglt BgL_arg1505z00_2259;

					BgL_arg1505z00_2259 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2155)))->BgL_msgz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1505z00_2259,
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2155)));
				}
				{	/* Ast/check_sharing.scm 170 */
					BgL_nodez00_bglt BgL_arg1508z00_2260;

					BgL_arg1508z00_2260 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2155)))->BgL_objz00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1508z00_2260,
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2155)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-c1286 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2c1286zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2157, obj_t BgL_nodez00_2158, obj_t BgL_contextz00_2159)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 155 */
			{

				{	/* Ast/check_sharing.scm 155 */
					obj_t BgL_nextzd2method1285zd2_2263;

					BgL_nextzd2method1285zd2_2263 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_2158)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_conditionalz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1285zd2_2263)
						(BgL_nextzd2method1285zd2_2263,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2158)),
						BgL_contextz00_2159, BEOA);
				}
				{	/* Ast/check_sharing.scm 158 */
					BgL_nodez00_bglt BgL_arg1495z00_2264;

					BgL_arg1495z00_2264 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_testz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1495z00_2264,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2158)));
				}
				{	/* Ast/check_sharing.scm 159 */
					BgL_nodez00_bglt BgL_arg1496z00_2265;

					BgL_arg1496z00_2265 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_truez00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1496z00_2265,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2158)));
				}
				{	/* Ast/check_sharing.scm 160 */
					BgL_nodez00_bglt BgL_arg1501z00_2266;

					BgL_arg1501z00_2266 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2158)))->BgL_falsez00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1501z00_2266,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2158)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-s1284 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s1284zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2160, obj_t BgL_nodez00_2161, obj_t BgL_contextz00_2162)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 148 */
			{

				{	/* Ast/check_sharing.scm 148 */
					obj_t BgL_nextzd2method1283zd2_2269;

					BgL_nextzd2method1283zd2_2269 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) BgL_nodez00_2161)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_setqz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1283zd2_2269)
						(BgL_nextzd2method1283zd2_2269,
						((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2161)),
						BgL_contextz00_2162, BEOA);
				}
				{	/* Ast/check_sharing.scm 150 */
					BgL_nodez00_bglt BgL_arg1487z00_2270;

					BgL_arg1487z00_2270 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2161)))->BgL_valuez00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1487z00_2270,
						((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2161)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-c1282 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2c1282zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2163, obj_t BgL_nodez00_2164, obj_t BgL_contextz00_2165)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 141 */
			{

				{	/* Ast/check_sharing.scm 141 */
					obj_t BgL_nextzd2method1281zd2_2273;

					BgL_nextzd2method1281zd2_2273 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt) BgL_nodez00_2164)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_castz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1281zd2_2273)
						(BgL_nextzd2method1281zd2_2273,
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2164)),
						BgL_contextz00_2165, BEOA);
				}
				{	/* Ast/check_sharing.scm 143 */
					BgL_nodez00_bglt BgL_arg1482z00_2274;

					BgL_arg1482z00_2274 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2164)))->BgL_argz00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1482z00_2274,
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2164)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-e1280 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2e1280zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2166, obj_t BgL_nodez00_2167, obj_t BgL_contextz00_2168)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 134 */
			{

				{	/* Ast/check_sharing.scm 134 */
					obj_t BgL_nextzd2method1279zd2_2277;

					BgL_nextzd2method1279zd2_2277 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_externz00_bglt) BgL_nodez00_2167)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_externz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1279zd2_2277)
						(BgL_nextzd2method1279zd2_2277,
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2167)),
						BgL_contextz00_2168, BEOA);
				}
				{	/* Ast/check_sharing.scm 136 */
					obj_t BgL_arg1481z00_2278;

					BgL_arg1481z00_2278 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2167)))->BgL_exprza2za2);
					return
						BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
						(BgL_arg1481z00_2278,
							((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2167))));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-f1278 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2f1278zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2169, obj_t BgL_nodez00_2170, obj_t BgL_contextz00_2171)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 125 */
			{

				{	/* Ast/check_sharing.scm 125 */
					obj_t BgL_nextzd2method1277zd2_2281;

					BgL_nextzd2method1277zd2_2281 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2170)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_funcallz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1277zd2_2281)
						(BgL_nextzd2method1277zd2_2281,
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2170)),
						BgL_contextz00_2171, BEOA);
				}
				{	/* Ast/check_sharing.scm 128 */
					BgL_nodez00_bglt BgL_arg1464z00_2282;

					BgL_arg1464z00_2282 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2170)))->BgL_funz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1464z00_2282,
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2170)));
				}
				{	/* Ast/check_sharing.scm 129 */
					obj_t BgL_arg1479z00_2283;

					BgL_arg1479z00_2283 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2170)))->BgL_argsz00);
					return
						BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
						(BgL_arg1479z00_2283,
							((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2170))));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-a1276 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2a1276zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2172, obj_t BgL_nodez00_2173, obj_t BgL_contextz00_2174)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 116 */
			{

				{	/* Ast/check_sharing.scm 116 */
					obj_t BgL_nextzd2method1275zd2_2286;

					BgL_nextzd2method1275zd2_2286 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2173)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_appzd2lyzd2zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1275zd2_2286)
						(BgL_nextzd2method1275zd2_2286,
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2173)),
						BgL_contextz00_2174, BEOA);
				}
				{	/* Ast/check_sharing.scm 119 */
					BgL_nodez00_bglt BgL_arg1457z00_2287;

					BgL_arg1457z00_2287 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2173)))->BgL_funz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1457z00_2287,
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2173)));
				}
				{	/* Ast/check_sharing.scm 120 */
					BgL_nodez00_bglt BgL_arg1462z00_2288;

					BgL_arg1462z00_2288 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2173)))->BgL_argz00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1462z00_2288,
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2173)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-a1274 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2a1274zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2175, obj_t BgL_nodez00_2176, obj_t BgL_contextz00_2177)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 108 */
			{

				{	/* Ast/check_sharing.scm 108 */
					obj_t BgL_nextzd2method1273zd2_2291;

					BgL_nextzd2method1273zd2_2291 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_2176)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_appz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1273zd2_2291)
						(BgL_nextzd2method1273zd2_2291,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2176)), BgL_contextz00_2177,
						BEOA);
				}
				{	/* Ast/check_sharing.scm 111 */
					obj_t BgL_arg1445z00_2292;

					BgL_arg1445z00_2292 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2176)))->BgL_argsz00);
					return
						BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
						(BgL_arg1445z00_2292,
							((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2176))));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-s1272 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s1272zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2178, obj_t BgL_nodez00_2179, obj_t BgL_contextz00_2180)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 99 */
			{

				{	/* Ast/check_sharing.scm 99 */
					obj_t BgL_nextzd2method1271zd2_2295;

					BgL_nextzd2method1271zd2_2295 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) BgL_nodez00_2179)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_syncz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1271zd2_2295)
						(BgL_nextzd2method1271zd2_2295,
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2179)),
						BgL_contextz00_2180, BEOA);
				}
				{	/* Ast/check_sharing.scm 101 */
					BgL_nodez00_bglt BgL_arg1415z00_2296;

					BgL_arg1415z00_2296 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2179)))->BgL_mutexz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1415z00_2296,
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2179)));
				}
				{	/* Ast/check_sharing.scm 102 */
					BgL_nodez00_bglt BgL_arg1423z00_2297;

					BgL_arg1423z00_2297 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2179)))->BgL_prelockz00);
					BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1423z00_2297,
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2179)));
				}
				{	/* Ast/check_sharing.scm 103 */
					BgL_nodez00_bglt BgL_arg1433z00_2298;

					BgL_arg1433z00_2298 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2179)))->BgL_bodyz00);
					return
						BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2
						(BgL_arg1433z00_2298,
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2179)));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &check-node-sharing-s1270 */
	obj_t BGl_z62checkzd2nodezd2sharingzd2s1270zb0zzast_checkzd2sharingzd2(obj_t
		BgL_envz00_2181, obj_t BgL_nodez00_2182, obj_t BgL_contextz00_2183)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 92 */
			{

				{	/* Ast/check_sharing.scm 92 */
					obj_t BgL_nextzd2method1269zd2_2301;

					BgL_nextzd2method1269zd2_2301 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt) BgL_nodez00_2182)),
						BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2,
						BGl_sequencez00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1269zd2_2301)
						(BgL_nextzd2method1269zd2_2301,
						((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2182)),
						BgL_contextz00_2183, BEOA);
				}
				{	/* Ast/check_sharing.scm 94 */
					obj_t BgL_arg1414z00_2302;

					BgL_arg1414z00_2302 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2182)))->BgL_nodesz00);
					return
						BBOOL(BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2
						(BgL_arg1414z00_2302,
							((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2182))));
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/check_sharing.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
			return
				BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string1801z00zzast_checkzd2sharingzd2));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
