/*===========================================================================*/
/*   (Inline/app.scm)                                                        */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/app.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_appz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_appz00();
	static long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt);
	static obj_t BGl_z62zc3anonymousza31295ze3ze1zzinline_appz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzinline_appz00();
	extern obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00;
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_appz00 = BUNSPEC;
	extern obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_appz00();
	extern obj_t BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	extern obj_t BGl_za2userzd2inliningzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long,
		obj_t);
	extern obj_t BGl_za2inliningzf3za2zf3zzengine_paramz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	static obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_appz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00();
	extern obj_t BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt, long, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	extern obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00;
	static BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_containszd2kwotezf3z21zzinline_appz00(obj_t);
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzd2envz00zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71712za7,
		BGl_z62inlinezd2appzb0zzinline_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1704z00zzinline_appz00,
		BgL_bgl_string1704za700za7za7i1713za7, "simple", 6);
	      DEFINE_STRING(BGl_string1705z00zzinline_appz00,
		BgL_bgl_string1705za700za7za7i1714za7, "inline_app", 10);
	      DEFINE_STRING(BGl_string1706z00zzinline_appz00,
		BgL_bgl_string1706za700za7za7i1715za7,
		"import predicate reducer sgfun all snifun static sifun ", 55);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2appzf3zd2envzf3zzinline_appz00,
		BgL_bgl_za762inlineza7d2appza71716za7,
		BGl_z62inlinezd2appzf3z43zzinline_appz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_appz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long
		BgL_checksumz00_1792, char *BgL_fromz00_1793)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_appz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_appz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_appz00();
					BGl_libraryzd2moduleszd2initz00zzinline_appz00();
					BGl_cnstzd2initzd2zzinline_appz00();
					BGl_importedzd2moduleszd2initz00zzinline_appz00();
					return BGl_methodzd2initzd2zzinline_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_app");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_appz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 15 */
			{	/* Inline/app.scm 15 */
				obj_t BgL_cportz00_1779;

				{	/* Inline/app.scm 15 */
					obj_t BgL_stringz00_1787;

					BgL_stringz00_1787 = BGl_string1706z00zzinline_appz00;
					{	/* Inline/app.scm 15 */
						obj_t BgL_startz00_1788;

						BgL_startz00_1788 = BINT(((long) 0));
						{	/* Inline/app.scm 15 */
							obj_t BgL_endz00_1789;

							BgL_endz00_1789 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1787)));
							{	/* Inline/app.scm 15 */

								BgL_cportz00_1779 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1787, BgL_startz00_1788, BgL_endz00_1789);
				}}}}
				{
					long BgL_iz00_1780;

					BgL_iz00_1780 = ((long) 7);
				BgL_loopz00_1781:
					if ((BgL_iz00_1780 == ((long) -1)))
						{	/* Inline/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/app.scm 15 */
							{	/* Inline/app.scm 15 */
								obj_t BgL_arg1710z00_1783;

								{	/* Inline/app.scm 15 */

									{	/* Inline/app.scm 15 */
										obj_t BgL_locationz00_1785;

										BgL_locationz00_1785 = BBOOL(((bool_t) 0));
										{	/* Inline/app.scm 15 */

											BgL_arg1710z00_1783 =
												BGl_readz00zz__readerz00(BgL_cportz00_1779,
												BgL_locationz00_1785);
										}
									}
								}
								{	/* Inline/app.scm 15 */
									int BgL_tmpz00_1818;

									BgL_tmpz00_1818 = (int) (BgL_iz00_1780);
									CNST_TABLE_SET(BgL_tmpz00_1818, BgL_arg1710z00_1783);
							}}
							{	/* Inline/app.scm 15 */
								int BgL_auxz00_1786;

								BgL_auxz00_1786 = (int) ((BgL_iz00_1780 - ((long) 1)));
								{
									long BgL_iz00_1823;

									BgL_iz00_1823 = (long) (BgL_auxz00_1786);
									BgL_iz00_1780 = BgL_iz00_1823;
									goto BgL_loopz00_1781;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_appz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* inline-app */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt BgL_nodez00_3,
		long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 35 */
			{	/* Inline/app.scm 36 */
				BgL_varz00_bglt BgL_calleez00_1386;

				BgL_calleez00_1386 =
					(((BgL_appz00_bglt) COBJECT(BgL_nodez00_3))->BgL_funz00);
				{	/* Inline/app.scm 36 */
					BgL_variablez00_bglt BgL_varz00_1387;

					BgL_varz00_1387 =
						(((BgL_varz00_bglt) COBJECT(BgL_calleez00_1386))->BgL_variablez00);
					{	/* Inline/app.scm 37 */
						BgL_valuez00_bglt BgL_sfunz00_1388;

						BgL_sfunz00_1388 =
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_1387))->BgL_valuez00);
						{	/* Inline/app.scm 40 */

							{	/* Inline/app.scm 44 */
								bool_t BgL_testz00_1829;

								{	/* Inline/app.scm 44 */
									bool_t BgL_res1685z00_1705;

									BgL_res1685z00_1705 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_sfunz00_1388), BGl_sfunz00zzast_varz00);
									BgL_testz00_1829 = BgL_res1685z00_1705;
								}
								if (BgL_testz00_1829)
									{	/* Inline/app.scm 46 */
										bool_t BgL_testz00_1832;

										if (BGl_inlinezd2appzf3z21zzinline_appz00(BgL_varz00_1387,
												BgL_kfactorz00_4,
												BGl_callzd2siza7ez75zzinline_appz00(BgL_nodez00_3),
												BgL_stackz00_5))
											{	/* Inline/app.scm 46 */
												BgL_testz00_1832 = ((bool_t) 1);
											}
										else
											{	/* Inline/app.scm 46 */
												BgL_testz00_1832 =
													BGl_inlinezd2closurezf3z21zzinline_appz00
													(BgL_varz00_1387, BgL_stackz00_5);
											}
										if (BgL_testz00_1832)
											{	/* Inline/app.scm 46 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_sfunz00_1388)))->
															BgL_classz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Inline/app.scm 48 */
														BFALSE;
													}
												else
													{	/* Inline/app.scm 48 */
														BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 =
															ADDFX
															(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00,
															BINT(((long) 1)));
													}
												{	/* Inline/app.scm 50 */
													bool_t BgL_testz00_1844;

													{	/* Inline/app.scm 50 */
														bool_t BgL_testz00_1845;

														{	/* Inline/app.scm 50 */
															bool_t BgL_res1687z00_1709;

															BgL_res1687z00_1709 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_varz00_1387),
																BGl_globalz00zzast_varz00);
															BgL_testz00_1845 = BgL_res1687z00_1709;
														}
														if (BgL_testz00_1845)
															{	/* Inline/app.scm 50 */
																BgL_testz00_1844 =
																	CBOOL(
																	(((BgL_globalz00_bglt) COBJECT(
																				((BgL_globalz00_bglt)
																					BgL_varz00_1387)))->BgL_libraryz00));
															}
														else
															{	/* Inline/app.scm 50 */
																BgL_testz00_1844 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_1844)
														{	/* Inline/app.scm 53 */
															obj_t BgL_arg1258z00_1401;

															BgL_arg1258z00_1401 =
																(((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_varz00_1387)))->
																BgL_modulez00);
															BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00
																(BgL_arg1258z00_1401);
														}
													else
														{	/* Inline/app.scm 50 */
															BFALSE;
														}
												}
												{	/* Inline/app.scm 54 */
													bool_t BgL_testz00_1854;

													if (CBOOL
														(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
														{	/* Inline/app.scm 54 */
															BgL_testz00_1854 =
																BGl_iszd2recursivezf3z21zzinline_recursionz00
																(BgL_varz00_1387);
														}
													else
														{	/* Inline/app.scm 54 */
															BgL_testz00_1854 = ((bool_t) 0);
														}
													if (BgL_testz00_1854)
														{	/* Inline/app.scm 54 */
															return
																BGl_inlinezd2appzd2recursivez00zzinline_recursionz00
																(((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5);
														}
													else
														{	/* Inline/app.scm 54 */
															return
																BGl_inlinezd2appzd2simplez00zzinline_simplez00(
																((BgL_nodez00_bglt) BgL_nodez00_3),
																BgL_kfactorz00_4, BgL_stackz00_5,
																BGl_string1704z00zzinline_appz00);
														}
												}
											}
										else
											{	/* Inline/app.scm 46 */
												return ((BgL_nodez00_bglt) BgL_nodez00_3);
											}
									}
								else
									{	/* Inline/app.scm 44 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3);
									}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &inline-app */
	BgL_nodez00_bglt BGl_z62inlinezd2appzb0zzinline_appz00(obj_t BgL_envz00_1766,
		obj_t BgL_nodez00_1767, obj_t BgL_kfactorz00_1768, obj_t BgL_stackz00_1769)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 35 */
			return
				BGl_inlinezd2appzd2zzinline_appz00(
				((BgL_appz00_bglt) BgL_nodez00_1767),
				(long) CINT(BgL_kfactorz00_1768), BgL_stackz00_1769);
		}
		BGL_FUNCTION_END;
	}



/* inline-closure? */
	bool_t BGl_inlinezd2closurezf3z21zzinline_appz00(BgL_variablez00_bglt
		BgL_varz00_6, obj_t BgL_stackz00_7)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 63 */
			{	/* Inline/app.scm 64 */
				bool_t BgL_testz00_1867;

				if (PAIRP(BgL_stackz00_7))
					{	/* Inline/app.scm 64 */
						obj_t BgL_arg1282z00_1421;

						BgL_arg1282z00_1421 = CAR(BgL_stackz00_7);
						BgL_testz00_1867 =
							BGl_isazf3zf3zz__objectz00(BgL_arg1282z00_1421,
							BGl_globalz00zzast_varz00);
					}
				else
					{	/* Inline/app.scm 64 */
						BgL_testz00_1867 = ((bool_t) 0);
					}
				if (BgL_testz00_1867)
					{	/* Inline/app.scm 64 */
						if (
							(((obj_t) BgL_varz00_6) ==
								(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(BgL_stackz00_7))))->BgL_valuez00))))->
									BgL_thezd2closurezd2globalz00)))
							{	/* Inline/app.scm 66 */
								bool_t BgL_testz00_1880;

								{	/* Inline/app.scm 66 */
									bool_t BgL__ortest_1106z00_1415;

									{	/* Inline/app.scm 66 */
										bool_t BgL_res1690z00_1718;

										BgL_res1690z00_1718 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_varz00_6), BGl_localz00zzast_varz00);
										BgL__ortest_1106z00_1415 = BgL_res1690z00_1718;
									}
									if (BgL__ortest_1106z00_1415)
										{	/* Inline/app.scm 66 */
											BgL_testz00_1880 = BgL__ortest_1106z00_1415;
										}
									else
										{	/* Inline/app.scm 66 */
											BgL_testz00_1880 =
												(
												(((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_varz00_6)))->
													BgL_importz00) == CNST_TABLE_REF(((long) 1)));
								}}
								if (BgL_testz00_1880)
									{	/* Inline/app.scm 66 */
										return
											(
											(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->
												BgL_occurrencez00) == ((long) 1));
									}
								else
									{	/* Inline/app.scm 66 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Inline/app.scm 65 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Inline/app.scm 64 */
						return ((bool_t) 0);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* call-size */
	long BGl_callzd2siza7ez75zzinline_appz00(BgL_appz00_bglt BgL_nodez00_8)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 72 */
			{	/* Inline/app.scm 74 */
				long BgL_csiza7eza7_1423;

				BgL_csiza7eza7_1423 =
					(((long) 1) +
					bgl_list_length(
						(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00)));
				if (CBOOL(BGl_za2optimzd2atomzd2inliningzf3za2zf3zzengine_paramz00))
					{	/* Inline/app.scm 76 */
						obj_t BgL_atomsz00_1424;

						{	/* Inline/app.scm 76 */
							obj_t BgL_hook1235z00_1426;

							BgL_hook1235z00_1426 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{	/* Inline/app.scm 76 */
								obj_t BgL_g1236z00_1427;

								BgL_g1236z00_1427 =
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_8))->BgL_argsz00);
								{
									obj_t BgL_l1232z00_1429;
									obj_t BgL_h1233z00_1430;

									BgL_l1232z00_1429 = BgL_g1236z00_1427;
									BgL_h1233z00_1430 = BgL_hook1235z00_1426;
								BgL_zc3anonymousza31284ze3z83_1431:
									if (NULLP(BgL_l1232z00_1429))
										{	/* Inline/app.scm 76 */
											BgL_atomsz00_1424 = CDR(BgL_hook1235z00_1426);
										}
									else
										{	/* Inline/app.scm 76 */
											bool_t BgL_testz00_1900;

											{	/* Inline/app.scm 77 */
												obj_t BgL_xz00_1440;

												BgL_xz00_1440 = CAR(((obj_t) BgL_l1232z00_1429));
												{	/* Inline/app.scm 77 */
													bool_t BgL__ortest_1108z00_1441;

													BgL__ortest_1108z00_1441 =
														BGl_isazf3zf3zz__objectz00(BgL_xz00_1440,
														BGl_atomz00zzast_nodez00);
													if (BgL__ortest_1108z00_1441)
														{	/* Inline/app.scm 77 */
															BgL_testz00_1900 = BgL__ortest_1108z00_1441;
														}
													else
														{	/* Inline/app.scm 77 */
															BgL_testz00_1900 =
																BGl_isazf3zf3zz__objectz00(BgL_xz00_1440,
																BGl_kwotez00zzast_nodez00);
														}
												}
											}
											if (BgL_testz00_1900)
												{	/* Inline/app.scm 76 */
													obj_t BgL_nh1234z00_1436;

													{	/* Inline/app.scm 76 */
														obj_t BgL_arg1288z00_1438;

														BgL_arg1288z00_1438 =
															CAR(((obj_t) BgL_l1232z00_1429));
														{	/* Inline/app.scm 76 */
															obj_t BgL_res1694z00_1729;

															BgL_res1694z00_1729 =
																MAKE_YOUNG_PAIR(BgL_arg1288z00_1438, BNIL);
															BgL_nh1234z00_1436 = BgL_res1694z00_1729;
														}
													}
													SET_CDR(BgL_h1233z00_1430, BgL_nh1234z00_1436);
													{	/* Inline/app.scm 76 */
														obj_t BgL_arg1287z00_1437;

														BgL_arg1287z00_1437 =
															CDR(((obj_t) BgL_l1232z00_1429));
														{
															obj_t BgL_h1233z00_1913;
															obj_t BgL_l1232z00_1912;

															BgL_l1232z00_1912 = BgL_arg1287z00_1437;
															BgL_h1233z00_1913 = BgL_nh1234z00_1436;
															BgL_h1233z00_1430 = BgL_h1233z00_1913;
															BgL_l1232z00_1429 = BgL_l1232z00_1912;
															goto BgL_zc3anonymousza31284ze3z83_1431;
														}
													}
												}
											else
												{	/* Inline/app.scm 76 */
													obj_t BgL_arg1289z00_1439;

													BgL_arg1289z00_1439 =
														CDR(((obj_t) BgL_l1232z00_1429));
													{
														obj_t BgL_l1232z00_1916;

														BgL_l1232z00_1916 = BgL_arg1289z00_1439;
														BgL_l1232z00_1429 = BgL_l1232z00_1916;
														goto BgL_zc3anonymousza31284ze3z83_1431;
													}
												}
										}
								}
							}
						}
						return (BgL_csiza7eza7_1423 + bgl_list_length(BgL_atomsz00_1424));
					}
				else
					{	/* Inline/app.scm 75 */
						return BgL_csiza7eza7_1423;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* contains-kwote? */
	obj_t BGl_containszd2kwotezf3z21zzinline_appz00(obj_t BgL_nodez00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 85 */
			{

				jmp_buf_t jmpbuf;
				void *BgL_an_exit1109z00_1446;

				if (SET_EXIT(BgL_an_exit1109z00_1446))
					{
						return BGL_EXIT_VALUE();
					}
				else
					{
#if( SIGSETJMP_SAVESIGS == 0 )
						bgl_restore_signal_handlers();
#endif

						BgL_an_exit1109z00_1446 = (void *) jmpbuf;
						{	/* Inline/app.scm 86 */

							PUSH_EXIT(BgL_an_exit1109z00_1446, ((long) 1));
							{	/* Inline/app.scm 86 */
								obj_t BgL_an_exitd1110z00_1447;

								BgL_an_exitd1110z00_1447 = ((obj_t) (&exitd));
								{	/* Inline/app.scm 86 */
									bool_t BgL_res1112z00_1450;

									{	/* Inline/app.scm 87 */
										obj_t BgL_zc3anonymousza31295ze3z83_1770;

										BgL_zc3anonymousza31295ze3z83_1770 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31295ze3ze1zzinline_appz00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza31295ze3z83_1770,
											(int) (((long) 0)), BgL_an_exitd1110z00_1447);
										BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
												BgL_nodez00_9), BgL_zc3anonymousza31295ze3z83_1770);
									}
									BgL_res1112z00_1450 = ((bool_t) 0);
									POP_EXIT();
									return BBOOL(BgL_res1112z00_1450);
								}
							}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1295> */
	obj_t BGl_z62zc3anonymousza31295ze3ze1zzinline_appz00(obj_t BgL_envz00_1771,
		obj_t BgL_nz00_1773)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 87 */
			{	/* Inline/app.scm 87 */
				obj_t BgL_an_exitd1110z00_1772;

				BgL_an_exitd1110z00_1772 =
					PROCEDURE_REF(BgL_envz00_1771, (int) (((long) 0)));
				if (BGl_isazf3zf3zz__objectz00(BgL_nz00_1773,
						BGl_kwotez00zzast_nodez00))
					{	/* Inline/app.scm 87 */
						return
							BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1110z00_1772,
							BTRUE);
					}
				else
					{	/* Inline/app.scm 87 */
						return BFALSE;
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* inline-app? */
	BGL_EXPORTED_DEF bool_t
		BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt BgL_varz00_10,
		long BgL_kfactorz00_11, long BgL_callzd2siza7ez75_12, obj_t BgL_stackz00_13)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 93 */
			{	/* Inline/app.scm 98 */
				BgL_valuez00_bglt BgL_sfunz00_1456;

				BgL_sfunz00_1456 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00);
				{	/* Inline/app.scm 98 */
					obj_t BgL_bodyz00_1457;

					{	/* Inline/app.scm 99 */
						bool_t BgL_testz00_1937;

						{	/* Inline/app.scm 99 */
							bool_t BgL_res1697z00_1739;

							BgL_res1697z00_1739 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_sfunz00_1456), BGl_isfunz00zzinline_inlinez00);
							BgL_testz00_1937 = BgL_res1697z00_1739;
						}
						if (BgL_testz00_1937)
							{
								BgL_nodez00_bglt BgL_auxz00_1940;

								{
									BgL_isfunz00_bglt BgL_auxz00_1941;

									{
										obj_t BgL_auxz00_1942;

										{	/* Inline/app.scm 100 */
											BgL_objectz00_bglt BgL_tmpz00_1943;

											BgL_tmpz00_1943 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1456));
											BgL_auxz00_1942 = BGL_OBJECT_WIDENING(BgL_tmpz00_1943);
										}
										BgL_auxz00_1941 = ((BgL_isfunz00_bglt) BgL_auxz00_1942);
									}
									BgL_auxz00_1940 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_1941))->
										BgL_originalzd2bodyzd2);
								}
								BgL_bodyz00_1457 = ((obj_t) BgL_auxz00_1940);
							}
						else
							{	/* Inline/app.scm 99 */
								BgL_bodyz00_1457 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_sfunz00_1456)))->BgL_bodyz00);
							}
					}
					{	/* Inline/app.scm 99 */

						if (BGl_isazf3zf3zz__objectz00(BgL_bodyz00_1457,
								BGl_nodez00zzast_nodez00))
							{	/* Inline/app.scm 103 */
								if (CBOOL(BGl_za2inliningzf3za2zf3zzengine_paramz00))
									{	/* Inline/app.scm 110 */
										bool_t BgL_testz00_1956;

										if (CBOOL
											(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
											{	/* Inline/app.scm 110 */
												if (CBOOL
													(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
													{	/* Inline/app.scm 111 */
														BgL_testz00_1956 = ((bool_t) 0);
													}
												else
													{	/* Inline/app.scm 111 */
														BgL_testz00_1956 =
															CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																((obj_t) BgL_varz00_10), BgL_stackz00_13));
													}
											}
										else
											{	/* Inline/app.scm 110 */
												BgL_testz00_1956 = ((bool_t) 0);
											}
										if (BgL_testz00_1956)
											{	/* Inline/app.scm 110 */
												return ((bool_t) 0);
											}
										else
											{	/* Inline/app.scm 110 */
												if (
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_sfunz00_1456)))->
															BgL_classz00) == CNST_TABLE_REF(((long) 2))))
													{	/* Inline/app.scm 115 */
														return ((bool_t) 0);
													}
												else
													{	/* Inline/app.scm 119 */
														bool_t BgL_testz00_1969;

														if (
															(BGl_za2inlinezd2modeza2zd2zzinline_walkz00 ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Inline/app.scm 119 */
																BgL_testz00_1969 = ((bool_t) 0);
															}
														else
															{	/* Inline/app.scm 119 */
																if (
																	((((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_1456)))->
																			BgL_classz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* Inline/app.scm 120 */
																		BgL_testz00_1969 =
																			BGl_iszd2recursivezf3z21zzinline_recursionz00
																			(BgL_varz00_10);
																	}
																else
																	{	/* Inline/app.scm 120 */
																		BgL_testz00_1969 = ((bool_t) 0);
																	}
															}
														if (BgL_testz00_1969)
															{	/* Inline/app.scm 119 */
																return ((bool_t) 0);
															}
														else
															{	/* Inline/app.scm 119 */
																if (
																	((((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_1456)))->
																			BgL_classz00) ==
																		CNST_TABLE_REF(((long) 4))))
																	{	/* Inline/app.scm 125 */
																		return ((bool_t) 0);
																	}
																else
																	{	/* Inline/app.scm 130 */
																		bool_t BgL_testz00_1984;

																		if (
																			((((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_sfunz00_1456)))->
																					BgL_classz00) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Inline/app.scm 130 */
																				if (CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(((obj_t) BgL_varz00_10),
																							BgL_stackz00_13)))
																					{	/* Inline/app.scm 131 */
																						BgL_testz00_1984 = ((bool_t) 0);
																					}
																				else
																					{	/* Inline/app.scm 132 */
																						bool_t BgL_testz00_1994;

																						if (
																							(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																								== CNST_TABLE_REF(((long) 5))))
																							{	/* Inline/app.scm 133 */
																								bool_t BgL_testz00_1998;

																								{	/* Inline/app.scm 133 */
																									obj_t BgL_arg1501z00_1527;

																									BgL_arg1501z00_1527 =
																										(((BgL_sfunz00_bglt)
																											COBJECT((
																													(BgL_sfunz00_bglt)
																													BgL_sfunz00_1456)))->
																										BgL_bodyz00);
																									BgL_testz00_1998 =
																										CBOOL
																										(BGl_containszd2kwotezf3z21zzinline_appz00
																										(BgL_arg1501z00_1527));
																								}
																								if (BgL_testz00_1998)
																									{	/* Inline/app.scm 133 */
																										BgL_testz00_1994 =
																											((bool_t) 0);
																									}
																								else
																									{	/* Inline/app.scm 133 */
																										BgL_testz00_1994 =
																											((bool_t) 1);
																									}
																							}
																						else
																							{	/* Inline/app.scm 132 */
																								BgL_testz00_1994 = ((bool_t) 1);
																							}
																						if (BgL_testz00_1994)
																							{	/* Inline/app.scm 134 */
																								bool_t BgL__ortest_1113z00_1523;

																								if (
																									(BGl_za2inlinezd2modeza2zd2zzinline_walkz00
																										==
																										CNST_TABLE_REF(((long) 6))))
																									{	/* Inline/app.scm 134 */
																										BgL__ortest_1113z00_1523 =
																											((bool_t) 0);
																									}
																								else
																									{	/* Inline/app.scm 134 */
																										BgL__ortest_1113z00_1523 =
																											((bool_t) 1);
																									}
																								if (BgL__ortest_1113z00_1523)
																									{	/* Inline/app.scm 134 */
																										BgL_testz00_1984 =
																											BgL__ortest_1113z00_1523;
																									}
																								else
																									{	/* Inline/app.scm 134 */
																										BgL_testz00_1984 =
																											CBOOL(
																											(((BgL_funz00_bglt)
																													COBJECT((
																															(BgL_funz00_bglt)
																															BgL_sfunz00_1456)))->
																												BgL_predicatezd2ofzd2));
																									}
																							}
																						else
																							{	/* Inline/app.scm 132 */
																								BgL_testz00_1984 = ((bool_t) 0);
																							}
																					}
																			}
																		else
																			{	/* Inline/app.scm 130 */
																				BgL_testz00_1984 = ((bool_t) 0);
																			}
																		if (BgL_testz00_1984)
																			{	/* Inline/app.scm 130 */
																				return ((bool_t) 1);
																			}
																		else
																			{	/* Inline/app.scm 139 */
																				bool_t BgL_testz00_2010;

																				{	/* Inline/app.scm 139 */
																					bool_t BgL_testz00_2011;

																					{	/* Inline/app.scm 139 */
																						bool_t BgL_res1698z00_1748;

																						BgL_res1698z00_1748 =
																							BGl_isazf3zf3zz__objectz00(
																							((obj_t) BgL_varz00_10),
																							BGl_globalz00zzast_varz00);
																						BgL_testz00_2011 =
																							BgL_res1698z00_1748;
																					}
																					if (BgL_testz00_2011)
																						{	/* Inline/app.scm 139 */
																							BgL_testz00_2010 =
																								(
																								(((BgL_globalz00_bglt) COBJECT(
																											((BgL_globalz00_bglt)
																												BgL_varz00_10)))->
																									BgL_importz00) ==
																								CNST_TABLE_REF(((long) 7)));
																						}
																					else
																						{	/* Inline/app.scm 139 */
																							BgL_testz00_2010 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_2010)
																					{	/* Inline/app.scm 139 */
																						return ((bool_t) 0);
																					}
																				else
																					{	/* Inline/app.scm 139 */
																						if (CBOOL
																							(BGl_za2userzd2inliningzf3za2z21zzengine_paramz00))
																							{	/* Inline/app.scm 146 */
																								bool_t BgL_testz00_2020;

																								{	/* Inline/app.scm 146 */
																									long BgL_arg1487z00_1516;
																									long BgL_arg1495z00_1517;

																									BgL_arg1487z00_1516 =
																										BGl_nodezd2siza7ez75zzinline_siza7eza7
																										(((BgL_nodez00_bglt)
																											BgL_bodyz00_1457));
																									BgL_arg1495z00_1517 =
																										(BgL_kfactorz00_11 *
																										BgL_callzd2siza7ez75_12);
																									BgL_testz00_2020 =
																										(BgL_arg1487z00_1516 <
																										BgL_arg1495z00_1517);
																								}
																								if (BgL_testz00_2020)
																									{	/* Inline/app.scm 146 */
																										return ((bool_t) 1);
																									}
																								else
																									{	/* Inline/app.scm 154 */
																										bool_t BgL_testz00_2025;

																										{	/* Inline/app.scm 154 */
																											bool_t BgL_testz00_2026;

																											{	/* Inline/app.scm 154 */
																												long
																													BgL_arg1482z00_1515;
																												BgL_arg1482z00_1515 =
																													BGl_nodezd2siza7ez75zzinline_siza7eza7
																													(((BgL_nodez00_bglt)
																														BgL_bodyz00_1457));
																												BgL_testz00_2026 =
																													(BgL_arg1482z00_1515
																													==
																													BgL_callzd2siza7ez75_12);
																											}
																											if (BgL_testz00_2026)
																												{	/* Inline/app.scm 154 */
																													if (CBOOL
																														(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																															(((obj_t)
																																	BgL_varz00_10),
																																BgL_stackz00_13)))
																														{	/* Inline/app.scm 154 */
																															BgL_testz00_2025 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Inline/app.scm 154 */
																															BgL_testz00_2025 =
																																((bool_t) 1);
																														}
																												}
																											else
																												{	/* Inline/app.scm 154 */
																													BgL_testz00_2025 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_testz00_2025)
																											{	/* Inline/app.scm 154 */
																												return ((bool_t) 1);
																											}
																										else
																											{	/* Inline/app.scm 162 */
																												bool_t BgL_testz00_2034;

																												if (
																													((((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_occurrencez00) == ((long) 1)))
																													{	/* Inline/app.scm 163 */
																														bool_t
																															BgL_testz00_2038;
																														{	/* Inline/app.scm 163 */
																															bool_t
																																BgL_testz00_2039;
																															{	/* Inline/app.scm 163 */
																																bool_t
																																	BgL_res1703z00_1762;
																																BgL_res1703z00_1762
																																	=
																																	BGl_isazf3zf3zz__objectz00
																																	(((obj_t)
																																		BgL_varz00_10),
																																	BGl_globalz00zzast_varz00);
																																BgL_testz00_2039
																																	=
																																	BgL_res1703z00_1762;
																															}
																															if (BgL_testz00_2039)
																																{	/* Inline/app.scm 163 */
																																	BgL_testz00_2038
																																		=
																																		((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt) BgL_varz00_10)))->BgL_importz00) == CNST_TABLE_REF(((long) 1)));
																																}
																															else
																																{	/* Inline/app.scm 163 */
																																	BgL_testz00_2038
																																		=
																																		((bool_t)
																																		1);
																																}
																														}
																														if (BgL_testz00_2038)
																															{	/* Inline/app.scm 164 */
																																obj_t
																																	BgL_arg1462z00_1508;
																																BgL_arg1462z00_1508
																																	=
																																	(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) COBJECT(BgL_varz00_10))->BgL_valuez00))))->BgL_bodyz00);
																																BgL_testz00_2034
																																	=
																																	BGl_isazf3zf3zz__objectz00
																																	(BgL_arg1462z00_1508,
																																	BGl_retblockz00zzast_nodez00);
																															}
																														else
																															{	/* Inline/app.scm 163 */
																																BgL_testz00_2034
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Inline/app.scm 162 */
																														BgL_testz00_2034 =
																															((bool_t) 0);
																													}
																												if (BgL_testz00_2034)
																													{	/* Inline/app.scm 162 */
																														return ((bool_t) 1);
																													}
																												else
																													{	/* Inline/app.scm 162 */
																														return ((bool_t) 0);
																													}
																											}
																									}
																							}
																						else
																							{	/* Inline/app.scm 143 */
																								return ((bool_t) 0);
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Inline/app.scm 106 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Inline/app.scm 103 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &inline-app? */
	obj_t BGl_z62inlinezd2appzf3z43zzinline_appz00(obj_t BgL_envz00_1774,
		obj_t BgL_varz00_1775, obj_t BgL_kfactorz00_1776,
		obj_t BgL_callzd2siza7ez75_1777, obj_t BgL_stackz00_1778)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 93 */
			return
				BBOOL(BGl_inlinezd2appzf3z21zzinline_appz00(
					((BgL_variablez00_bglt) BgL_varz00_1775),
					(long) CINT(BgL_kfactorz00_1776),
					(long) CINT(BgL_callzd2siza7ez75_1777), BgL_stackz00_1778));
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_appz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_appz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_appz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Inline/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzmodule_libraryz00(((long) 292140514),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 243191744),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long)
					101873001), BSTRING_TO_STRING(BGl_string1705z00zzinline_appz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
