/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_appendzd221010zd2zzintegrate_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_walkz00();
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00();
	static obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
	extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_walkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1468z00zzintegrate_walkz00,
		BgL_bgl_string1468za700za7za7i1481za7, "Integration", 11);
	      DEFINE_STRING(BGl_string1469z00zzintegrate_walkz00,
		BgL_bgl_string1469za700za7za7i1482za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1470z00zzintegrate_walkz00,
		BgL_bgl_string1470za700za7za7i1483za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1471z00zzintegrate_walkz00,
		BgL_bgl_string1471za700za7za7i1484za7, " error", 6);
	      DEFINE_STRING(BGl_string1472z00zzintegrate_walkz00,
		BgL_bgl_string1472za700za7za7i1485za7, "s", 1);
	      DEFINE_STRING(BGl_string1473z00zzintegrate_walkz00,
		BgL_bgl_string1473za700za7za7i1486za7, "", 0);
	      DEFINE_STRING(BGl_string1474z00zzintegrate_walkz00,
		BgL_bgl_string1474za700za7za7i1487za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1475z00zzintegrate_walkz00,
		BgL_bgl_string1475za700za7za7i1488za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1476z00zzintegrate_walkz00,
		BgL_bgl_string1476za700za7za7i1489za7, "integrate_walk", 14);
	      DEFINE_STRING(BGl_string1477z00zzintegrate_walkz00,
		BgL_bgl_string1477za700za7za7i1490za7, "(integrate cfa) pass-started ", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00,
		BgL_bgl_za762integrateza7d2w1491z00,
		BGl_z62integratezd2walkz12za2zzintegrate_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long
		BgL_checksumz00_1560, char *BgL_fromz00_1561)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_walkz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
					BGl_cnstzd2initzd2zzintegrate_walkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
					return BGl_methodzd2initzd2zzintegrate_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 15 */
			{	/* Integrate/walk.scm 15 */
				obj_t BgL_cportz00_1547;

				{	/* Integrate/walk.scm 15 */
					obj_t BgL_stringz00_1555;

					BgL_stringz00_1555 = BGl_string1477z00zzintegrate_walkz00;
					{	/* Integrate/walk.scm 15 */
						obj_t BgL_startz00_1556;

						BgL_startz00_1556 = BINT(((long) 0));
						{	/* Integrate/walk.scm 15 */
							obj_t BgL_endz00_1557;

							BgL_endz00_1557 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1555)));
							{	/* Integrate/walk.scm 15 */

								BgL_cportz00_1547 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1555, BgL_startz00_1556, BgL_endz00_1557);
				}}}}
				{
					long BgL_iz00_1548;

					BgL_iz00_1548 = ((long) 1);
				BgL_loopz00_1549:
					if ((BgL_iz00_1548 == ((long) -1)))
						{	/* Integrate/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/walk.scm 15 */
							{	/* Integrate/walk.scm 15 */
								obj_t BgL_arg1479z00_1551;

								{	/* Integrate/walk.scm 15 */

									{	/* Integrate/walk.scm 15 */
										obj_t BgL_locationz00_1553;

										BgL_locationz00_1553 = BBOOL(((bool_t) 0));
										{	/* Integrate/walk.scm 15 */

											BgL_arg1479z00_1551 =
												BGl_readz00zz__readerz00(BgL_cportz00_1547,
												BgL_locationz00_1553);
										}
									}
								}
								{	/* Integrate/walk.scm 15 */
									int BgL_tmpz00_1587;

									BgL_tmpz00_1587 = (int) (BgL_iz00_1548);
									CNST_TABLE_SET(BgL_tmpz00_1587, BgL_arg1479z00_1551);
							}}
							{	/* Integrate/walk.scm 15 */
								int BgL_auxz00_1554;

								BgL_auxz00_1554 = (int) ((BgL_iz00_1548 - ((long) 1)));
								{
									long BgL_iz00_1592;

									BgL_iz00_1592 = (long) (BgL_auxz00_1554);
									BgL_iz00_1548 = BgL_iz00_1592;
									goto BgL_loopz00_1549;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* append-21010 */
	obj_t BGl_appendzd221010zd2zzintegrate_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		BGL_FUNCTION_BEGIN;
		{
			{
				obj_t BgL_headz00_1289;

				BgL_headz00_1289 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1290;
					obj_t BgL_tailz00_1291;

					BgL_prevz00_1290 = BgL_headz00_1289;
					BgL_tailz00_1291 = BgL_l1z00_1;
				BgL_loopz00_1292:
					if (PAIRP(BgL_tailz00_1291))
						{
							obj_t BgL_newzd2prevzd2_1294;

							BgL_newzd2prevzd2_1294 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1291), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1290, BgL_newzd2prevzd2_1294);
							{
								obj_t BgL_tailz00_1602;
								obj_t BgL_prevz00_1601;

								BgL_prevz00_1601 = BgL_newzd2prevzd2_1294;
								BgL_tailz00_1602 = CDR(BgL_tailz00_1291);
								BgL_tailz00_1291 = BgL_tailz00_1602;
								BgL_prevz00_1290 = BgL_prevz00_1601;
								goto BgL_loopz00_1292;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1289);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* integrate-walk! */
	BGL_EXPORTED_DEF obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t
		BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 29 */
			{	/* Integrate/walk.scm 30 */
				obj_t BgL_list1230z00_1297;

				{	/* Integrate/walk.scm 30 */
					obj_t BgL_arg1231z00_1298;

					{	/* Integrate/walk.scm 30 */
						obj_t BgL_arg1235z00_1299;

						BgL_arg1235z00_1299 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1231z00_1298 =
							MAKE_YOUNG_PAIR(BGl_string1468z00zzintegrate_walkz00,
							BgL_arg1235z00_1299);
					}
					BgL_list1230z00_1297 =
						MAKE_YOUNG_PAIR(BGl_string1469z00zzintegrate_walkz00,
						BgL_arg1231z00_1298);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1230z00_1297);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1468z00zzintegrate_walkz00;
			{	/* Integrate/walk.scm 30 */
				obj_t BgL_g1104z00_1300;

				BgL_g1104z00_1300 = BNIL;
				{
					obj_t BgL_hooksz00_1303;
					obj_t BgL_hnamesz00_1304;

					BgL_hooksz00_1303 = BgL_g1104z00_1300;
					BgL_hnamesz00_1304 = BNIL;
				BgL_zc3anonymousza31236ze3z83_1305:
					if (NULLP(BgL_hooksz00_1303))
						{	/* Integrate/walk.scm 30 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Integrate/walk.scm 30 */
							bool_t BgL_testz00_1615;

							{	/* Integrate/walk.scm 30 */
								obj_t BgL_fun1246z00_1312;

								BgL_fun1246z00_1312 = CAR(((obj_t) BgL_hooksz00_1303));
								BgL_testz00_1615 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1246z00_1312)
									(BgL_fun1246z00_1312, BEOA));
							}
							if (BgL_testz00_1615)
								{	/* Integrate/walk.scm 30 */
									obj_t BgL_arg1240z00_1309;
									obj_t BgL_arg1242z00_1310;

									BgL_arg1240z00_1309 = CDR(((obj_t) BgL_hooksz00_1303));
									BgL_arg1242z00_1310 = CDR(((obj_t) BgL_hnamesz00_1304));
									{
										obj_t BgL_hnamesz00_1627;
										obj_t BgL_hooksz00_1626;

										BgL_hooksz00_1626 = BgL_arg1240z00_1309;
										BgL_hnamesz00_1627 = BgL_arg1242z00_1310;
										BgL_hnamesz00_1304 = BgL_hnamesz00_1627;
										BgL_hooksz00_1303 = BgL_hooksz00_1626;
										goto BgL_zc3anonymousza31236ze3z83_1305;
									}
								}
							else
								{	/* Integrate/walk.scm 30 */
									obj_t BgL_arg1245z00_1311;

									BgL_arg1245z00_1311 = CAR(((obj_t) BgL_hnamesz00_1304));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1468z00zzintegrate_walkz00,
										BGl_string1470z00zzintegrate_walkz00, BgL_arg1245z00_1311);
								}
						}
				}
			}
			{
				obj_t BgL_oldz00_1317;
				obj_t BgL_newz00_1318;

				BgL_oldz00_1317 = BgL_globalsz00_3;
				BgL_newz00_1318 = BNIL;
			BgL_zc3anonymousza31248ze3z83_1319:
				if (NULLP(BgL_oldz00_1317))
					{	/* Integrate/walk.scm 34 */
						obj_t BgL_valuez00_1321;

						BgL_valuez00_1321 =
							BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
							BgL_newz00_1318);
						if (((long)
								CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
								((long) 0)))
							{	/* Integrate/walk.scm 34 */
								{	/* Integrate/walk.scm 34 */
									obj_t BgL_port1226z00_1323;

									{	/* Integrate/walk.scm 34 */
										obj_t BgL_res1463z00_1526;

										{	/* Integrate/walk.scm 34 */
											obj_t BgL_tmpz00_1638;

											BgL_tmpz00_1638 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1463z00_1526 =
												BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1638);
										}
										BgL_port1226z00_1323 = BgL_res1463z00_1526;
									}
									bgl_display_obj
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
										BgL_port1226z00_1323);
									bgl_display_string(BGl_string1471z00zzintegrate_walkz00,
										BgL_port1226z00_1323);
									{	/* Integrate/walk.scm 34 */
										obj_t BgL_arg1251z00_1324;

										{	/* Integrate/walk.scm 34 */
											bool_t BgL_testz00_1643;

											if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Integrate/walk.scm 34 */
													if (INTEGERP
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
														{	/* Integrate/walk.scm 34 */
															BgL_testz00_1643 =
																(
																(long)
																CINT
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																> ((long) 1));
														}
													else
														{	/* Integrate/walk.scm 34 */
															BgL_testz00_1643 =
																BGl_2ze3ze3zz__r4_numbers_6_5z00
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																BINT(((long) 1)));
												}}
											else
												{	/* Integrate/walk.scm 34 */
													BgL_testz00_1643 = ((bool_t) 0);
												}
											if (BgL_testz00_1643)
												{	/* Integrate/walk.scm 34 */
													BgL_arg1251z00_1324 =
														BGl_string1472z00zzintegrate_walkz00;
												}
											else
												{	/* Integrate/walk.scm 34 */
													BgL_arg1251z00_1324 =
														BGl_string1473z00zzintegrate_walkz00;
												}
										}
										bgl_display_obj(BgL_arg1251z00_1324, BgL_port1226z00_1323);
									}
									bgl_display_string(BGl_string1474z00zzintegrate_walkz00,
										BgL_port1226z00_1323);
									bgl_display_char(((unsigned char) 10), BgL_port1226z00_1323);
								}
								{	/* Integrate/walk.scm 34 */
									obj_t BgL_list1259z00_1330;

									BgL_list1259z00_1330 =
										MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
									return BGl_exitz00zz__errorz00(BgL_list1259z00_1330);
								}
							}
						else
							{	/* Integrate/walk.scm 34 */
								obj_t BgL_g1107z00_1331;

								BgL_g1107z00_1331 = BNIL;
								{
									obj_t BgL_hooksz00_1334;
									obj_t BgL_hnamesz00_1335;

									BgL_hooksz00_1334 = BgL_g1107z00_1331;
									BgL_hnamesz00_1335 = BNIL;
								BgL_zc3anonymousza31260ze3z83_1336:
									if (NULLP(BgL_hooksz00_1334))
										{	/* Integrate/walk.scm 34 */
											return BgL_valuez00_1321;
										}
									else
										{	/* Integrate/walk.scm 34 */
											bool_t BgL_testz00_1660;

											{	/* Integrate/walk.scm 34 */
												obj_t BgL_fun1274z00_1343;

												BgL_fun1274z00_1343 = CAR(((obj_t) BgL_hooksz00_1334));
												BgL_testz00_1660 =
													CBOOL(PROCEDURE_ENTRY(BgL_fun1274z00_1343)
													(BgL_fun1274z00_1343, BEOA));
											}
											if (BgL_testz00_1660)
												{	/* Integrate/walk.scm 34 */
													obj_t BgL_arg1270z00_1340;
													obj_t BgL_arg1271z00_1341;

													BgL_arg1270z00_1340 =
														CDR(((obj_t) BgL_hooksz00_1334));
													BgL_arg1271z00_1341 =
														CDR(((obj_t) BgL_hnamesz00_1335));
													{
														obj_t BgL_hnamesz00_1672;
														obj_t BgL_hooksz00_1671;

														BgL_hooksz00_1671 = BgL_arg1270z00_1340;
														BgL_hnamesz00_1672 = BgL_arg1271z00_1341;
														BgL_hnamesz00_1335 = BgL_hnamesz00_1672;
														BgL_hooksz00_1334 = BgL_hooksz00_1671;
														goto BgL_zc3anonymousza31260ze3z83_1336;
													}
												}
											else
												{	/* Integrate/walk.scm 34 */
													obj_t BgL_arg1273z00_1342;

													BgL_arg1273z00_1342 =
														CAR(((obj_t) BgL_hnamesz00_1335));
													return
														BGl_internalzd2errorzd2zztools_errorz00
														(BGl_za2currentzd2passza2zd2zzengine_passz00,
														BGl_string1475z00zzintegrate_walkz00,
														BgL_arg1273z00_1342);
												}
										}
								}
							}
					}
				else
					{	/* Integrate/walk.scm 35 */
						obj_t BgL_globalz00_1346;

						BgL_globalz00_1346 = CAR(((obj_t) BgL_oldz00_1317));
						{	/* Integrate/walk.scm 36 */
							obj_t BgL_arg1276z00_1347;

							BgL_arg1276z00_1347 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_1346))))->BgL_idz00);
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1276z00_1347);
						}
						{	/* Integrate/walk.scm 37 */
							obj_t BgL_arg1277z00_1348;
							obj_t BgL_arg1279z00_1349;

							BgL_arg1277z00_1348 = CDR(((obj_t) BgL_oldz00_1317));
							BgL_arg1279z00_1349 =
								BGl_appendzd221010zd2zzintegrate_walkz00
								(BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
								(BgL_globalz00_1346), BgL_newz00_1318);
							{
								obj_t BgL_newz00_1687;
								obj_t BgL_oldz00_1686;

								BgL_oldz00_1686 = BgL_arg1277z00_1348;
								BgL_newz00_1687 = BgL_arg1279z00_1349;
								BgL_newz00_1318 = BgL_newz00_1687;
								BgL_oldz00_1317 = BgL_oldz00_1686;
								goto BgL_zc3anonymousza31248ze3z83_1319;
							}
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &integrate-walk! */
	obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t BgL_envz00_1545,
		obj_t BgL_globalsz00_1546)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 29 */
			return BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_1546);
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(((long)
					67375820), BSTRING_TO_STRING(BGl_string1476z00zzintegrate_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
