/*===========================================================================*/
/*   (Lalr/driver.scm)                                                       */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:26:26 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3e/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Lalr/driver.scm -o objs/obj_p/Lalr/driver.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_symbol1670z00zz__lalr_driverz00 = BUNSPEC;
static long BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00;
static obj_t BGl_symbol1672z00zz__lalr_driverz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31160ze3ze1zz__lalr_driverz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__lalr_driverz00 = BUNSPEC;
extern obj_t bgl_system_failure(int, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00();
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__lalr_driverz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_objectzd2initzd2zz__lalr_driverz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern obj_t make_vector(long, obj_t);
extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__lalr_driverz00();
extern obj_t make_string(long, unsigned char);
extern obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t bgl_close_output_port(obj_t);
static obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern int bgl_debug();
static obj_t BGl_cnstzd2initzd2zz__lalr_driverz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00();
static obj_t BGl_gczd2rootszd2initz00zz__lalr_driverz00();
static obj_t BGl_z62__makezd2parserzb0zz__lalr_driverz00(obj_t, obj_t, obj_t);
static long BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00;
static obj_t BGl_profzd2initzd2zz__lalr_driverz00();
static obj_t BGl_symbol1660z00zz__lalr_driverz00 = BUNSPEC;
static obj_t BGl_symbol1663z00zz__lalr_driverz00 = BUNSPEC;
static obj_t BGl_symbol1668z00zz__lalr_driverz00 = BUNSPEC;
static obj_t *__cnst;


DEFINE_STRING( BGl_string1661z00zz__lalr_driverz00, BgL_bgl_string1661za700za7za7_1677za7, "parser", 6 );
DEFINE_STRING( BGl_string1662z00zz__lalr_driverz00, BgL_bgl_string1662za700za7za7_1678za7, "Illegal `#f' token", 18 );
DEFINE_STRING( BGl_string1664z00zz__lalr_driverz00, BgL_bgl_string1664za700za7za7_1679za7, "*eoi*", 5 );
DEFINE_STRING( BGl_string1665z00zz__lalr_driverz00, BgL_bgl_string1665za700za7za7_1680za7, "LALR TRACE: input=", 18 );
DEFINE_STRING( BGl_string1666z00zz__lalr_driverz00, BgL_bgl_string1666za700za7za7_1681za7, " state=", 7 );
DEFINE_STRING( BGl_string1667z00zz__lalr_driverz00, BgL_bgl_string1667za700za7za7_1682za7, " sp=", 4 );
DEFINE_STRING( BGl_string1669z00zz__lalr_driverz00, BgL_bgl_string1669za700za7za7_1683za7, "accept", 6 );
DEFINE_STRING( BGl_string1671z00zz__lalr_driverz00, BgL_bgl_string1671za700za7za7_1684za7, "*error*", 7 );
DEFINE_STRING( BGl_string1673z00zz__lalr_driverz00, BgL_bgl_string1673za700za7za7_1685za7, "error", 5 );
DEFINE_STRING( BGl_string1674z00zz__lalr_driverz00, BgL_bgl_string1674za700za7za7_1686za7, "parse error (unexpected token `", 31 );
DEFINE_STRING( BGl_string1675z00zz__lalr_driverz00, BgL_bgl_string1675za700za7za7_1687za7, "')", 2 );
DEFINE_STRING( BGl_string1676z00zz__lalr_driverz00, BgL_bgl_string1676za700za7za7_1688za7, "__lalr_driver", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl___makezd2parserzd2envz00zz__lalr_driverz00, BgL_bgl_za762__makeza7d2pars1689z00, BGl_z62__makezd2parserzb0zz__lalr_driverz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1670z00zz__lalr_driverz00) );
ADD_ROOT( (void *)(&BGl_symbol1672z00zz__lalr_driverz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__lalr_driverz00) );
ADD_ROOT( (void *)(&BGl_symbol1660z00zz__lalr_driverz00) );
ADD_ROOT( (void *)(&BGl_symbol1663z00zz__lalr_driverz00) );
ADD_ROOT( (void *)(&BGl_symbol1668z00zz__lalr_driverz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__lalr_driverz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Lalr/driver.scm\" 694) \"BGl_toplevelzd2initzd2zz__lalr_driverz00\")\n", (FILE *)bprof_port );
      fputs( "((\"grow-stack!\" \"Lalr/driver.scm\" 1607) \"BGl_growzd2stackz12zc0zz__lalr_driverz00\")\n", (FILE *)bprof_port );
      fputs( "((\"__make-parser\" \"Lalr/driver.scm\" 1851) \"BGl___makezd2parserzd2zz__lalr_driverz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&__make-parser\" \"Lalr/driver.scm\" 1851) \"BGl_z62__makezd2parserzb0zz__lalr_driverz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1160>\" \"Lalr/driver.scm\" 1911) \"BGl_z62zc3anonymousza31160ze3ze1zz__lalr_driverz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__lalr_driverz00(long BgL_checksumz00_1894, char * BgL_fromz00_1895)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__lalr_driverz00))
{ 
BGl_requirezd2initializa7ationz75zz__lalr_driverz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__lalr_driverz00(); 
BGl_cnstzd2initzd2zz__lalr_driverz00(); 
BGl_importedzd2moduleszd2initz00zz__lalr_driverz00(); 
BGl_toplevelzd2initzd2zz__lalr_driverz00(); 
return 
BGl_profzd2initzd2zz__lalr_driverz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
BGl_symbol1660z00zz__lalr_driverz00 = 
bstring_to_symbol(BGl_string1661z00zz__lalr_driverz00); 
BGl_symbol1663z00zz__lalr_driverz00 = 
bstring_to_symbol(BGl_string1664z00zz__lalr_driverz00); 
BGl_symbol1668z00zz__lalr_driverz00 = 
bstring_to_symbol(BGl_string1669z00zz__lalr_driverz00); 
BGl_symbol1670z00zz__lalr_driverz00 = 
bstring_to_symbol(BGl_string1671z00zz__lalr_driverz00); 
return ( 
BGl_symbol1672z00zz__lalr_driverz00 = 
bstring_to_symbol(BGl_string1673z00zz__lalr_driverz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
BGl_za2maxzd2stackzd2siza7eza2za7zz__lalr_driverz00 = ((long)500); 
return ( 
BGl_za2stackzd2siza7ezd2incrementza2za7zz__lalr_driverz00 = ((long)200), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* grow-stack! */
obj_t BGl_growzd2stackz12zc0zz__lalr_driverz00(obj_t BgL_vz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 51 */
{ /* Lalr/driver.scm 52 */
obj_t BgL_v2z00_981;
{ /* Lalr/driver.scm 53 */
long BgL_arg1159z00_989;
BgL_arg1159z00_989 = 
(
VECTOR_LENGTH(BgL_vz00_3)+((long)200)); 
BgL_v2z00_981 = 
make_vector(BgL_arg1159z00_989, 
BINT(((long)0))); } 
{ /* Lalr/driver.scm 53 */

{ 
long BgL_iz00_983;
BgL_iz00_983 = ((long)0); 
BgL_zc3anonymousza31152ze3z83_984:
if(
(BgL_iz00_983<
VECTOR_LENGTH(BgL_vz00_3)))
{ /* Lalr/driver.scm 55 */
VECTOR_SET(BgL_v2z00_981,BgL_iz00_983,
VECTOR_REF(BgL_vz00_3,BgL_iz00_983)); 
{ 
long BgL_iz00_1920;
BgL_iz00_1920 = 
(BgL_iz00_983+((long)1)); 
BgL_iz00_983 = BgL_iz00_1920; 
goto BgL_zc3anonymousza31152ze3z83_984;} }  else 
{ /* Lalr/driver.scm 55 */
return BgL_v2z00_981;} } } } } 
BGL_FUNCTION_END;
}



/* __make-parser */
BGL_EXPORTED_DEF obj_t BGl___makezd2parserzd2zz__lalr_driverz00(obj_t BgL_actionzd2tablezd2_4, obj_t BgL_reductionzd2functionzd2_5)
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 61 */
{ /* Lalr/driver.scm 63 */
obj_t BgL_zc3anonymousza31160ze3z83_1832;
BgL_zc3anonymousza31160ze3z83_1832 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31160ze3ze1zz__lalr_driverz00, 
(int)(((long)3)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31160ze3z83_1832, 
(int)(((long)0)), BgL_actionzd2tablezd2_4); 
PROCEDURE_SET(BgL_zc3anonymousza31160ze3z83_1832, 
(int)(((long)1)), BgL_reductionzd2functionzd2_5); 
return BgL_zc3anonymousza31160ze3z83_1832;} } 
BGL_FUNCTION_END;
}



/* &__make-parser */
obj_t BGl_z62__makezd2parserzb0zz__lalr_driverz00(obj_t BgL_envz00_1833, obj_t BgL_actionzd2tablezd2_1834, obj_t BgL_reductionzd2functionzd2_1835)
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 61 */
return 
BGl___makezd2parserzd2zz__lalr_driverz00(BgL_actionzd2tablezd2_1834, BgL_reductionzd2functionzd2_1835);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1160> */
obj_t BGl_z62zc3anonymousza31160ze3ze1zz__lalr_driverz00(obj_t BgL_envz00_1836, obj_t BgL_rgcz00_1839, obj_t BgL_inputzd2portzd2_1840, obj_t BgL_iszd2eofzf3z21_1841)
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 63 */
{ /* Lalr/driver.scm 66 */
obj_t BgL_actionzd2tablezd2_1837;obj_t BgL_reductionzd2functionzd2_1838;
BgL_actionzd2tablezd2_1837 = 
PROCEDURE_REF(BgL_envz00_1836, 
(int)(((long)0))); 
BgL_reductionzd2functionzd2_1838 = 
PROCEDURE_REF(BgL_envz00_1836, 
(int)(((long)1))); 
{ 
obj_t BgL_xz00_1843;obj_t BgL_lz00_1844;
{ /* Lalr/driver.scm 71 */
obj_t BgL_stackz00_1847;obj_t BgL_statez00_1848;obj_t BgL_inputz00_1849;obj_t BgL_inz00_1850;obj_t BgL_attrz00_1851;obj_t BgL_actsz00_1852;obj_t BgL_actz00_1853;bool_t BgL_eofzf3zf3_1854;bool_t BgL_debugz00_1855;
BgL_stackz00_1847 = 
make_vector(((long)500), 
BINT(((long)0))); 
BgL_statez00_1848 = BFALSE; 
BgL_inputz00_1849 = BFALSE; 
BgL_inz00_1850 = BFALSE; 
BgL_attrz00_1851 = BFALSE; 
BgL_actsz00_1852 = BFALSE; 
BgL_actz00_1853 = BFALSE; 
BgL_eofzf3zf3_1854 = ((bool_t)0); 
{ /* Lalr/driver.scm 79 */
int BgL_arg1208z00_1856;
BgL_arg1208z00_1856 = 
bgl_debug(); 
BgL_debugz00_1855 = 
(
(long)(BgL_arg1208z00_1856)>=((long)100)); } 
{ 
obj_t BgL_spz00_1858;
BgL_spz00_1858 = 
BINT(((long)0)); 
BgL_loopz00_1857:
BgL_statez00_1848 = 
VECTOR_REF(BgL_stackz00_1847,
(long)CINT(BgL_spz00_1858)); 
{ /* Lalr/driver.scm 83 */
long BgL_kz00_1859;
BgL_kz00_1859 = 
(long)CINT(BgL_statez00_1848); 
BgL_actsz00_1852 = 
VECTOR_REF(
((obj_t)BgL_actionzd2tablezd2_1837),BgL_kz00_1859); } 
if(
NULLP(
CDR(BgL_actsz00_1852)))
{ /* Lalr/driver.scm 86 */
obj_t BgL_pairz00_1860;
BgL_pairz00_1860 = BgL_actsz00_1852; 
BgL_actz00_1853 = 
CDR(
CAR(BgL_pairz00_1860)); }  else 
{ /* Lalr/driver.scm 85 */
if(
CBOOL(BgL_inputz00_1849))
{ /* Lalr/driver.scm 88 */BFALSE; }  else 
{ /* Lalr/driver.scm 88 */
BgL_inputz00_1849 = 
PROCEDURE_ENTRY(BgL_rgcz00_1839)(BgL_rgcz00_1839, BgL_inputzd2portzd2_1840, BEOA); } 
if(
CBOOL(BgL_inputz00_1849))
{ /* Lalr/driver.scm 90 */((bool_t)0); }  else 
{ /* Lalr/driver.scm 90 */
bgl_system_failure(BGL_IO_PARSE_ERROR, BGl_symbol1660z00zz__lalr_driverz00, BGl_string1662z00zz__lalr_driverz00, BFALSE); } 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_iszd2eofzf3z21_1841)(BgL_iszd2eofzf3z21_1841, BgL_inputz00_1849, BEOA)))
{ /* Lalr/driver.scm 96 */
BgL_inz00_1850 = BGl_symbol1663z00zz__lalr_driverz00; 
BgL_attrz00_1851 = BFALSE; 
BgL_eofzf3zf3_1854 = ((bool_t)1); }  else 
{ /* Lalr/driver.scm 96 */
if(
PAIRP(BgL_inputz00_1849))
{ /* Lalr/driver.scm 100 */
BgL_inz00_1850 = 
CAR(BgL_inputz00_1849); 
BgL_attrz00_1851 = 
CDR(BgL_inputz00_1849); }  else 
{ /* Lalr/driver.scm 100 */
BgL_inz00_1850 = BgL_inputz00_1849; 
BgL_attrz00_1851 = BFALSE; } } 
BgL_xz00_1843 = BgL_inz00_1850; 
BgL_lz00_1844 = BgL_actsz00_1852; 
{ /* Lalr/driver.scm 66 */
obj_t BgL_yz00_1845;
BgL_yz00_1845 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1843, BgL_lz00_1844); 
if(
CBOOL(BgL_yz00_1845))
{ /* Lalr/driver.scm 67 */
BgL_actz00_1853 = 
CDR(
((obj_t)BgL_yz00_1845)); }  else 
{ /* Lalr/driver.scm 69 */
obj_t BgL_pairz00_1846;
BgL_pairz00_1846 = 
CAR(
((obj_t)BgL_lz00_1844)); 
BgL_actz00_1853 = 
CDR(BgL_pairz00_1846); } } } 
if(BgL_debugz00_1855)
{ /* Lalr/driver.scm 109 */
{ /* Lalr/driver.scm 110 */
obj_t BgL_arg1171z00_1861;
{ /* Lalr/driver.scm 110 */
obj_t BgL_res1585z00_1862;
{ /* Lalr/driver.scm 110 */
obj_t BgL_tmpz00_1977;
BgL_tmpz00_1977 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1585z00_1862 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1977); } 
BgL_arg1171z00_1861 = BgL_res1585z00_1862; } 
bgl_display_string(BGl_string1665z00zz__lalr_driverz00, BgL_arg1171z00_1861); } 
{ /* Lalr/driver.scm 111 */
obj_t BgL_arg1172z00_1863;
{ /* Lalr/driver.scm 111 */
obj_t BgL_res1586z00_1864;
{ /* Lalr/driver.scm 111 */
obj_t BgL_tmpz00_1981;
BgL_tmpz00_1981 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1586z00_1864 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1981); } 
BgL_arg1172z00_1863 = BgL_res1586z00_1864; } 
{ /* Lalr/driver.scm 111 */
obj_t BgL_list1173z00_1865;
BgL_list1173z00_1865 = 
MAKE_YOUNG_PAIR(BgL_arg1172z00_1863, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_inz00_1850, BgL_list1173z00_1865); } } 
{ /* Lalr/driver.scm 112 */
obj_t BgL_arg1174z00_1866;
{ /* Lalr/driver.scm 112 */
obj_t BgL_res1587z00_1867;
{ /* Lalr/driver.scm 112 */
obj_t BgL_tmpz00_1986;
BgL_tmpz00_1986 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1587z00_1867 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1986); } 
BgL_arg1174z00_1866 = BgL_res1587z00_1867; } 
bgl_display_string(BGl_string1666z00zz__lalr_driverz00, BgL_arg1174z00_1866); } 
{ /* Lalr/driver.scm 113 */
obj_t BgL_arg1176z00_1868;
{ /* Lalr/driver.scm 113 */
obj_t BgL_res1588z00_1869;
{ /* Lalr/driver.scm 113 */
obj_t BgL_tmpz00_1990;
BgL_tmpz00_1990 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1588z00_1869 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1990); } 
BgL_arg1176z00_1868 = BgL_res1588z00_1869; } 
{ /* Lalr/driver.scm 113 */
obj_t BgL_list1177z00_1870;
BgL_list1177z00_1870 = 
MAKE_YOUNG_PAIR(BgL_arg1176z00_1868, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_statez00_1848, BgL_list1177z00_1870); } } 
{ /* Lalr/driver.scm 114 */
obj_t BgL_arg1178z00_1871;
{ /* Lalr/driver.scm 114 */
obj_t BgL_res1589z00_1872;
{ /* Lalr/driver.scm 114 */
obj_t BgL_tmpz00_1995;
BgL_tmpz00_1995 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1589z00_1872 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1995); } 
BgL_arg1178z00_1871 = BgL_res1589z00_1872; } 
bgl_display_string(BGl_string1667z00zz__lalr_driverz00, BgL_arg1178z00_1871); } 
{ /* Lalr/driver.scm 115 */
obj_t BgL_arg1179z00_1873;
{ /* Lalr/driver.scm 115 */
obj_t BgL_res1590z00_1874;
{ /* Lalr/driver.scm 115 */
obj_t BgL_tmpz00_1999;
BgL_tmpz00_1999 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1590z00_1874 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1999); } 
BgL_arg1179z00_1873 = BgL_res1590z00_1874; } 
{ /* Lalr/driver.scm 115 */
obj_t BgL_list1180z00_1875;
BgL_list1180z00_1875 = 
MAKE_YOUNG_PAIR(BgL_arg1179z00_1873, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_spz00_1858, BgL_list1180z00_1875); } } 
{ /* Lalr/driver.scm 116 */
obj_t BgL_arg1181z00_1876;
{ /* Lalr/driver.scm 116 */
obj_t BgL_res1591z00_1877;
{ /* Lalr/driver.scm 116 */
obj_t BgL_tmpz00_2004;
BgL_tmpz00_2004 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res1591z00_1877 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2004); } 
BgL_arg1181z00_1876 = BgL_res1591z00_1877; } 
bgl_display_char(((unsigned char)10), BgL_arg1181z00_1876); } }  else 
{ /* Lalr/driver.scm 109 */BFALSE; } 
if(
(BgL_actz00_1853==BGl_symbol1668z00zz__lalr_driverz00))
{ /* Lalr/driver.scm 121 */
return 
VECTOR_REF(BgL_stackz00_1847,((long)1));}  else 
{ /* Lalr/driver.scm 125 */
bool_t BgL_testz00_2011;
if(
(BgL_actz00_1853==BGl_symbol1670z00zz__lalr_driverz00))
{ /* Lalr/driver.scm 125 */
BgL_testz00_2011 = ((bool_t)1)
; }  else 
{ /* Lalr/driver.scm 125 */
BgL_testz00_2011 = 
(BgL_actz00_1853==BGl_symbol1672z00zz__lalr_driverz00)
; } 
if(BgL_testz00_2011)
{ /* Lalr/driver.scm 126 */
obj_t BgL_msgz00_1878;
{ /* Lalr/driver.scm 129 */
obj_t BgL_arg1185z00_1879;
if(
SYMBOLP(BgL_inz00_1850))
{ /* Lalr/driver.scm 130 */
obj_t BgL_res1593z00_1880;
{ /* Lalr/driver.scm 130 */
obj_t BgL_symbolz00_1881;
BgL_symbolz00_1881 = BgL_inz00_1850; 
{ /* Lalr/driver.scm 130 */
obj_t BgL_arg1406z00_1882;
BgL_arg1406z00_1882 = 
SYMBOL_TO_STRING(BgL_symbolz00_1881); 
BgL_res1593z00_1880 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1406z00_1882); } } 
BgL_arg1185z00_1879 = BgL_res1593z00_1880; }  else 
{ /* Lalr/driver.scm 129 */
if(
CHARP(BgL_inz00_1850))
{ /* Lalr/driver.scm 132 */
obj_t BgL_res1595z00_1883;
{ /* Lalr/driver.scm 132 */
obj_t BgL_charz00_1884;
BgL_charz00_1884 = BgL_inz00_1850; 
BgL_res1595z00_1883 = 
make_string(((long)1), 
CCHAR(BgL_charz00_1884)); } 
BgL_arg1185z00_1879 = BgL_res1595z00_1883; }  else 
{ /* Lalr/driver.scm 134 */
obj_t BgL_portz00_1885;
{ /* Lalr/driver.scm 134 */

{ /* Lalr/driver.scm 134 */

BgL_portz00_1885 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Lalr/driver.scm 135 */
obj_t BgL_list1188z00_1886;
BgL_list1188z00_1886 = 
MAKE_YOUNG_PAIR(BgL_portz00_1885, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_inz00_1850, BgL_list1188z00_1886); } 
BgL_arg1185z00_1879 = 
bgl_close_output_port(BgL_portz00_1885); } } 
BgL_msgz00_1878 = 
string_append_3(BGl_string1674z00zz__lalr_driverz00, BgL_arg1185z00_1879, BGl_string1675z00zz__lalr_driverz00); } 
return 
bgl_system_failure(BGL_IO_PARSE_ERROR, BGl_string1661z00zz__lalr_driverz00, BgL_msgz00_1878, BgL_inputz00_1849);}  else 
{ /* Lalr/driver.scm 125 */
if(
(
(long)CINT(BgL_actz00_1853)>=((long)0)))
{ /* Lalr/driver.scm 141 */
{ /* Lalr/driver.scm 142 */
bool_t BgL_testz00_2032;
{ /* Lalr/driver.scm 142 */
long BgL_arg1194z00_1887;
{ /* Lalr/driver.scm 142 */
long BgL_arg1196z00_1888;
BgL_arg1196z00_1888 = 
VECTOR_LENGTH(BgL_stackz00_1847); 
BgL_arg1194z00_1887 = 
(BgL_arg1196z00_1888-((long)4)); } 
BgL_testz00_2032 = 
(
(long)CINT(BgL_spz00_1858)>=BgL_arg1194z00_1887); } 
if(BgL_testz00_2032)
{ /* Lalr/driver.scm 142 */
BgL_stackz00_1847 = 
BGl_growzd2stackz12zc0zz__lalr_driverz00(BgL_stackz00_1847); }  else 
{ /* Lalr/driver.scm 142 */BFALSE; } } 
VECTOR_SET(BgL_stackz00_1847,
(
(long)CINT(BgL_spz00_1858)+((long)1)),BgL_attrz00_1851); 
VECTOR_SET(BgL_stackz00_1847,
(
(long)CINT(BgL_spz00_1858)+((long)2)),BgL_actz00_1853); 
if(BgL_eofzf3zf3_1854)
{ /* Lalr/driver.scm 146 */BFALSE; }  else 
{ /* Lalr/driver.scm 146 */
BgL_inputz00_1849 = BFALSE; } 
{ /* Lalr/driver.scm 148 */
long BgL_arg1205z00_1891;
BgL_arg1205z00_1891 = 
(
(long)CINT(BgL_spz00_1858)+((long)2)); 
{ 
obj_t BgL_spz00_2047;
BgL_spz00_2047 = 
BINT(BgL_arg1205z00_1891); 
BgL_spz00_1858 = BgL_spz00_2047; 
goto BgL_loopz00_1857;} } }  else 
{ /* Lalr/driver.scm 152 */
obj_t BgL_arg1206z00_1892;
{ /* Lalr/driver.scm 152 */
long BgL_arg1207z00_1893;
BgL_arg1207z00_1893 = 
NEG(
(long)CINT(BgL_actz00_1853)); 
BgL_arg1206z00_1892 = 
PROCEDURE_ENTRY(BgL_reductionzd2functionzd2_1838)(BgL_reductionzd2functionzd2_1838, 
BINT(BgL_arg1207z00_1893), BgL_stackz00_1847, BgL_spz00_1858, BEOA); } 
{ 
obj_t BgL_spz00_2058;
BgL_spz00_2058 = BgL_arg1206z00_1892; 
BgL_spz00_1858 = BgL_spz00_2058; 
goto BgL_loopz00_1857;} } } } } } } } } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__lalr_driverz00()
{ BGL_FUNCTION_BEGIN;
{ /* Lalr/driver.scm 11 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1676z00zz__lalr_driverz00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1676z00zz__lalr_driverz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
