/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Llib/binary.scm -indent -o objs/obj_u/Llib/binary.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t,
		obj_t);
	extern int bgl_input_fill_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
	extern obj_t output_obj(obj_t, obj_t);
	extern obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zz__binaryz00();
	extern obj_t open_input_binary_file(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__binaryz00();
	BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t,
		obj_t);
	extern obj_t bgl_input_string(obj_t, int);
	static obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t, char);
	extern int bgl_output_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__binaryz00();
	extern obj_t open_output_binary_file(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t);
	extern obj_t close_binary_port(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t, obj_t, obj_t);
	extern obj_t append_output_binary_file(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
	static obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t,
		unsigned char);
	extern obj_t bgl_flush_binary_port(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
	static obj_t BGl_gczd2rootszd2initz00zz__binaryz00();
	static obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
	static obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2stringzd2envz00zz__binaryz00,
		BgL_bgl_za762inputza7d2strin1642z00, BGl_z62inputzd2stringzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2stringzd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2stri1643z00, BGl_z62outputzd2stringzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00,
		BgL_bgl_za762flushza7d2binar1644z00,
		BGl_z62flushzd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl_za762openza7d2output1645z00,
		BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2charzd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2char1646z00, BGl_z62outputzd2charzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2charzd2envz00zz__binaryz00,
		BgL_bgl_za762inputza7d2charza71647za7, BGl_z62inputzd2charzb0zz__binaryz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1623z00zz__binaryz00,
		BgL_bgl_string1623za700za7za7_1648za7,
		"/tmp/bigloo/runtime/Llib/binary.scm", 35);
	      DEFINE_STRING(BGl_string1624z00zz__binaryz00,
		BgL_bgl_string1624za700za7za7_1649za7, "&open-output-binary-file", 24);
	      DEFINE_STRING(BGl_string1625z00zz__binaryz00,
		BgL_bgl_string1625za700za7za7_1650za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1626z00zz__binaryz00,
		BgL_bgl_string1626za700za7za7_1651za7, "&append-output-binary-file", 26);
	      DEFINE_STRING(BGl_string1627z00zz__binaryz00,
		BgL_bgl_string1627za700za7za7_1652za7, "&open-input-binary-file", 23);
	      DEFINE_STRING(BGl_string1628z00zz__binaryz00,
		BgL_bgl_string1628za700za7za7_1653za7, "&close-binary-port", 18);
	      DEFINE_STRING(BGl_string1629z00zz__binaryz00,
		BgL_bgl_string1629za700za7za7_1654za7, "binary-port", 11);
	      DEFINE_STRING(BGl_string1630z00zz__binaryz00,
		BgL_bgl_string1630za700za7za7_1655za7, "&flush-binary-port", 18);
	      DEFINE_STRING(BGl_string1631z00zz__binaryz00,
		BgL_bgl_string1631za700za7za7_1656za7, "&input-obj", 10);
	      DEFINE_STRING(BGl_string1632z00zz__binaryz00,
		BgL_bgl_string1632za700za7za7_1657za7, "&output-obj", 11);
	      DEFINE_STRING(BGl_string1633z00zz__binaryz00,
		BgL_bgl_string1633za700za7za7_1658za7, "&output-char", 12);
	      DEFINE_STRING(BGl_string1634z00zz__binaryz00,
		BgL_bgl_string1634za700za7za7_1659za7, "bchar", 5);
	      DEFINE_STRING(BGl_string1635z00zz__binaryz00,
		BgL_bgl_string1635za700za7za7_1660za7, "&output-byte", 12);
	      DEFINE_STRING(BGl_string1636z00zz__binaryz00,
		BgL_bgl_string1636za700za7za7_1661za7, "bint", 4);
	      DEFINE_STRING(BGl_string1637z00zz__binaryz00,
		BgL_bgl_string1637za700za7za7_1662za7, "&input-char", 11);
	      DEFINE_STRING(BGl_string1638z00zz__binaryz00,
		BgL_bgl_string1638za700za7za7_1663za7, "&output-string", 14);
	      DEFINE_STRING(BGl_string1639z00zz__binaryz00,
		BgL_bgl_string1639za700za7za7_1664za7, "&input-string", 13);
	      DEFINE_STRING(BGl_string1640z00zz__binaryz00,
		BgL_bgl_string1640za700za7za7_1665za7, "&input-fill-string!", 19);
	      DEFINE_STRING(BGl_string1641z00zz__binaryz00,
		BgL_bgl_string1641za700za7za7_1666za7, "__binary", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00,
		BgL_bgl_za762inputza7d2fillza71667za7,
		BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00,
		BgL_bgl_za762closeza7d2binar1668z00,
		BGl_z62closezd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2bytezd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2byte1669z00, BGl_z62outputzd2bytezb0zz__binaryz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_binaryzd2portzf3zd2envzf3zz__binaryz00,
		BgL_bgl_za762binaryza7d2port1670z00,
		BGl_z62binaryzd2portzf3z43zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2objzd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2objza71671za7, BGl_z62outputzd2objzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl_za762appendza7d2outp1672z00,
		BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2objzd2envz00zz__binaryz00,
		BgL_bgl_za762inputza7d2objza7b1673za7, BGl_z62inputzd2objzb0zz__binaryz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl_za762openza7d2inputza71674za7,
		BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__binaryz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long
		BgL_checksumz00_1761, char *BgL_fromz00_1762)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
				{
					BGl_requirezd2initializa7ationz75zz__binaryz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__binaryz00();
					BGl_importedzd2moduleszd2initz00zz__binaryz00();
					return BGl_methodzd2initzd2zz__binaryz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__binaryz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* binary-port? */
	BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t
		BgL_objz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 137 */
			return BINARY_PORTP(BgL_objz00_3);
		}
		BGL_FUNCTION_END;
	}



/* &binary-port? */
	obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t BgL_envz00_1690,
		obj_t BgL_objz00_1691)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 137 */
			return BBOOL(BGl_binaryzd2portzf3z21zz__binaryz00(BgL_objz00_1691));
		}
		BGL_FUNCTION_END;
	}



/* open-output-binary-file */
	BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t
		BgL_strz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 143 */
			return open_output_binary_file(BgL_strz00_4);
		}
		BGL_FUNCTION_END;
	}



/* &open-output-binary-file */
	obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t
		BgL_envz00_1692, obj_t BgL_strz00_1693)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 143 */
			{	/* Llib/binary.scm 144 */
				obj_t BgL_auxz00_1774;

				if (STRINGP(BgL_strz00_1693))
					{	/* Llib/binary.scm 144 */
						BgL_auxz00_1774 = BgL_strz00_1693;
					}
				else
					{
						obj_t BgL_auxz00_1777;

						BgL_auxz00_1777 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 5612)), BGl_string1624z00zz__binaryz00,
							BGl_string1625z00zz__binaryz00, BgL_strz00_1693);
						FAILURE(BgL_auxz00_1777, BFALSE, BFALSE);
					}
				return
					BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_1774);
			}
		}
		BGL_FUNCTION_END;
	}



/* append-output-binary-file */
	BGL_EXPORTED_DEF obj_t
		BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 149 */
			return append_output_binary_file(BgL_strz00_5);
		}
		BGL_FUNCTION_END;
	}



/* &append-output-binary-file */
	obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t
		BgL_envz00_1694, obj_t BgL_strz00_1695)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 149 */
			{	/* Llib/binary.scm 150 */
				obj_t BgL_auxz00_1783;

				if (STRINGP(BgL_strz00_1695))
					{	/* Llib/binary.scm 150 */
						BgL_auxz00_1783 = BgL_strz00_1695;
					}
				else
					{
						obj_t BgL_auxz00_1786;

						BgL_auxz00_1786 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 5910)), BGl_string1626z00zz__binaryz00,
							BGl_string1625z00zz__binaryz00, BgL_strz00_1695);
						FAILURE(BgL_auxz00_1786, BFALSE, BFALSE);
					}
				return
					BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_1783);
			}
		}
		BGL_FUNCTION_END;
	}



/* open-input-binary-file */
	BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t
		BgL_strz00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 155 */
			return open_input_binary_file(BgL_strz00_6);
		}
		BGL_FUNCTION_END;
	}



/* &open-input-binary-file */
	obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t
		BgL_envz00_1696, obj_t BgL_strz00_1697)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 155 */
			{	/* Llib/binary.scm 156 */
				obj_t BgL_auxz00_1792;

				if (STRINGP(BgL_strz00_1697))
					{	/* Llib/binary.scm 156 */
						BgL_auxz00_1792 = BgL_strz00_1697;
					}
				else
					{
						obj_t BgL_auxz00_1795;

						BgL_auxz00_1795 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 6207)), BGl_string1627z00zz__binaryz00,
							BGl_string1625z00zz__binaryz00, BgL_strz00_1697);
						FAILURE(BgL_auxz00_1795, BFALSE, BFALSE);
					}
				return
					BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_1792);
			}
		}
		BGL_FUNCTION_END;
	}



/* close-binary-port */
	BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t
		BgL_portz00_7)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 161 */
			return close_binary_port(BgL_portz00_7);
		}
		BGL_FUNCTION_END;
	}



/* &close-binary-port */
	obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1698,
		obj_t BgL_portz00_1699)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 161 */
			{	/* Llib/binary.scm 162 */
				obj_t BgL_auxz00_1801;

				if (BINARY_PORTP(BgL_portz00_1699))
					{	/* Llib/binary.scm 162 */
						BgL_auxz00_1801 = BgL_portz00_1699;
					}
				else
					{
						obj_t BgL_auxz00_1804;

						BgL_auxz00_1804 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 6504)), BGl_string1628z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1699);
						FAILURE(BgL_auxz00_1804, BFALSE, BFALSE);
					}
				return BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_auxz00_1801);
			}
		}
		BGL_FUNCTION_END;
	}



/* flush-binary-port */
	BGL_EXPORTED_DEF obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t
		BgL_portz00_8)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 167 */
			return bgl_flush_binary_port(BgL_portz00_8);
		}
		BGL_FUNCTION_END;
	}



/* &flush-binary-port */
	obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1700,
		obj_t BgL_portz00_1701)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 167 */
			{	/* Llib/binary.scm 168 */
				obj_t BgL_auxz00_1810;

				if (BINARY_PORTP(BgL_portz00_1701))
					{	/* Llib/binary.scm 168 */
						BgL_auxz00_1810 = BgL_portz00_1701;
					}
				else
					{
						obj_t BgL_auxz00_1813;

						BgL_auxz00_1813 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 6797)), BGl_string1630z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1701);
						FAILURE(BgL_auxz00_1813, BFALSE, BFALSE);
					}
				return BGl_flushzd2binaryzd2portz00zz__binaryz00(BgL_auxz00_1810);
			}
		}
		BGL_FUNCTION_END;
	}



/* input-obj */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 173 */
			return input_obj(BgL_portz00_9);
		}
		BGL_FUNCTION_END;
	}



/* &input-obj */
	obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1702,
		obj_t BgL_portz00_1703)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 173 */
			{	/* Llib/binary.scm 174 */
				obj_t BgL_auxz00_1819;

				if (BINARY_PORTP(BgL_portz00_1703))
					{	/* Llib/binary.scm 174 */
						BgL_auxz00_1819 = BgL_portz00_1703;
					}
				else
					{
						obj_t BgL_auxz00_1822;

						BgL_auxz00_1822 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 7082)), BGl_string1631z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1703);
						FAILURE(BgL_auxz00_1822, BFALSE, BFALSE);
					}
				return BGl_inputzd2objzd2zz__binaryz00(BgL_auxz00_1819);
			}
		}
		BGL_FUNCTION_END;
	}



/* output-obj */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_10,
		obj_t BgL_objz00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 179 */
			return output_obj(BgL_portz00_10, BgL_objz00_11);
		}
		BGL_FUNCTION_END;
	}



/* &output-obj */
	obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1704,
		obj_t BgL_portz00_1705, obj_t BgL_objz00_1706)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 179 */
			{	/* Llib/binary.scm 180 */
				obj_t BgL_auxz00_1828;

				if (BINARY_PORTP(BgL_portz00_1705))
					{	/* Llib/binary.scm 180 */
						BgL_auxz00_1828 = BgL_portz00_1705;
					}
				else
					{
						obj_t BgL_auxz00_1831;

						BgL_auxz00_1831 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 7364)), BGl_string1632z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1705);
						FAILURE(BgL_auxz00_1831, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2objzd2zz__binaryz00(BgL_auxz00_1828, BgL_objz00_1706);
			}
		}
		BGL_FUNCTION_END;
	}



/* output-char */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_12,
		unsigned char BgL_charz00_13)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 185 */
			return BGL_OUTPUT_CHAR(BgL_portz00_12, BgL_charz00_13);
		}
		BGL_FUNCTION_END;
	}



/* &output-char */
	obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1707,
		obj_t BgL_portz00_1708, obj_t BgL_charz00_1709)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 185 */
			{	/* Llib/binary.scm 186 */
				unsigned char BgL_auxz00_1844;
				obj_t BgL_auxz00_1837;

				{	/* Llib/binary.scm 186 */
					obj_t BgL_tmpz00_1845;

					if (CHARP(BgL_charz00_1709))
						{	/* Llib/binary.scm 186 */
							BgL_tmpz00_1845 = BgL_charz00_1709;
						}
					else
						{
							obj_t BgL_auxz00_1848;

							BgL_auxz00_1848 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
								BINT(((long) 7658)), BGl_string1633z00zz__binaryz00,
								BGl_string1634z00zz__binaryz00, BgL_charz00_1709);
							FAILURE(BgL_auxz00_1848, BFALSE, BFALSE);
						}
					BgL_auxz00_1844 = CCHAR(BgL_tmpz00_1845);
				}
				if (BINARY_PORTP(BgL_portz00_1708))
					{	/* Llib/binary.scm 186 */
						BgL_auxz00_1837 = BgL_portz00_1708;
					}
				else
					{
						obj_t BgL_auxz00_1840;

						BgL_auxz00_1840 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 7658)), BGl_string1633z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1708);
						FAILURE(BgL_auxz00_1840, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2charzd2zz__binaryz00(BgL_auxz00_1837, BgL_auxz00_1844);
			}
		}
		BGL_FUNCTION_END;
	}



/* output-byte */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t BgL_portz00_14,
		char BgL_charz00_15)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 191 */
			return BGL_OUTPUT_CHAR(BgL_portz00_14, BgL_charz00_15);
		}
		BGL_FUNCTION_END;
	}



/* &output-byte */
	obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t BgL_envz00_1710,
		obj_t BgL_portz00_1711, obj_t BgL_charz00_1712)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 191 */
			{	/* Llib/binary.scm 192 */
				char BgL_auxz00_1862;
				obj_t BgL_auxz00_1855;

				{	/* Llib/binary.scm 192 */
					obj_t BgL_tmpz00_1863;

					if (INTEGERP(BgL_charz00_1712))
						{	/* Llib/binary.scm 192 */
							BgL_tmpz00_1863 = BgL_charz00_1712;
						}
					else
						{
							obj_t BgL_auxz00_1866;

							BgL_auxz00_1866 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
								BINT(((long) 7949)), BGl_string1635z00zz__binaryz00,
								BGl_string1636z00zz__binaryz00, BgL_charz00_1712);
							FAILURE(BgL_auxz00_1866, BFALSE, BFALSE);
						}
					BgL_auxz00_1862 = (signed char) CINT(BgL_tmpz00_1863);
				}
				if (BINARY_PORTP(BgL_portz00_1711))
					{	/* Llib/binary.scm 192 */
						BgL_auxz00_1855 = BgL_portz00_1711;
					}
				else
					{
						obj_t BgL_auxz00_1858;

						BgL_auxz00_1858 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 7949)), BGl_string1635z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1711);
						FAILURE(BgL_auxz00_1858, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2bytezd2zz__binaryz00(BgL_auxz00_1855, BgL_auxz00_1862);
			}
		}
		BGL_FUNCTION_END;
	}



/* input-char */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 197 */
			{	/* Llib/binary.scm 198 */
				int BgL_charz00_1760;

				BgL_charz00_1760 = BGL_INPUT_CHAR(BgL_portz00_16);
				if (BGL_INT_EOFP(BgL_charz00_1760))
					{	/* Llib/binary.scm 199 */
						return BEOF;
					}
				else
					{	/* Llib/binary.scm 199 */
						return BCHAR(((long) (BgL_charz00_1760)));
		}}}
		BGL_FUNCTION_END;
	}



/* &input-char */
	obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1713,
		obj_t BgL_portz00_1714)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 197 */
			{	/* Llib/binary.scm 198 */
				obj_t BgL_auxz00_1878;

				if (BINARY_PORTP(BgL_portz00_1714))
					{	/* Llib/binary.scm 198 */
						BgL_auxz00_1878 = BgL_portz00_1714;
					}
				else
					{
						obj_t BgL_auxz00_1881;

						BgL_auxz00_1881 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 8234)), BGl_string1637z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1714);
						FAILURE(BgL_auxz00_1881, BFALSE, BFALSE);
					}
				return BGl_inputzd2charzd2zz__binaryz00(BgL_auxz00_1878);
			}
		}
		BGL_FUNCTION_END;
	}



/* output-string */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t
		BgL_portz00_17, obj_t BgL_stringz00_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 206 */
			return BINT(bgl_output_string(BgL_portz00_17, BgL_stringz00_18));
		}
		BGL_FUNCTION_END;
	}



/* &output-string */
	obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1715,
		obj_t BgL_portz00_1716, obj_t BgL_stringz00_1717)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 206 */
			{	/* Llib/binary.scm 207 */
				obj_t BgL_auxz00_1895;
				obj_t BgL_auxz00_1888;

				if (STRINGP(BgL_stringz00_1717))
					{	/* Llib/binary.scm 207 */
						BgL_auxz00_1895 = BgL_stringz00_1717;
					}
				else
					{
						obj_t BgL_auxz00_1898;

						BgL_auxz00_1898 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 8598)), BGl_string1638z00zz__binaryz00,
							BGl_string1625z00zz__binaryz00, BgL_stringz00_1717);
						FAILURE(BgL_auxz00_1898, BFALSE, BFALSE);
					}
				if (BINARY_PORTP(BgL_portz00_1716))
					{	/* Llib/binary.scm 207 */
						BgL_auxz00_1888 = BgL_portz00_1716;
					}
				else
					{
						obj_t BgL_auxz00_1891;

						BgL_auxz00_1891 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 8598)), BGl_string1638z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1716);
						FAILURE(BgL_auxz00_1891, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2stringzd2zz__binaryz00(BgL_auxz00_1888, BgL_auxz00_1895);
			}
		}
		BGL_FUNCTION_END;
	}



/* input-string */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t
		BgL_portz00_19, int BgL_lenz00_20)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 212 */
			return bgl_input_string(BgL_portz00_19, BgL_lenz00_20);
		}
		BGL_FUNCTION_END;
	}



/* &input-string */
	obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1718,
		obj_t BgL_portz00_1719, obj_t BgL_lenz00_1720)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 212 */
			{	/* Llib/binary.scm 213 */
				int BgL_auxz00_1911;
				obj_t BgL_auxz00_1904;

				{	/* Llib/binary.scm 213 */
					obj_t BgL_tmpz00_1912;

					if (INTEGERP(BgL_lenz00_1720))
						{	/* Llib/binary.scm 213 */
							BgL_tmpz00_1912 = BgL_lenz00_1720;
						}
					else
						{
							obj_t BgL_auxz00_1915;

							BgL_auxz00_1915 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
								BINT(((long) 8893)), BGl_string1639z00zz__binaryz00,
								BGl_string1636z00zz__binaryz00, BgL_lenz00_1720);
							FAILURE(BgL_auxz00_1915, BFALSE, BFALSE);
						}
					BgL_auxz00_1911 = CINT(BgL_tmpz00_1912);
				}
				if (BINARY_PORTP(BgL_portz00_1719))
					{	/* Llib/binary.scm 213 */
						BgL_auxz00_1904 = BgL_portz00_1719;
					}
				else
					{
						obj_t BgL_auxz00_1907;

						BgL_auxz00_1907 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
							BINT(((long) 8893)), BGl_string1639z00zz__binaryz00,
							BGl_string1629z00zz__binaryz00, BgL_portz00_1719);
						FAILURE(BgL_auxz00_1907, BFALSE, BFALSE);
					}
				return
					BGl_inputzd2stringzd2zz__binaryz00(BgL_auxz00_1904, BgL_auxz00_1911);
			}
		}
		BGL_FUNCTION_END;
	}



/* input-fill-string! */
	BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t
		BgL_portz00_21, obj_t BgL_strz00_22)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 218 */
			return bgl_input_fill_string(BgL_portz00_21, BgL_strz00_22);
		}
		BGL_FUNCTION_END;
	}



/* &input-fill-string! */
	obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t BgL_envz00_1721,
		obj_t BgL_portz00_1722, obj_t BgL_strz00_1723)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 218 */
			{	/* Llib/binary.scm 219 */
				int BgL_tmpz00_1922;

				{	/* Llib/binary.scm 219 */
					obj_t BgL_auxz00_1930;
					obj_t BgL_auxz00_1923;

					if (STRINGP(BgL_strz00_1723))
						{	/* Llib/binary.scm 219 */
							BgL_auxz00_1930 = BgL_strz00_1723;
						}
					else
						{
							obj_t BgL_auxz00_1933;

							BgL_auxz00_1933 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
								BINT(((long) 9190)), BGl_string1640z00zz__binaryz00,
								BGl_string1625z00zz__binaryz00, BgL_strz00_1723);
							FAILURE(BgL_auxz00_1933, BFALSE, BFALSE);
						}
					if (BINARY_PORTP(BgL_portz00_1722))
						{	/* Llib/binary.scm 219 */
							BgL_auxz00_1923 = BgL_portz00_1722;
						}
					else
						{
							obj_t BgL_auxz00_1926;

							BgL_auxz00_1926 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1623z00zz__binaryz00,
								BINT(((long) 9190)), BGl_string1640z00zz__binaryz00,
								BGl_string1629z00zz__binaryz00, BgL_portz00_1722);
							FAILURE(BgL_auxz00_1926, BFALSE, BFALSE);
						}
					BgL_tmpz00_1922 =
						BGl_inputzd2fillzd2stringz12z12zz__binaryz00(BgL_auxz00_1923,
						BgL_auxz00_1930);
				}
				return BINT(BgL_tmpz00_1922);
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__binaryz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__binaryz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__binaryz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/binary.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1641z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 6305717),
				BSTRING_TO_STRING(BGl_string1641z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1641z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1641z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string1641z00zz__binaryz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564232),
				BSTRING_TO_STRING(BGl_string1641z00zz__binaryz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
