/*===========================================================================*/
/*   (Ast/occur.scm)                                                         */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/occur.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2switch1290z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_occurz00();
	static obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21298z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2letzd2fun1292za2zzast_occurz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_occurz00();
	static obj_t BGl_z62occurzd2nodez12zd2sequence1267z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2app1272z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2retblock1300z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2sync1270z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2fail1288z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1306za2zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2letzd2var1294za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_occurz00();
	static obj_t BGl_z62occurzd2nodez12zd2patch1265z70zzast_occurz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2appzd2ly1274za2zzast_occurz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2extern1278z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_occurz00 = BUNSPEC;
	static obj_t BGl_z62occurzd2nodez121260za2zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
	static obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62zc3anonymousza31317ze3ze1zzast_occurz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1296z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_occurz00();
	static obj_t BGl_z62occurzd2nodez12zd2conditio1286z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2var1263z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_occurz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2cast1282z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2setq1284z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2pragma1280z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2funcall1276z70zzast_occurz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_occurz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00();
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2return1302z70zzast_occurz00(obj_t,
		obj_t);
	static bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121308zb0zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2makezd2box1304za2zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1811z00zzast_occurz00,
		BgL_bgl_string1811za700za7za7a1841za7, "occur-node!1260", 15);
	      DEFINE_STRING(BGl_string1813z00zzast_occurz00,
		BgL_bgl_string1813za700za7za7a1842za7, "occur-node!", 11);
	      DEFINE_STRING(BGl_string1836z00zzast_occurz00,
		BgL_bgl_string1836za700za7za7a1843za7, "ast_occur", 9);
	      DEFINE_STRING(BGl_string1837z00zzast_occurz00,
		BgL_bgl_string1837za700za7za7a1844za7, "read write done ", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2varzd2envz00zzast_occurz00,
		BgL_bgl_za762occurza7d2varza7b1845za7, BGl_z62occurzd2varzb0zzast_occurz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzast_occurz00,
		BgL_bgl_za762za7c3anonymousza71846za7,
		BGl_z62zc3anonymousza31317ze3ze1zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71847za7,
		BGl_z62occurzd2nodez121260za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71848za7,
		BGl_z62occurzd2nodez12zd2var1263z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71849za7,
		BGl_z62occurzd2nodez12zd2patch1265z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1815z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71850za7,
		BGl_z62occurzd2nodez12zd2sequence1267z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71851za7,
		BGl_z62occurzd2nodez12zd2sync1270z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71852za7,
		BGl_z62occurzd2nodez12zd2app1272z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1818z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71853za7,
		BGl_z62occurzd2nodez12zd2appzd2ly1274za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71854za7,
		BGl_z62occurzd2nodez12zd2funcall1276z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71855za7,
		BGl_z62occurzd2nodez12zd2extern1278z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71856za7,
		BGl_z62occurzd2nodez12zd2pragma1280z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71857za7,
		BGl_z62occurzd2nodez12zd2cast1282z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71858za7,
		BGl_z62occurzd2nodez12zd2setq1284z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71859za7,
		BGl_z62occurzd2nodez12zd2conditio1286z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71860za7,
		BGl_z62occurzd2nodez12zd2fail1288z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71861za7,
		BGl_z62occurzd2nodez12zd2switch1290z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71862za7,
		BGl_z62occurzd2nodez12zd2letzd2fun1292za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71863za7,
		BGl_z62occurzd2nodez12zd2letzd2var1294za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71864za7,
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1296z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71865za7,
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21298z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71866za7,
		BGl_z62occurzd2nodez12zd2retblock1300z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71867za7,
		BGl_z62occurzd2nodez12zd2return1302z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71868za7,
		BGl_z62occurzd2nodez12zd2makezd2box1304za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71869za7,
		BGl_z62occurzd2nodez12zd2boxzd2ref1306za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1835z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71870za7,
		BGl_z62occurzd2nodez12zd2boxzd2setz121308zb0zzast_occurz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2nodezd2inz12zd2envzc0zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71871za7,
		BGl_z62occurzd2nodezd2inz12z70zzast_occurz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71872za7,
		BGl_z62occurzd2nodez12za2zzast_occurz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_occurz00));
		     ADD_ROOT((void *) (&BGl_za2globalza2z00zzast_occurz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long
		BgL_checksumz00_2077, char *BgL_fromz00_2078)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_occurz00))
				{
					BGl_requirezd2initializa7ationz75zzast_occurz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_occurz00();
					BGl_libraryzd2moduleszd2initz00zzast_occurz00();
					BGl_cnstzd2initzd2zzast_occurz00();
					BGl_importedzd2moduleszd2initz00zzast_occurz00();
					BGl_genericzd2initzd2zzast_occurz00();
					BGl_methodzd2initzd2zzast_occurz00();
					return BGl_toplevelzd2initzd2zzast_occurz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_occur");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_occur");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			{	/* Ast/occur.scm 17 */
				obj_t BgL_cportz00_1982;

				{	/* Ast/occur.scm 17 */
					obj_t BgL_stringz00_1990;

					BgL_stringz00_1990 = BGl_string1837z00zzast_occurz00;
					{	/* Ast/occur.scm 17 */
						obj_t BgL_startz00_1991;

						BgL_startz00_1991 = BINT(((long) 0));
						{	/* Ast/occur.scm 17 */
							obj_t BgL_endz00_1992;

							BgL_endz00_1992 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1990)));
							{	/* Ast/occur.scm 17 */

								BgL_cportz00_1982 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1990, BgL_startz00_1991, BgL_endz00_1992);
				}}}}
				{
					long BgL_iz00_1983;

					BgL_iz00_1983 = ((long) 2);
				BgL_loopz00_1984:
					if ((BgL_iz00_1983 == ((long) -1)))
						{	/* Ast/occur.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/occur.scm 17 */
							{	/* Ast/occur.scm 17 */
								obj_t BgL_arg1839z00_1986;

								{	/* Ast/occur.scm 17 */

									{	/* Ast/occur.scm 17 */
										obj_t BgL_locationz00_1988;

										BgL_locationz00_1988 = BBOOL(((bool_t) 0));
										{	/* Ast/occur.scm 17 */

											BgL_arg1839z00_1986 =
												BGl_readz00zz__readerz00(BgL_cportz00_1982,
												BgL_locationz00_1988);
										}
									}
								}
								{	/* Ast/occur.scm 17 */
									int BgL_tmpz00_2105;

									BgL_tmpz00_2105 = (int) (BgL_iz00_1983);
									CNST_TABLE_SET(BgL_tmpz00_2105, BgL_arg1839z00_1986);
							}}
							{	/* Ast/occur.scm 17 */
								int BgL_auxz00_1989;

								BgL_auxz00_1989 = (int) ((BgL_iz00_1983 - ((long) 1)));
								{
									long BgL_iz00_2110;

									BgL_iz00_2110 = (long) (BgL_auxz00_1989);
									BgL_iz00_1983 = BgL_iz00_2110;
									goto BgL_loopz00_1984;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* occur-var */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t
		BgL_globalsz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 32 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1809z00zzast_occurz00,
				BNIL);
			{
				obj_t BgL_l1235z00_1330;

				BgL_l1235z00_1330 = BgL_globalsz00_3;
			BgL_zc3anonymousza31318ze3z83_1331:
				if (PAIRP(BgL_l1235z00_1330))
					{	/* Ast/occur.scm 38 */
						{	/* Ast/occur.scm 39 */
							obj_t BgL_globalz00_1333;

							BgL_globalz00_1333 = CAR(BgL_l1235z00_1330);
							{	/* Ast/occur.scm 39 */
								obj_t BgL_arg1329z00_1334;

								BgL_arg1329z00_1334 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1333))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_za2globalza2z00zzast_occurz00 =
									((obj_t) ((BgL_globalz00_bglt) BgL_globalz00_1333));
								BGl_occurzd2nodez12zc0zzast_occurz00(((BgL_nodez00_bglt)
										BgL_arg1329z00_1334));
							}
						}
						{
							obj_t BgL_l1235z00_2126;

							BgL_l1235z00_2126 = CDR(BgL_l1235z00_1330);
							BgL_l1235z00_1330 = BgL_l1235z00_2126;
							goto BgL_zc3anonymousza31318ze3z83_1331;
						}
					}
				else
					{	/* Ast/occur.scm 38 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
		BGL_FUNCTION_END;
	}



/* &occur-var */
	obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t BgL_envz00_1901,
		obj_t BgL_globalsz00_1902)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 32 */
			return BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_1902);
		}
		BGL_FUNCTION_END;
	}



/* &<anonymous:1317> */
	obj_t BGl_z62zc3anonymousza31317ze3ze1zzast_occurz00(obj_t BgL_envz00_1903,
		obj_t BgL_globalz00_1904)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 34 */
			((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_1904))))->
					BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
			return ((((BgL_variablez00_bglt)
						COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
									BgL_globalz00_1904))))->BgL_occurrencewz00) =
				((long) ((long) 0)), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* occur-node-in! */
	BGL_EXPORTED_DEF obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt BgL_nodez00_4,
		BgL_globalz00_bglt BgL_globalz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 46 */
			BGl_za2globalza2z00zzast_occurz00 = ((obj_t) BgL_globalz00_5);
			return BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_4);
		}
		BGL_FUNCTION_END;
	}



/* &occur-node-in! */
	obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t BgL_envz00_1905,
		obj_t BgL_nodez00_1906, obj_t BgL_globalz00_1907)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 46 */
			return
				BGl_occurzd2nodezd2inz12z12zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_1906),
				((BgL_globalz00_bglt) BgL_globalz00_1907));
		}
		BGL_FUNCTION_END;
	}



/* occur-node*! */
	bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t BgL_nodeza2za2_30)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 284 */
			{
				obj_t BgL_l1258z00_1339;

				BgL_l1258z00_1339 = BgL_nodeza2za2_30;
			BgL_zc3anonymousza31332ze3z83_1340:
				if (PAIRP(BgL_l1258z00_1339))
					{	/* Ast/occur.scm 285 */
						{	/* Ast/occur.scm 285 */
							obj_t BgL_arg1343z00_1342;

							BgL_arg1343z00_1342 = CAR(BgL_l1258z00_1339);
							BGl_occurzd2nodez12zc0zzast_occurz00(
								((BgL_nodez00_bglt) BgL_arg1343z00_1342));
						}
						{
							obj_t BgL_l1258z00_2145;

							BgL_l1258z00_2145 = CDR(BgL_l1258z00_1339);
							BgL_l1258z00_1339 = BgL_l1258z00_2145;
							goto BgL_zc3anonymousza31332ze3z83_1340;
						}
					}
				else
					{	/* Ast/occur.scm 285 */
						return ((bool_t) 1);
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_proc1810z00zzast_occurz00, BGl_nodez00zzast_nodez00,
				BGl_string1811z00zzast_occurz00);
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!1260 */
	obj_t BGl_z62occurzd2nodez121260za2zzast_occurz00(obj_t BgL_envz00_1909,
		obj_t BgL_nodez00_1910)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 58 */
			return CNST_TABLE_REF(((long) 0));
		}
		BGL_FUNCTION_END;
	}



/* occur-node! */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt
		BgL_nodez00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 58 */
			{	/* Ast/occur.scm 58 */
				obj_t BgL_method1261z00_1349;

				{	/* Ast/occur.scm 58 */
					obj_t BgL_res1793z00_1816;

					{	/* Ast/occur.scm 58 */
						long BgL_objzd2classzd2numz00_1773;

						{	/* Ast/occur.scm 58 */
							long BgL_res1782z00_1776;

							BgL_res1782z00_1776 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
							BgL_objzd2classzd2numz00_1773 = BgL_res1782z00_1776;
						}
						{	/* Ast/occur.scm 58 */
							obj_t BgL_arg1738z00_1774;

							BgL_arg1738z00_1774 =
								PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
								(int) (((long) 1)));
							{	/* Ast/occur.scm 58 */
								int BgL_offsetz00_1778;

								BgL_offsetz00_1778 = (int) (BgL_objzd2classzd2numz00_1773);
								{	/* Ast/occur.scm 58 */
									long BgL_offsetz00_1779;

									BgL_offsetz00_1779 =
										((long) (BgL_offsetz00_1778) - OBJECT_TYPE);
									{	/* Ast/occur.scm 58 */
										long BgL_modz00_1780;

										{	/* Ast/occur.scm 58 */
											int BgL_arg1740z00_1781;

											BgL_arg1740z00_1781 = (int) (((long) 16));
											{	/* Ast/occur.scm 58 */
												long BgL_res1785z00_1791;

												{	/* Ast/occur.scm 58 */
													long BgL_tmpz00_2157;

													BgL_tmpz00_2157 = (long) (BgL_arg1740z00_1781);
													BgL_res1785z00_1791 =
														(BgL_offsetz00_1779 / BgL_tmpz00_2157);
												}
												BgL_modz00_1780 = BgL_res1785z00_1791;
										}}
										{	/* Ast/occur.scm 58 */
											long BgL_restz00_1782;

											{	/* Ast/occur.scm 58 */
												int BgL_arg1739z00_1783;

												BgL_arg1739z00_1783 = (int) (((long) 16));
												{	/* Ast/occur.scm 58 */
													long BgL_res1792z00_1811;

													{	/* Ast/occur.scm 58 */
														long BgL_n1z00_1793;
														long BgL_n2z00_1794;

														BgL_n1z00_1793 = BgL_offsetz00_1779;
														BgL_n2z00_1794 = (long) (BgL_arg1739z00_1783);
														{	/* Ast/occur.scm 58 */
															bool_t BgL_testz00_2162;

															{	/* Ast/occur.scm 58 */
																long BgL_arg1304z00_1796;

																BgL_arg1304z00_1796 =
																	(((BgL_n1z00_1793) | (BgL_n2z00_1794)) &
																	-2147483648);
																BgL_testz00_2162 =
																	(BgL_arg1304z00_1796 == ((long) 0));
															}
															if (BgL_testz00_2162)
																{	/* Ast/occur.scm 58 */
																	int32_t BgL_arg1278z00_1797;

																	{	/* Ast/occur.scm 58 */
																		int32_t BgL_arg1301z00_1798;
																		int32_t BgL_arg1303z00_1799;

																		{	/* Ast/occur.scm 58 */
																			int32_t BgL_res1788z00_1803;

																			BgL_res1788z00_1803 =
																				(int32_t) (BgL_n1z00_1793);
																			BgL_arg1301z00_1798 = BgL_res1788z00_1803;
																		}
																		{	/* Ast/occur.scm 58 */
																			int32_t BgL_res1789z00_1805;

																			BgL_res1789z00_1805 =
																				(int32_t) (BgL_n2z00_1794);
																			BgL_arg1303z00_1799 = BgL_res1789z00_1805;
																		}
																		BgL_arg1278z00_1797 =
																			(BgL_arg1301z00_1798 %
																			BgL_arg1303z00_1799);
																	}
																	{	/* Ast/occur.scm 58 */
																		long BgL_res1791z00_1810;

																		{	/* Ast/occur.scm 58 */
																			long BgL_arg1406z00_1807;

																			BgL_arg1406z00_1807 =
																				(long) (BgL_arg1278z00_1797);
																			{	/* Ast/occur.scm 58 */
																				long BgL_res1790z00_1809;

																				BgL_res1790z00_1809 =
																					(long) (BgL_arg1406z00_1807);
																				BgL_res1791z00_1810 =
																					BgL_res1790z00_1809;
																		}}
																		BgL_res1792z00_1811 = BgL_res1791z00_1810;
																}}
															else
																{	/* Ast/occur.scm 58 */
																	BgL_res1792z00_1811 =
																		(BgL_n1z00_1793 % BgL_n2z00_1794);
																}
														}
													}
													BgL_restz00_1782 = BgL_res1792z00_1811;
												}
											}
											{	/* Ast/occur.scm 58 */

												{	/* Ast/occur.scm 58 */
													obj_t BgL_bucketz00_1784;

													BgL_bucketz00_1784 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_1774), BgL_modz00_1780);
													BgL_res1793z00_1816 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1784), BgL_restz00_1782);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1261z00_1349 = BgL_res1793z00_1816;
				}
				return
					PROCEDURE_ENTRY(BgL_method1261z00_1349) (BgL_method1261z00_1349,
					((obj_t) BgL_nodez00_6), BEOA);
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node! */
	obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t BgL_envz00_1911,
		obj_t BgL_nodez00_1912)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 58 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_1912));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_varz00zzast_nodez00,
				BGl_proc1812z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_patchz00zzast_nodez00,
				BGl_proc1814z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1815z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_syncz00zzast_nodez00,
				BGl_proc1816z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_appz00zzast_nodez00,
				BGl_proc1817z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1818z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1819z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_externz00zzast_nodez00,
				BGl_proc1820z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1821z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_castz00zzast_nodez00,
				BGl_proc1822z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_setqz00zzast_nodez00,
				BGl_proc1823z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1824z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_failz00zzast_nodez00,
				BGl_proc1825z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_switchz00zzast_nodez00,
				BGl_proc1826z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1827z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1828z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1829z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1830z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1831z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_returnz00zzast_nodez00,
				BGl_proc1832z00zzast_occurz00, BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1833z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1834z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1835z00zzast_occurz00,
				BGl_string1813z00zzast_occurz00);
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-box-set!1308 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121308zb0zzast_occurz00(obj_t
		BgL_envz00_1936, obj_t BgL_nodez00_1937)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 276 */
			{	/* Ast/occur.scm 278 */
				BgL_varz00_bglt BgL_arg1672z00_1997;

				BgL_arg1672z00_1997 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1937)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1672z00_1997));
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1937)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-box-ref1306 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1306za2zzast_occurz00(obj_t
		BgL_envz00_1938, obj_t BgL_nodez00_1939)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 270 */
			{	/* Ast/occur.scm 271 */
				BgL_varz00_bglt BgL_arg1671z00_1999;

				BgL_arg1671z00_1999 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_1939)))->BgL_varz00);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1671z00_1999));
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-make-box1304 */
	obj_t BGl_z62occurzd2nodez12zd2makezd2box1304za2zzast_occurz00(obj_t
		BgL_envz00_1940, obj_t BgL_nodez00_1941)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 264 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_1941)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-return1302 */
	obj_t BGl_z62occurzd2nodez12zd2return1302z70zzast_occurz00(obj_t
		BgL_envz00_1942, obj_t BgL_nodez00_1943)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 257 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nodez00_1943)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-retblock1300 */
	obj_t BGl_z62occurzd2nodez12zd2retblock1300z70zzast_occurz00(obj_t
		BgL_envz00_1944, obj_t BgL_nodez00_1945)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 250 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_1945)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-jump-ex-1298 */
	obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21298z70zzast_occurz00(obj_t
		BgL_envz00_1946, obj_t BgL_nodez00_1947)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 242 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1947)))->BgL_exitz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1947)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-set-ex-i1296 */
	obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1296z70zzast_occurz00(obj_t
		BgL_envz00_1948, obj_t BgL_nodez00_1949)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 231 */
			{	/* Ast/occur.scm 233 */
				BgL_localz00_bglt BgL_i1117z00_2005;

				BgL_i1117z00_2005 =
					((BgL_localz00_bglt)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1949)))->
									BgL_varz00)))->BgL_variablez00));
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_i1117z00_2005)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_i1117z00_2005)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				if (((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_i1117z00_2005)))->BgL_accessz00) ==
						CNST_TABLE_REF(((long) 1))))
					{	/* Ast/occur.scm 236 */
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1117z00_2005)))->
								BgL_accessz00) = ((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
					}
				else
					{	/* Ast/occur.scm 236 */
						BFALSE;
					}
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1949)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-let-var1294 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2var1294za2zzast_occurz00(obj_t
		BgL_envz00_1950, obj_t BgL_nodez00_1951)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 215 */
			{	/* Ast/occur.scm 217 */
				obj_t BgL_g1254z00_2007;

				BgL_g1254z00_2007 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1951)))->BgL_bindingsz00);
				{
					obj_t BgL_l1252z00_2009;

					BgL_l1252z00_2009 = BgL_g1254z00_2007;
				BgL_zc3anonymousza31625ze3z83_2008:
					if (PAIRP(BgL_l1252z00_2009))
						{	/* Ast/occur.scm 217 */
							{	/* Ast/occur.scm 218 */
								obj_t BgL_bindingz00_2010;

								BgL_bindingz00_2010 = CAR(BgL_l1252z00_2009);
								{	/* Ast/occur.scm 218 */
									BgL_localz00_bglt BgL_i1115z00_2011;

									BgL_i1115z00_2011 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_2010)));
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_i1115z00_2011)))->
											BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_i1115z00_2011)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_i1115z00_2011)))->BgL_accessz00) =
										((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
							}}
							{
								obj_t BgL_l1252z00_2265;

								BgL_l1252z00_2265 = CDR(BgL_l1252z00_2009);
								BgL_l1252z00_2009 = BgL_l1252z00_2265;
								goto BgL_zc3anonymousza31625ze3z83_2008;
							}
						}
					else
						{	/* Ast/occur.scm 217 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 223 */
				obj_t BgL_g1257z00_2012;

				BgL_g1257z00_2012 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1951)))->BgL_bindingsz00);
				{
					obj_t BgL_l1255z00_2014;

					BgL_l1255z00_2014 = BgL_g1257z00_2012;
				BgL_zc3anonymousza31629ze3z83_2013:
					if (PAIRP(BgL_l1255z00_2014))
						{	/* Ast/occur.scm 223 */
							{	/* Ast/occur.scm 224 */
								obj_t BgL_bindingz00_2015;

								BgL_bindingz00_2015 = CAR(BgL_l1255z00_2014);
								{	/* Ast/occur.scm 224 */
									obj_t BgL_arg1639z00_2016;

									BgL_arg1639z00_2016 = CDR(((obj_t) BgL_bindingz00_2015));
									BGl_occurzd2nodez12zc0zzast_occurz00(
										((BgL_nodez00_bglt) BgL_arg1639z00_2016));
								}
							}
							{
								obj_t BgL_l1255z00_2276;

								BgL_l1255z00_2276 = CDR(BgL_l1255z00_2014);
								BgL_l1255z00_2014 = BgL_l1255z00_2276;
								goto BgL_zc3anonymousza31629ze3z83_2013;
							}
						}
					else
						{	/* Ast/occur.scm 223 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1951)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-let-fun1292 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2fun1292za2zzast_occurz00(obj_t
		BgL_envz00_1952, obj_t BgL_nodez00_1953)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 193 */
			{	/* Ast/occur.scm 196 */
				obj_t BgL_g1248z00_2018;

				BgL_g1248z00_2018 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1953)))->BgL_localsz00);
				{
					obj_t BgL_l1246z00_2020;

					BgL_l1246z00_2020 = BgL_g1248z00_2018;
				BgL_zc3anonymousza31601ze3z83_2019:
					if (PAIRP(BgL_l1246z00_2020))
						{	/* Ast/occur.scm 196 */
							{	/* Ast/occur.scm 201 */
								obj_t BgL_localz00_2021;

								BgL_localz00_2021 = CAR(BgL_l1246z00_2020);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2021))))->
										BgL_occurrencez00) = ((long) ((long) 0)), BUNSPEC);
								((((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
														BgL_localz00_2021))))->BgL_occurrencewz00) =
									((long) ((long) 0)), BUNSPEC);
								if (((((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
															BgL_localz00_2021))))->BgL_accessz00) ==
										CNST_TABLE_REF(((long) 1))))
									{	/* Ast/occur.scm 201 */
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_2021))))->
												BgL_accessz00) =
											((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
									}
								else
									{	/* Ast/occur.scm 201 */
										BFALSE;
									}
								{	/* Ast/occur.scm 202 */
									obj_t BgL_g1245z00_2022;

									BgL_g1245z00_2022 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_2021))))->
														BgL_valuez00))))->BgL_argsz00);
									{
										obj_t BgL_l1243z00_2024;

										BgL_l1243z00_2024 = BgL_g1245z00_2022;
									BgL_zc3anonymousza31608ze3z83_2023:
										if (PAIRP(BgL_l1243z00_2024))
											{	/* Ast/occur.scm 203 */
												{	/* Ast/occur.scm 202 */
													obj_t BgL_az00_2025;

													BgL_az00_2025 = CAR(BgL_l1243z00_2024);
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_az00_2025))))->
															BgL_occurrencez00) =
														((long) ((long) 1)), BUNSPEC);
												}
												{
													obj_t BgL_l1243z00_2313;

													BgL_l1243z00_2313 = CDR(BgL_l1243z00_2024);
													BgL_l1243z00_2024 = BgL_l1243z00_2313;
													goto BgL_zc3anonymousza31608ze3z83_2023;
												}
											}
										else
											{	/* Ast/occur.scm 203 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1246z00_2315;

								BgL_l1246z00_2315 = CDR(BgL_l1246z00_2020);
								BgL_l1246z00_2020 = BgL_l1246z00_2315;
								goto BgL_zc3anonymousza31601ze3z83_2019;
							}
						}
					else
						{	/* Ast/occur.scm 196 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 205 */
				obj_t BgL_g1251z00_2026;

				BgL_g1251z00_2026 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1953)))->BgL_localsz00);
				{
					obj_t BgL_l1249z00_2028;

					BgL_l1249z00_2028 = BgL_g1251z00_2026;
				BgL_zc3anonymousza31616ze3z83_2027:
					if (PAIRP(BgL_l1249z00_2028))
						{	/* Ast/occur.scm 205 */
							{	/* Ast/occur.scm 206 */
								obj_t BgL_localz00_2029;

								BgL_localz00_2029 = CAR(BgL_l1249z00_2028);
								{	/* Ast/occur.scm 206 */
									long BgL_oldz00_2030;

									BgL_oldz00_2030 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2029))))->
										BgL_occurrencez00);
									{	/* Ast/occur.scm 207 */
										obj_t BgL_arg1618z00_2031;

										BgL_arg1618z00_2031 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_2029))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_occurzd2nodez12zc0zzast_occurz00(((BgL_nodez00_bglt)
												BgL_arg1618z00_2031));
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2029))))->
											BgL_occurrencez00) = ((long) BgL_oldz00_2030), BUNSPEC);
							}}
							{
								obj_t BgL_l1249z00_2335;

								BgL_l1249z00_2335 = CDR(BgL_l1249z00_2028);
								BgL_l1249z00_2028 = BgL_l1249z00_2335;
								goto BgL_zc3anonymousza31616ze3z83_2027;
							}
						}
					else
						{	/* Ast/occur.scm 205 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1953)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-switch1290 */
	obj_t BGl_z62occurzd2nodez12zd2switch1290z70zzast_occurz00(obj_t
		BgL_envz00_1954, obj_t BgL_nodez00_1955)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 183 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_1955)))->BgL_testz00));
			{	/* Ast/occur.scm 186 */
				obj_t BgL_g1242z00_2033;

				BgL_g1242z00_2033 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_1955)))->BgL_clausesz00);
				{
					obj_t BgL_l1240z00_2035;

					{	/* Ast/occur.scm 186 */
						bool_t BgL_tmpz00_2345;

						BgL_l1240z00_2035 = BgL_g1242z00_2033;
					BgL_zc3anonymousza31583ze3z83_2034:
						if (PAIRP(BgL_l1240z00_2035))
							{	/* Ast/occur.scm 186 */
								{	/* Ast/occur.scm 187 */
									obj_t BgL_clausez00_2036;

									BgL_clausez00_2036 = CAR(BgL_l1240z00_2035);
									{	/* Ast/occur.scm 187 */
										obj_t BgL_arg1587z00_2037;

										BgL_arg1587z00_2037 = CDR(((obj_t) BgL_clausez00_2036));
										BGl_occurzd2nodez12zc0zzast_occurz00(
											((BgL_nodez00_bglt) BgL_arg1587z00_2037));
									}
								}
								{
									obj_t BgL_l1240z00_2353;

									BgL_l1240z00_2353 = CDR(BgL_l1240z00_2035);
									BgL_l1240z00_2035 = BgL_l1240z00_2353;
									goto BgL_zc3anonymousza31583ze3z83_2034;
								}
							}
						else
							{	/* Ast/occur.scm 186 */
								BgL_tmpz00_2345 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2345);
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-fail1288 */
	obj_t BGl_z62occurzd2nodez12zd2fail1288z70zzast_occurz00(obj_t
		BgL_envz00_1956, obj_t BgL_nodez00_1957)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 174 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_1957)))->BgL_procz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_1957)))->BgL_msgz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_1957)))->BgL_objz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-conditio1286 */
	obj_t BGl_z62occurzd2nodez12zd2conditio1286z70zzast_occurz00(obj_t
		BgL_envz00_1958, obj_t BgL_nodez00_1959)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 165 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_1959)))->BgL_testz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_1959)))->BgL_truez00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_1959)))->BgL_falsez00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-setq1284 */
	obj_t BGl_z62occurzd2nodez12zd2setq1284z70zzast_occurz00(obj_t
		BgL_envz00_1960, obj_t BgL_nodez00_1961)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 154 */
			{	/* Ast/occur.scm 156 */
				BgL_variablez00_bglt BgL_i1108z00_2041;

				BgL_i1108z00_2041 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_1961)))->BgL_varz00)))->
					BgL_variablez00);
				if (((((BgL_variablez00_bglt) COBJECT(BgL_i1108z00_2041))->
							BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
					{	/* Ast/occur.scm 157 */
						((((BgL_variablez00_bglt) COBJECT(BgL_i1108z00_2041))->
								BgL_accessz00) = ((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
					}
				else
					{	/* Ast/occur.scm 157 */
						BFALSE;
					}
				((((BgL_variablez00_bglt) COBJECT(BgL_i1108z00_2041))->
						BgL_occurrencewz00) =
					((long) (((long) 1) +
							(((BgL_variablez00_bglt) COBJECT(BgL_i1108z00_2041))->
								BgL_occurrencewz00))), BUNSPEC);
			}
			{	/* Ast/occur.scm 159 */
				BgL_varz00_bglt BgL_arg1553z00_2042;

				BgL_arg1553z00_2042 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_1961)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1553z00_2042));
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_1961)))->BgL_valuez00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-cast1282 */
	obj_t BGl_z62occurzd2nodez12zd2cast1282z70zzast_occurz00(obj_t
		BgL_envz00_1962, obj_t BgL_nodez00_1963)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 148 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_1963)))->BgL_argz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-pragma1280 */
	obj_t BGl_z62occurzd2nodez12zd2pragma1280z70zzast_occurz00(obj_t
		BgL_envz00_1964, obj_t BgL_nodez00_1965)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 134 */
			{

				if (CBOOL(
						(((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_pragmaz00_bglt) BgL_nodez00_1965))))->
							BgL_sidezd2effectzd2)))
					{	/* Ast/occur.scm 137 */
						obj_t BgL_g1239z00_2047;

						BgL_g1239z00_2047 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_pragmaz00_bglt) BgL_nodez00_1965))))->BgL_exprza2za2);
						{
							obj_t BgL_l1237z00_2049;

							BgL_l1237z00_2049 = BgL_g1239z00_2047;
						BgL_zc3anonymousza31507ze3z83_2048:
							if (PAIRP(BgL_l1237z00_2049))
								{	/* Ast/occur.scm 142 */
									{	/* Ast/occur.scm 138 */
										obj_t BgL_nz00_2050;

										BgL_nz00_2050 = CAR(BgL_l1237z00_2049);
										{	/* Ast/occur.scm 138 */
											bool_t BgL_testz00_2407;

											if (BGl_isazf3zf3zz__objectz00(BgL_nz00_2050,
													BGl_varz00zzast_nodez00))
												{	/* Ast/occur.scm 138 */
													BgL_variablez00_bglt BgL_arg1528z00_2051;

													BgL_arg1528z00_2051 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nz00_2050)))->
														BgL_variablez00);
													{	/* Ast/occur.scm 138 */
														bool_t BgL_res1801z00_2052;

														BgL_res1801z00_2052 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_arg1528z00_2051),
															BGl_localz00zzast_varz00);
														BgL_testz00_2407 = BgL_res1801z00_2052;
													}
												}
											else
												{	/* Ast/occur.scm 138 */
													BgL_testz00_2407 = ((bool_t) 0);
												}
											if (BgL_testz00_2407)
												{	/* Ast/occur.scm 139 */
													BgL_localz00_bglt BgL_i1106z00_2053;

													BgL_i1106z00_2053 =
														((BgL_localz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nz00_2050)))->
															BgL_variablez00));
													if (((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_i1106z00_2053)))->BgL_accessz00) ==
															CNST_TABLE_REF(((long) 2))))
														{	/* Ast/occur.scm 140 */
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_i1106z00_2053)))->BgL_accessz00) =
																((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
														}
													else
														{	/* Ast/occur.scm 140 */
															BFALSE;
														}
												}
											else
												{	/* Ast/occur.scm 138 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1237z00_2425;

										BgL_l1237z00_2425 = CDR(BgL_l1237z00_2049);
										BgL_l1237z00_2049 = BgL_l1237z00_2425;
										goto BgL_zc3anonymousza31507ze3z83_2048;
									}
								}
							else
								{	/* Ast/occur.scm 142 */
									((bool_t) 1);
								}
						}
					}
				else
					{	/* Ast/occur.scm 136 */
						((bool_t) 0);
					}
				{	/* Ast/occur.scm 134 */
					obj_t BgL_nextzd2method1279zd2_2046;

					BgL_nextzd2method1279zd2_2046 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt) BgL_nodez00_1965)),
						BGl_occurzd2nodez12zd2envz12zzast_occurz00,
						BGl_pragmaz00zzast_nodez00);
					return
						PROCEDURE_ENTRY(BgL_nextzd2method1279zd2_2046)
						(BgL_nextzd2method1279zd2_2046,
						((obj_t) ((BgL_pragmaz00_bglt) BgL_nodez00_1965)), BEOA);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-extern1278 */
	obj_t BGl_z62occurzd2nodez12zd2extern1278z70zzast_occurz00(obj_t
		BgL_envz00_1966, obj_t BgL_nodez00_1967)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 126 */
			{	/* Ast/occur.scm 128 */
				obj_t BgL_nodesz00_2055;

				BgL_nodesz00_2055 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_1967)))->BgL_exprza2za2);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_nodesz00_2055));
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-funcall1276 */
	obj_t BGl_z62occurzd2nodez12zd2funcall1276z70zzast_occurz00(obj_t
		BgL_envz00_1968, obj_t BgL_nodez00_1969)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 118 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1969)))->BgL_funz00));
			{	/* Ast/occur.scm 121 */
				obj_t BgL_arg1504z00_2057;

				BgL_arg1504z00_2057 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1969)))->BgL_argsz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1504z00_2057));
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-app-ly1274 */
	obj_t BGl_z62occurzd2nodez12zd2appzd2ly1274za2zzast_occurz00(obj_t
		BgL_envz00_1970, obj_t BgL_nodez00_1971)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 110 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_1971)))->BgL_funz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_1971)))->BgL_argz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-app1272 */
	obj_t BGl_z62occurzd2nodez12zd2app1272z70zzast_occurz00(obj_t BgL_envz00_1972,
		obj_t BgL_nodez00_1973)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 102 */
			{	/* Ast/occur.scm 104 */
				BgL_varz00_bglt BgL_arg1482z00_2060;

				BgL_arg1482z00_2060 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_1973)))->BgL_funz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1482z00_2060));
			}
			{	/* Ast/occur.scm 105 */
				obj_t BgL_arg1487z00_2061;

				BgL_arg1487z00_2061 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_1973)))->BgL_argsz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1487z00_2061));
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-sync1270 */
	obj_t BGl_z62occurzd2nodez12zd2sync1270z70zzast_occurz00(obj_t
		BgL_envz00_1974, obj_t BgL_nodez00_1975)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 94 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_1975)))->BgL_mutexz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_1975)))->BgL_prelockz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_1975)))->BgL_bodyz00));
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-sequence1267 */
	obj_t BGl_z62occurzd2nodez12zd2sequence1267z70zzast_occurz00(obj_t
		BgL_envz00_1976, obj_t BgL_nodez00_1977)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 88 */
			{	/* Ast/occur.scm 89 */
				obj_t BgL_arg1462z00_2064;

				BgL_arg1462z00_2064 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_1977)))->BgL_nodesz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1462z00_2064));
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-patch1265 */
	obj_t BGl_z62occurzd2nodez12zd2patch1265z70zzast_occurz00(obj_t
		BgL_envz00_1978, obj_t BgL_nodez00_1979)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 75 */
			{	/* Ast/occur.scm 77 */
				bool_t BgL_testz00_2474;

				{	/* Ast/occur.scm 77 */
					obj_t BgL_arg1445z00_2066;

					BgL_arg1445z00_2066 =
						(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_nodez00_1979))))->BgL_valuez00);
					BgL_testz00_2474 =
						BGl_isazf3zf3zz__objectz00(BgL_arg1445z00_2066,
						BGl_varz00zzast_nodez00);
				}
				if (BgL_testz00_2474)
					{	/* Ast/occur.scm 78 */
						BgL_variablez00_bglt BgL_vz00_2067;

						BgL_vz00_2067 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt)
														((BgL_patchz00_bglt) BgL_nodez00_1979))))->
											BgL_valuez00))))->BgL_variablez00);
						((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2067))->
								BgL_occurrencewz00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2067))->
										BgL_occurrencewz00) + ((long) 1))), BUNSPEC);
						((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2067))->
								BgL_occurrencez00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2067))->
										BgL_occurrencez00) + ((long) 1))), BUNSPEC);
						{	/* Ast/occur.scm 81 */
							obj_t BgL_vz00_2068;

							BgL_vz00_2068 = CNST_TABLE_REF(((long) 1));
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2067))->
									BgL_accessz00) = ((obj_t) BgL_vz00_2068), BUNSPEC);
					}}
				else
					{	/* Ast/occur.scm 82 */
						obj_t BgL_arg1433z00_2069;

						BgL_arg1433z00_2069 =
							(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt)
										((BgL_patchz00_bglt) BgL_nodez00_1979))))->BgL_valuez00);
						BGl_occurzd2nodez12zc0zzast_occurz00(
							((BgL_nodez00_bglt) BgL_arg1433z00_2069));
					}
			}
			{	/* Ast/occur.scm 83 */
				BgL_varz00_bglt BgL_arg1457z00_2070;

				BgL_arg1457z00_2070 =
					(((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_nodez00_1979)))->BgL_refz00);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1457z00_2070));
			}
		}
		BGL_FUNCTION_END;
	}



/* &occur-node!-var1263 */
	obj_t BGl_z62occurzd2nodez12zd2var1263z70zzast_occurz00(obj_t BgL_envz00_1980,
		obj_t BgL_nodez00_1981)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 64 */
			{	/* Ast/occur.scm 65 */
				BgL_variablez00_bglt BgL_vz00_2072;

				BgL_vz00_2072 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_1981)))->BgL_variablez00);
				{	/* Ast/occur.scm 66 */
					BgL_valuez00_bglt BgL_valuez00_2073;

					BgL_valuez00_2073 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2072))->BgL_valuez00);
					{	/* Ast/occur.scm 67 */
						bool_t BgL_testz00_2504;

						{	/* Ast/occur.scm 67 */
							bool_t BgL_testz00_2505;

							{	/* Ast/occur.scm 67 */
								bool_t BgL_res1794z00_2074;

								BgL_res1794z00_2074 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_valuez00_2073), BGl_scnstz00zzast_varz00);
								BgL_testz00_2505 = BgL_res1794z00_2074;
							}
							if (BgL_testz00_2505)
								{	/* Ast/occur.scm 67 */
									obj_t BgL_arg1382z00_2075;

									BgL_arg1382z00_2075 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_2073)))->BgL_nodez00);
									BgL_testz00_2504 =
										BGl_isazf3zf3zz__objectz00(BgL_arg1382z00_2075,
										BGl_nodez00zzast_nodez00);
								}
							else
								{	/* Ast/occur.scm 67 */
									BgL_testz00_2504 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2504)
							{	/* Ast/occur.scm 68 */
								obj_t BgL_arg1381z00_2076;

								BgL_arg1381z00_2076 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_2073)))->BgL_nodez00);
								BGl_occurzd2nodez12zc0zzast_occurz00(
									((BgL_nodez00_bglt) BgL_arg1381z00_2076));
							}
						else
							{	/* Ast/occur.scm 67 */
								BFALSE;
							}
					}
				}
				if ((((obj_t) BgL_vz00_2072) == BGl_za2globalza2z00zzast_occurz00))
					{	/* Ast/occur.scm 69 */
						return BFALSE;
					}
				else
					{	/* Ast/occur.scm 69 */
						return
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2072))->
								BgL_occurrencez00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2072))->
										BgL_occurrencez00) + ((long) 1))), BUNSPEC);
		}}}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1836z00zzast_occurz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
