/*===========================================================================*/
/*   (Fxop/walk.scm)                                                         */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Fxop/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzfxop_walkz00();
	static obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzfxop_walkz00();
	static obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t);
	static bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_appz00_bglt);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00();
	static BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1346z70zzfxop_walkz00(obj_t,
		obj_t);
	static obj_t BGl_za2fxopsza2z00zzfxop_walkz00 = BUNSPEC;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00();
	static obj_t BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzfxop_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzfxop_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzfxop_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00();
	static BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
	static obj_t BGl_z62fxopz121342z70zzfxop_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t);
	static obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fxopzd2walkz12zd2envz12zzfxop_walkz00,
		BgL_bgl_za762fxopza7d2walkza711926za7,
		BGl_z62fxopzd2walkz12za2zzfxop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzfxop_walkz00,
		BgL_bgl_za762fxopza7121342za771927za7, BGl_z62fxopz121342z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzfxop_walkz00,
		BgL_bgl_za762fxopza712za7d2let1928za7,
		BGl_z62fxopz12zd2letzd2var1346z70zzfxop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fxopz12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762fxopza712za770za7za7f1929za7, BGl_z62fxopz12z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1909z00zzfxop_walkz00,
		BgL_bgl_string1909za700za7za7f1930za7, "Fxop", 4);
	      DEFINE_STRING(BGl_string1910z00zzfxop_walkz00,
		BgL_bgl_string1910za700za7za7f1931za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1911z00zzfxop_walkz00,
		BgL_bgl_string1911za700za7za7f1932za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1912z00zzfxop_walkz00,
		BgL_bgl_string1912za700za7za7f1933za7, " error", 6);
	      DEFINE_STRING(BGl_string1913z00zzfxop_walkz00,
		BgL_bgl_string1913za700za7za7f1934za7, "s", 1);
	      DEFINE_STRING(BGl_string1914z00zzfxop_walkz00,
		BgL_bgl_string1914za700za7za7f1935za7, "", 0);
	      DEFINE_STRING(BGl_string1915z00zzfxop_walkz00,
		BgL_bgl_string1915za700za7za7f1936za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1916z00zzfxop_walkz00,
		BgL_bgl_string1916za700za7za7f1937za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1918z00zzfxop_walkz00,
		BgL_bgl_string1918za700za7za7f1938za7, "fxop!1342", 9);
	      DEFINE_STRING(BGl_string1920z00zzfxop_walkz00,
		BgL_bgl_string1920za700za7za7f1939za7, "fxop!::node", 11);
	      DEFINE_STRING(BGl_string1921z00zzfxop_walkz00,
		BgL_bgl_string1921za700za7za7f1940za7, "fxop_walk", 9);
	      DEFINE_STRING(BGl_string1922z00zzfxop_walkz00,
		BgL_bgl_string1922za700za7za7f1941za7,
		"((c-+fx $addfx) (c--fx $subfx) (c-<fx $ltfx) (c-<=fx $lefx) ($c->fx $c-gtfx) ($c->=fx $c-gefx) ($c-=fx $c-egfx)) $long->bint $bint->long foreign (clear-fxop-cache!) pass-started (init-fxop-cache!) ",
		197);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762clearza7d2fxopza71942za7,
		BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762initza7d2fxopza7d1943za7,
		BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2fxopsza2z00zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2longzd2ze3bintza2z31zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2bintzd2ze3longza2z31zzfxop_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long
		BgL_checksumz00_2335, char *BgL_fromz00_2336)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzfxop_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzfxop_walkz00();
					BGl_libraryzd2moduleszd2initz00zzfxop_walkz00();
					BGl_cnstzd2initzd2zzfxop_walkz00();
					BGl_importedzd2moduleszd2initz00zzfxop_walkz00();
					BGl_genericzd2initzd2zzfxop_walkz00();
					BGl_methodzd2initzd2zzfxop_walkz00();
					return BGl_toplevelzd2initzd2zzfxop_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "fxop_walk");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			{	/* Fxop/walk.scm 21 */
				obj_t BgL_cportz00_2225;

				{	/* Fxop/walk.scm 21 */
					obj_t BgL_stringz00_2233;

					BgL_stringz00_2233 = BGl_string1922z00zzfxop_walkz00;
					{	/* Fxop/walk.scm 21 */
						obj_t BgL_startz00_2234;

						BgL_startz00_2234 = BINT(((long) 0));
						{	/* Fxop/walk.scm 21 */
							obj_t BgL_endz00_2235;

							BgL_endz00_2235 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2233)));
							{	/* Fxop/walk.scm 21 */

								BgL_cportz00_2225 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2233, BgL_startz00_2234, BgL_endz00_2235);
				}}}}
				{
					long BgL_iz00_2226;

					BgL_iz00_2226 = ((long) 6);
				BgL_loopz00_2227:
					if ((BgL_iz00_2226 == ((long) -1)))
						{	/* Fxop/walk.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Fxop/walk.scm 21 */
							{	/* Fxop/walk.scm 21 */
								obj_t BgL_arg1924z00_2229;

								{	/* Fxop/walk.scm 21 */

									{	/* Fxop/walk.scm 21 */
										obj_t BgL_locationz00_2231;

										BgL_locationz00_2231 = BBOOL(((bool_t) 0));
										{	/* Fxop/walk.scm 21 */

											BgL_arg1924z00_2229 =
												BGl_readz00zz__readerz00(BgL_cportz00_2225,
												BgL_locationz00_2231);
										}
									}
								}
								{	/* Fxop/walk.scm 21 */
									int BgL_tmpz00_2367;

									BgL_tmpz00_2367 = (int) (BgL_iz00_2226);
									CNST_TABLE_SET(BgL_tmpz00_2367, BgL_arg1924z00_2229);
							}}
							{	/* Fxop/walk.scm 21 */
								int BgL_auxz00_2232;

								BgL_auxz00_2232 = (int) ((BgL_iz00_2226 - ((long) 1)));
								{
									long BgL_iz00_2372;

									BgL_iz00_2372 = (long) (BgL_auxz00_2232);
									BgL_iz00_2226 = BgL_iz00_2372;
									goto BgL_loopz00_2227;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL;
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* fxop-walk! */
	BGL_EXPORTED_DEF obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t
		BgL_globalsz00_17)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 45 */
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_list1391z00_1410;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_arg1397z00_1411;

					{	/* Fxop/walk.scm 46 */
						obj_t BgL_arg1398z00_1412;

						BgL_arg1398z00_1412 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1397z00_1411 =
							MAKE_YOUNG_PAIR(BGl_string1909z00zzfxop_walkz00,
							BgL_arg1398z00_1412);
					}
					BgL_list1391z00_1410 =
						MAKE_YOUNG_PAIR(BGl_string1910z00zzfxop_walkz00,
						BgL_arg1397z00_1411);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1391z00_1410);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1909z00zzfxop_walkz00;
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_g1115z00_1413;
				obj_t BgL_g1116z00_1414;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_list1416z00_1427;

					BgL_list1416z00_1427 =
						MAKE_YOUNG_PAIR(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
						BNIL);
					BgL_g1115z00_1413 = BgL_list1416z00_1427;
				}
				BgL_g1116z00_1414 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1416;
					obj_t BgL_hnamesz00_1417;

					BgL_hooksz00_1416 = BgL_g1115z00_1413;
					BgL_hnamesz00_1417 = BgL_g1116z00_1414;
				BgL_zc3anonymousza31399ze3z83_1418:
					if (NULLP(BgL_hooksz00_1416))
						{	/* Fxop/walk.scm 46 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Fxop/walk.scm 46 */
							bool_t BgL_testz00_2387;

							{	/* Fxop/walk.scm 46 */
								obj_t BgL_fun1415z00_1425;

								BgL_fun1415z00_1425 = CAR(((obj_t) BgL_hooksz00_1416));
								BgL_testz00_2387 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1415z00_1425)
									(BgL_fun1415z00_1425, BEOA));
							}
							if (BgL_testz00_2387)
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1411z00_1422;
									obj_t BgL_arg1412z00_1423;

									BgL_arg1411z00_1422 = CDR(((obj_t) BgL_hooksz00_1416));
									BgL_arg1412z00_1423 = CDR(((obj_t) BgL_hnamesz00_1417));
									{
										obj_t BgL_hnamesz00_2399;
										obj_t BgL_hooksz00_2398;

										BgL_hooksz00_2398 = BgL_arg1411z00_1422;
										BgL_hnamesz00_2399 = BgL_arg1412z00_1423;
										BgL_hnamesz00_1417 = BgL_hnamesz00_2399;
										BgL_hooksz00_1416 = BgL_hooksz00_2398;
										goto BgL_zc3anonymousza31399ze3z83_1418;
									}
								}
							else
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1414z00_1424;

									BgL_arg1414z00_1424 = CAR(((obj_t) BgL_hnamesz00_1417));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1909z00zzfxop_walkz00,
										BGl_string1911z00zzfxop_walkz00, BgL_arg1414z00_1424);
								}
						}
				}
			}
			{
				obj_t BgL_l1334z00_1429;

				BgL_l1334z00_1429 = BgL_globalsz00_17;
			BgL_zc3anonymousza31417ze3z83_1430:
				if (PAIRP(BgL_l1334z00_1429))
					{	/* Fxop/walk.scm 47 */
						BGl_fxopzd2funz12zc0zzfxop_walkz00(CAR(BgL_l1334z00_1429));
						{
							obj_t BgL_l1334z00_2407;

							BgL_l1334z00_2407 = CDR(BgL_l1334z00_1429);
							BgL_l1334z00_1429 = BgL_l1334z00_2407;
							goto BgL_zc3anonymousza31417ze3z83_1430;
						}
					}
				else
					{	/* Fxop/walk.scm 47 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Fxop/walk.scm 48 */
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_port1336z00_1437;

						{	/* Fxop/walk.scm 48 */
							obj_t BgL_res1870z00_1967;

							{	/* Fxop/walk.scm 48 */
								obj_t BgL_tmpz00_2412;

								BgL_tmpz00_2412 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1870z00_1967 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2412);
							}
							BgL_port1336z00_1437 = BgL_res1870z00_1967;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1336z00_1437);
						bgl_display_string(BGl_string1912z00zzfxop_walkz00,
							BgL_port1336z00_1437);
						{	/* Fxop/walk.scm 48 */
							obj_t BgL_arg1445z00_1438;

							{	/* Fxop/walk.scm 48 */
								bool_t BgL_testz00_2417;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Fxop/walk.scm 48 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Fxop/walk.scm 48 */
												BgL_testz00_2417 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Fxop/walk.scm 48 */
												BgL_testz00_2417 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_testz00_2417 = ((bool_t) 0);
									}
								if (BgL_testz00_2417)
									{	/* Fxop/walk.scm 48 */
										BgL_arg1445z00_1438 = BGl_string1913z00zzfxop_walkz00;
									}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_arg1445z00_1438 = BGl_string1914z00zzfxop_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1445z00_1438, BgL_port1336z00_1437);
						}
						bgl_display_string(BGl_string1915z00zzfxop_walkz00,
							BgL_port1336z00_1437);
						bgl_display_char(((unsigned char) 10), BgL_port1336z00_1437);
					}
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1449z00_1444;

						BgL_list1449z00_1444 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1449z00_1444);
					}
				}
			else
				{	/* Fxop/walk.scm 48 */
					obj_t BgL_g1117z00_1445;
					obj_t BgL_g1118z00_1446;

					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1468z00_1459;

						BgL_list1468z00_1459 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00, BNIL);
						BgL_g1117z00_1445 = BgL_list1468z00_1459;
					}
					BgL_g1118z00_1446 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1448;
						obj_t BgL_hnamesz00_1449;

						BgL_hooksz00_1448 = BgL_g1117z00_1445;
						BgL_hnamesz00_1449 = BgL_g1118z00_1446;
					BgL_zc3anonymousza31450ze3z83_1450:
						if (NULLP(BgL_hooksz00_1448))
							{	/* Fxop/walk.scm 48 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Fxop/walk.scm 48 */
								bool_t BgL_testz00_2436;

								{	/* Fxop/walk.scm 48 */
									obj_t BgL_fun1467z00_1457;

									BgL_fun1467z00_1457 = CAR(((obj_t) BgL_hooksz00_1448));
									BgL_testz00_2436 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1467z00_1457)
										(BgL_fun1467z00_1457, BEOA));
								}
								if (BgL_testz00_2436)
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1457z00_1454;
										obj_t BgL_arg1462z00_1455;

										BgL_arg1457z00_1454 = CDR(((obj_t) BgL_hooksz00_1448));
										BgL_arg1462z00_1455 = CDR(((obj_t) BgL_hnamesz00_1449));
										{
											obj_t BgL_hnamesz00_2448;
											obj_t BgL_hooksz00_2447;

											BgL_hooksz00_2447 = BgL_arg1457z00_1454;
											BgL_hnamesz00_2448 = BgL_arg1462z00_1455;
											BgL_hnamesz00_1449 = BgL_hnamesz00_2448;
											BgL_hooksz00_1448 = BgL_hooksz00_2447;
											goto BgL_zc3anonymousza31450ze3z83_1450;
										}
									}
								else
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1464z00_1456;

										BgL_arg1464z00_1456 = CAR(((obj_t) BgL_hnamesz00_1449));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1916z00zzfxop_walkz00, BgL_arg1464z00_1456);
									}
							}
					}
				}
		}
		BGL_FUNCTION_END;
	}



/* &fxop-walk! */
	obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t BgL_envz00_2212,
		obj_t BgL_globalsz00_2213)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 45 */
			return BGl_fxopzd2walkz12zc0zzfxop_walkz00(BgL_globalsz00_2213);
		}
		BGL_FUNCTION_END;
	}



/* init-fxop-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 60 */
			if (PAIRP(BGl_za2fxopsza2z00zzfxop_walkz00))
				{	/* Fxop/walk.scm 61 */
					BFALSE;
				}
			else
				{	/* Fxop/walk.scm 61 */
					{	/* Fxop/walk.scm 62 */
						obj_t BgL_list1470z00_1461;

						BgL_list1470z00_1461 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
						BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
							BgL_list1470z00_1461);
					}
					{	/* Fxop/walk.scm 63 */
						obj_t BgL_list1471z00_1462;

						BgL_list1471z00_1462 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
						BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
							BgL_list1471z00_1462);
					}
					{	/* Fxop/walk.scm 65 */
						obj_t BgL_l1337z00_1463;

						BgL_l1337z00_1463 = CNST_TABLE_REF(((long) 6));
						{	/* Fxop/walk.scm 65 */
							obj_t BgL_head1339z00_1465;

							{	/* Fxop/walk.scm 65 */
								obj_t BgL_res1877z00_1986;

								BgL_res1877z00_1986 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								BgL_head1339z00_1465 = BgL_res1877z00_1986;
							}
							{
								obj_t BgL_l1337z00_1467;
								obj_t BgL_tail1340z00_1468;

								BgL_l1337z00_1467 = BgL_l1337z00_1463;
								BgL_tail1340z00_1468 = BgL_head1339z00_1465;
							BgL_zc3anonymousza31473ze3z83_1469:
								if (NULLP(BgL_l1337z00_1467))
									{	/* Fxop/walk.scm 65 */
										BGl_za2fxopsza2z00zzfxop_walkz00 =
											CDR(BgL_head1339z00_1465);
									}
								else
									{	/* Fxop/walk.scm 65 */
										obj_t BgL_newtail1341z00_1471;

										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1481z00_1473;

											{	/* Fxop/walk.scm 65 */
												obj_t BgL_utz00_1474;

												BgL_utz00_1474 = CAR(((obj_t) BgL_l1337z00_1467));
												{	/* Fxop/walk.scm 66 */
													obj_t BgL_arg1482z00_1475;
													obj_t BgL_arg1487z00_1476;

													{	/* Fxop/walk.scm 66 */
														obj_t BgL_arg1495z00_1477;

														BgL_arg1495z00_1477 = CAR(((obj_t) BgL_utz00_1474));
														{	/* Fxop/walk.scm 66 */
															obj_t BgL_list1497z00_1478;

															BgL_list1497z00_1478 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																BNIL);
															BgL_arg1482z00_1475 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1495z00_1477, BgL_list1497z00_1478);
													}}
													{	/* Fxop/walk.scm 67 */
														obj_t BgL_arg1501z00_1479;

														{	/* Fxop/walk.scm 67 */
															obj_t BgL_pairz00_1994;

															BgL_pairz00_1994 = CDR(((obj_t) BgL_utz00_1474));
															BgL_arg1501z00_1479 = CAR(BgL_pairz00_1994);
														}
														{	/* Fxop/walk.scm 67 */
															obj_t BgL_list1502z00_1480;

															BgL_list1502z00_1480 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
																BNIL);
															BgL_arg1487z00_1476 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1501z00_1479, BgL_list1502z00_1480);
													}}
													BgL_arg1481z00_1473 =
														MAKE_YOUNG_PAIR(BgL_arg1482z00_1475,
														BgL_arg1487z00_1476);
											}}
											{	/* Fxop/walk.scm 65 */
												obj_t BgL_res1879z00_1995;

												BgL_res1879z00_1995 =
													MAKE_YOUNG_PAIR(BgL_arg1481z00_1473, BNIL);
												BgL_newtail1341z00_1471 = BgL_res1879z00_1995;
										}}
										SET_CDR(BgL_tail1340z00_1468, BgL_newtail1341z00_1471);
										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1479z00_1472;

											BgL_arg1479z00_1472 = CDR(((obj_t) BgL_l1337z00_1467));
											{
												obj_t BgL_tail1340z00_2487;
												obj_t BgL_l1337z00_2486;

												BgL_l1337z00_2486 = BgL_arg1479z00_1472;
												BgL_tail1340z00_2487 = BgL_newtail1341z00_1471;
												BgL_tail1340z00_1468 = BgL_tail1340z00_2487;
												BgL_l1337z00_1467 = BgL_l1337z00_2486;
												goto BgL_zc3anonymousza31473ze3z83_1469;
											}
										}
									}
							}
						}
					}
				}
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &init-fxop-cache! */
	obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2214)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 60 */
			return BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00();
		}
		BGL_FUNCTION_END;
	}



/* &clear-fxop-cache! */
	obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2215)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 80 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BFALSE;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BFALSE;
			return (BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL, BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* fxop-fun! */
	obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t BgL_varz00_18)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 88 */
			{	/* Fxop/walk.scm 89 */
				obj_t BgL_arg1504z00_1482;

				BgL_arg1504z00_1482 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1504z00_1482);
			}
			{	/* Fxop/walk.scm 90 */
				BgL_valuez00_bglt BgL_funz00_1483;

				BgL_funz00_1483 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Fxop/walk.scm 91 */
					BgL_nodez00_bglt BgL_arg1505z00_1484;

					{	/* Fxop/walk.scm 91 */
						obj_t BgL_arg1508z00_1485;

						BgL_arg1508z00_1485 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1483)))->BgL_bodyz00);
						BgL_arg1505z00_1484 =
							BGl_fxopz12z12zzfxop_walkz00(
							((BgL_nodez00_bglt) BgL_arg1508z00_1485));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1483)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1505z00_1484)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_proc1917z00zzfxop_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1918z00zzfxop_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &fxop!1342 */
	obj_t BGl_z62fxopz121342z70zzfxop_walkz00(obj_t BgL_envz00_2219,
		obj_t BgL_nodez00_2220)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 98 */
			{
				BgL_nodez00_bglt BgL_nodez00_1487;

				{
					BgL_nodez00_bglt BgL_auxz00_2503;

					BgL_nodez00_1487 = ((BgL_nodez00_bglt) BgL_nodez00_2220);
					BgL_auxz00_2503 =
						BGl_walk0z12z12zzast_walkz00(BgL_nodez00_1487,
						BGl_fxopz12zd2envzc0zzfxop_walkz00);
					return ((obj_t) BgL_auxz00_2503);
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* fxop! */
	BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 98 */
			{	/* Fxop/walk.scm 98 */
				obj_t BgL_method1344z00_1501;

				{	/* Fxop/walk.scm 98 */
					obj_t BgL_res1891z00_2047;

					{	/* Fxop/walk.scm 98 */
						long BgL_objzd2classzd2numz00_2004;

						{	/* Fxop/walk.scm 98 */
							long BgL_res1880z00_2007;

							BgL_res1880z00_2007 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
							BgL_objzd2classzd2numz00_2004 = BgL_res1880z00_2007;
						}
						{	/* Fxop/walk.scm 98 */
							obj_t BgL_arg1738z00_2005;

							BgL_arg1738z00_2005 =
								PROCEDURE_REF(BGl_fxopz12zd2envzc0zzfxop_walkz00,
								(int) (((long) 1)));
							{	/* Fxop/walk.scm 98 */
								int BgL_offsetz00_2009;

								BgL_offsetz00_2009 = (int) (BgL_objzd2classzd2numz00_2004);
								{	/* Fxop/walk.scm 98 */
									long BgL_offsetz00_2010;

									BgL_offsetz00_2010 =
										((long) (BgL_offsetz00_2009) - OBJECT_TYPE);
									{	/* Fxop/walk.scm 98 */
										long BgL_modz00_2011;

										{	/* Fxop/walk.scm 98 */
											int BgL_arg1740z00_2012;

											BgL_arg1740z00_2012 = (int) (((long) 16));
											{	/* Fxop/walk.scm 98 */
												long BgL_res1883z00_2022;

												{	/* Fxop/walk.scm 98 */
													long BgL_tmpz00_2515;

													BgL_tmpz00_2515 = (long) (BgL_arg1740z00_2012);
													BgL_res1883z00_2022 =
														(BgL_offsetz00_2010 / BgL_tmpz00_2515);
												}
												BgL_modz00_2011 = BgL_res1883z00_2022;
										}}
										{	/* Fxop/walk.scm 98 */
											long BgL_restz00_2013;

											{	/* Fxop/walk.scm 98 */
												int BgL_arg1739z00_2014;

												BgL_arg1739z00_2014 = (int) (((long) 16));
												{	/* Fxop/walk.scm 98 */
													long BgL_res1890z00_2042;

													{	/* Fxop/walk.scm 98 */
														long BgL_n1z00_2024;
														long BgL_n2z00_2025;

														BgL_n1z00_2024 = BgL_offsetz00_2010;
														BgL_n2z00_2025 = (long) (BgL_arg1739z00_2014);
														{	/* Fxop/walk.scm 98 */
															bool_t BgL_testz00_2520;

															{	/* Fxop/walk.scm 98 */
																long BgL_arg1304z00_2027;

																BgL_arg1304z00_2027 =
																	(((BgL_n1z00_2024) | (BgL_n2z00_2025)) &
																	-2147483648);
																BgL_testz00_2520 =
																	(BgL_arg1304z00_2027 == ((long) 0));
															}
															if (BgL_testz00_2520)
																{	/* Fxop/walk.scm 98 */
																	int32_t BgL_arg1278z00_2028;

																	{	/* Fxop/walk.scm 98 */
																		int32_t BgL_arg1301z00_2029;
																		int32_t BgL_arg1303z00_2030;

																		{	/* Fxop/walk.scm 98 */
																			int32_t BgL_res1886z00_2034;

																			BgL_res1886z00_2034 =
																				(int32_t) (BgL_n1z00_2024);
																			BgL_arg1301z00_2029 = BgL_res1886z00_2034;
																		}
																		{	/* Fxop/walk.scm 98 */
																			int32_t BgL_res1887z00_2036;

																			BgL_res1887z00_2036 =
																				(int32_t) (BgL_n2z00_2025);
																			BgL_arg1303z00_2030 = BgL_res1887z00_2036;
																		}
																		BgL_arg1278z00_2028 =
																			(BgL_arg1301z00_2029 %
																			BgL_arg1303z00_2030);
																	}
																	{	/* Fxop/walk.scm 98 */
																		long BgL_res1889z00_2041;

																		{	/* Fxop/walk.scm 98 */
																			long BgL_arg1406z00_2038;

																			BgL_arg1406z00_2038 =
																				(long) (BgL_arg1278z00_2028);
																			{	/* Fxop/walk.scm 98 */
																				long BgL_res1888z00_2040;

																				BgL_res1888z00_2040 =
																					(long) (BgL_arg1406z00_2038);
																				BgL_res1889z00_2041 =
																					BgL_res1888z00_2040;
																		}}
																		BgL_res1890z00_2042 = BgL_res1889z00_2041;
																}}
															else
																{	/* Fxop/walk.scm 98 */
																	BgL_res1890z00_2042 =
																		(BgL_n1z00_2024 % BgL_n2z00_2025);
																}
														}
													}
													BgL_restz00_2013 = BgL_res1890z00_2042;
												}
											}
											{	/* Fxop/walk.scm 98 */

												{	/* Fxop/walk.scm 98 */
													obj_t BgL_bucketz00_2015;

													BgL_bucketz00_2015 =
														VECTOR_REF(
														((obj_t) BgL_arg1738z00_2005), BgL_modz00_2011);
													BgL_res1891z00_2047 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2015), BgL_restz00_2013);
												}
											}
										}
									}
								}
							}
						}
					}
					BgL_method1344z00_1501 = BgL_res1891z00_2047;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1344z00_1501) (BgL_method1344z00_1501,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}
		BGL_FUNCTION_END;
	}



/* &fxop! */
	BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t BgL_envz00_2217,
		obj_t BgL_nodez00_2218)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 98 */
			return
				BGl_fxopz12z12zzfxop_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2218));
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1919z00zzfxop_walkz00, BGl_string1920z00zzfxop_walkz00);
		}
		BGL_FUNCTION_END;
	}



/* &fxop!-let-var1346 */
	BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1346z70zzfxop_walkz00(obj_t
		BgL_envz00_2222, obj_t BgL_nodez00_2223)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 104 */
			{
				obj_t BgL_opz00_2307;
				BgL_letzd2varzd2_bglt BgL_nodez00_2308;
				obj_t BgL_opz00_2265;
				BgL_letzd2varzd2_bglt BgL_nodez00_2266;
				obj_t BgL_opz00_2243;
				BgL_letzd2varzd2_bglt BgL_nodez00_2244;

				{	/* Fxop/walk.scm 219 */
					obj_t BgL_g1159z00_2329;

					{	/* Fxop/walk.scm 219 */
						bool_t BgL_testz00_2542;

						{	/* Fxop/walk.scm 219 */
							BgL_typez00_bglt BgL_arg1544z00_2330;

							BgL_arg1544z00_2330 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2223))))->
								BgL_typez00);
							BgL_testz00_2542 =
								(((obj_t) BgL_arg1544z00_2330) ==
								BGl_za2bintza2z00zztype_cachez00);
						}
						if (BgL_testz00_2542)
							{	/* Fxop/walk.scm 219 */
								BgL_g1159z00_2329 =
									BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2223)))->
										BgL_bindingsz00),
									(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
													BgL_nodez00_2223)))->BgL_bodyz00));
							}
						else
							{	/* Fxop/walk.scm 219 */
								BgL_g1159z00_2329 = BFALSE;
							}
					}
					if (CBOOL(BgL_g1159z00_2329))
						{
							BgL_appz00_bglt BgL_auxz00_2555;

							BgL_opz00_2243 = BgL_g1159z00_2329;
							BgL_nodez00_2244 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2223);
							{	/* Fxop/walk.scm 176 */
								BgL_appz00_bglt BgL_new1142z00_2245;

								{	/* Fxop/walk.scm 176 */
									BgL_appz00_bglt BgL_new1141z00_2246;

									BgL_new1141z00_2246 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 176 */
										long BgL_arg1684z00_2247;

										{	/* Fxop/walk.scm 176 */
											long BgL_res1898z00_2248;

											BgL_res1898z00_2248 =
												BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
											BgL_arg1684z00_2247 = BgL_res1898z00_2248;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1141z00_2246),
											BgL_arg1684z00_2247);
									}
									{	/* Fxop/walk.scm 176 */
										BgL_objectz00_bglt BgL_tmpz00_2560;

										BgL_tmpz00_2560 =
											((BgL_objectz00_bglt) BgL_new1141z00_2246);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2560, BFALSE);
									}
									BgL_new1142z00_2245 = BgL_new1141z00_2246;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1142z00_2245)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1142z00_2245)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1142z00_2245)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1142z00_2245)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_2573;

									{	/* Fxop/walk.scm 178 */
										BgL_varz00_bglt BgL_new1144z00_2249;

										{	/* Fxop/walk.scm 178 */
											BgL_varz00_bglt BgL_new1143z00_2250;

											BgL_new1143z00_2250 =
												((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_varz00_bgl))));
											{	/* Fxop/walk.scm 178 */
												long BgL_arg1669z00_2251;

												{	/* Fxop/walk.scm 178 */
													long BgL_res1899z00_2252;

													{	/* Fxop/walk.scm 178 */
														obj_t BgL_classz00_2253;

														BgL_classz00_2253 = BGl_varz00zzast_nodez00;
														BgL_res1899z00_2252 =
															BGL_CLASS_INDEX(BgL_classz00_2253);
													}
													BgL_arg1669z00_2251 = BgL_res1899z00_2252;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1143z00_2250),
													BgL_arg1669z00_2251);
											}
											BgL_new1144z00_2249 = BgL_new1143z00_2250;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1144z00_2249)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1144z00_2249)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(BgL_new1144z00_2249))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_opz00_2243)), BUNSPEC);
										BgL_auxz00_2573 = BgL_new1144z00_2249;
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1142z00_2245))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_2573), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_2586;

									{	/* Fxop/walk.scm 182 */
										BgL_nodez00_bglt BgL_arg1670z00_2254;
										BgL_nodez00_bglt BgL_arg1671z00_2255;

										{	/* Fxop/walk.scm 182 */
											obj_t BgL_arg1674z00_2256;

											{	/* Fxop/walk.scm 182 */
												obj_t BgL_pairz00_2257;

												BgL_pairz00_2257 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2244))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 182 */
													obj_t BgL_pairz00_2258;

													BgL_pairz00_2258 = CAR(BgL_pairz00_2257);
													BgL_arg1674z00_2256 = CDR(BgL_pairz00_2258);
											}}
											BgL_arg1670z00_2254 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1674z00_2256));
										}
										{	/* Fxop/walk.scm 183 */
											obj_t BgL_arg1676z00_2259;

											{	/* Fxop/walk.scm 183 */
												obj_t BgL_pairz00_2260;

												BgL_pairz00_2260 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2244))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 183 */
													obj_t BgL_pairz00_2261;

													{	/* Fxop/walk.scm 183 */
														obj_t BgL_pairz00_2262;

														BgL_pairz00_2262 = CDR(BgL_pairz00_2260);
														BgL_pairz00_2261 = CAR(BgL_pairz00_2262);
													}
													BgL_arg1676z00_2259 = CDR(BgL_pairz00_2261);
											}}
											BgL_arg1671z00_2255 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1676z00_2259));
										}
										{	/* Fxop/walk.scm 181 */
											obj_t BgL_list1672z00_2263;

											{	/* Fxop/walk.scm 181 */
												obj_t BgL_arg1673z00_2264;

												BgL_arg1673z00_2264 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1671z00_2255), BNIL);
												BgL_list1672z00_2263 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1670z00_2254), BgL_arg1673z00_2264);
											}
											BgL_auxz00_2586 = BgL_list1672z00_2263;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1142z00_2245))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_2586), BUNSPEC);
								}
								BgL_auxz00_2555 = BgL_new1142z00_2245;
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_2555);
						}
					else
						{	/* Fxop/walk.scm 223 */
							obj_t BgL_g1162z00_2331;

							{	/* Fxop/walk.scm 223 */
								bool_t BgL_testz00_2605;

								{	/* Fxop/walk.scm 223 */
									BgL_typez00_bglt BgL_arg1536z00_2332;

									BgL_arg1536z00_2332 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2223))))->
										BgL_typez00);
									BgL_testz00_2605 =
										(((obj_t) BgL_arg1536z00_2332) ==
										BGl_za2bintza2z00zztype_cachez00);
								}
								if (BgL_testz00_2605)
									{	/* Fxop/walk.scm 223 */
										BgL_g1162z00_2331 =
											BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2223)))->
												BgL_bindingsz00),
											(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
															BgL_nodez00_2223)))->BgL_bodyz00));
									}
								else
									{	/* Fxop/walk.scm 223 */
										BgL_g1162z00_2331 = BFALSE;
									}
							}
							if (CBOOL(BgL_g1162z00_2331))
								{
									BgL_appz00_bglt BgL_auxz00_2618;

									BgL_opz00_2265 = BgL_g1162z00_2331;
									BgL_nodez00_2266 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2223);
									{	/* Fxop/walk.scm 187 */
										obj_t BgL_callz00_2267;

										{	/* Fxop/walk.scm 187 */
											obj_t BgL_pairz00_2268;

											BgL_pairz00_2268 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															(((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_nodez00_2266))->BgL_bodyz00))))->
												BgL_argsz00);
											BgL_callz00_2267 = CAR(BgL_pairz00_2268);
										}
										{	/* Fxop/walk.scm 189 */
											BgL_appz00_bglt BgL_new1148z00_2269;

											{	/* Fxop/walk.scm 189 */
												BgL_appz00_bglt BgL_new1147z00_2270;

												BgL_new1147z00_2270 =
													((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_appz00_bgl))));
												{	/* Fxop/walk.scm 189 */
													long BgL_arg1780z00_2271;

													{	/* Fxop/walk.scm 189 */
														long BgL_res1901z00_2272;

														BgL_res1901z00_2272 =
															BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
														BgL_arg1780z00_2271 = BgL_res1901z00_2272;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1147z00_2270),
														BgL_arg1780z00_2271);
												}
												{	/* Fxop/walk.scm 189 */
													BgL_objectz00_bglt BgL_tmpz00_2627;

													BgL_tmpz00_2627 =
														((BgL_objectz00_bglt) BgL_new1147z00_2270);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2627, BFALSE);
												}
												BgL_new1148z00_2269 = BgL_new1147z00_2270;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1148z00_2269)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1148z00_2269)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1148z00_2269)))->BgL_sidezd2effectzd2) =
												((obj_t) BUNSPEC), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1148z00_2269)))->BgL_keyz00) =
												((obj_t) BINT(((long) -1))), BUNSPEC);
											{
												BgL_varz00_bglt BgL_auxz00_2640;

												{	/* Fxop/walk.scm 191 */
													BgL_varz00_bglt BgL_new1150z00_2273;

													{	/* Fxop/walk.scm 191 */
														BgL_varz00_bglt BgL_new1149z00_2274;

														BgL_new1149z00_2274 =
															((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Fxop/walk.scm 191 */
															long BgL_arg1687z00_2275;

															{	/* Fxop/walk.scm 191 */
																long BgL_res1902z00_2276;

																{	/* Fxop/walk.scm 191 */
																	obj_t BgL_classz00_2277;

																	BgL_classz00_2277 = BGl_varz00zzast_nodez00;
																	BgL_res1902z00_2276 =
																		BGL_CLASS_INDEX(BgL_classz00_2277);
																}
																BgL_arg1687z00_2275 = BgL_res1902z00_2276;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1149z00_2274),
																BgL_arg1687z00_2275);
														}
														BgL_new1150z00_2273 = BgL_new1149z00_2274;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1150z00_2273)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1150z00_2273)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(BgL_new1150z00_2273))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_opz00_2265)), BUNSPEC);
													BgL_auxz00_2640 = BgL_new1150z00_2273;
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1148z00_2269))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_auxz00_2640), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_2653;

												{	/* Fxop/walk.scm 195 */
													BgL_nodez00_bglt BgL_arg1688z00_2278;
													BgL_nodez00_bglt BgL_arg1689z00_2279;

													{	/* Fxop/walk.scm 195 */
														bool_t BgL_testz00_2654;

														{	/* Fxop/walk.scm 195 */
															bool_t BgL_testz00_2655;

															{	/* Fxop/walk.scm 195 */
																obj_t BgL_arg1750z00_2280;

																{	/* Fxop/walk.scm 195 */
																	obj_t BgL_pairz00_2281;

																	BgL_pairz00_2281 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2267)))->
																		BgL_argsz00);
																	BgL_arg1750z00_2280 = CAR(BgL_pairz00_2281);
																}
																{	/* Fxop/walk.scm 195 */
																	bool_t BgL_res1903z00_2282;

																	BgL_res1903z00_2282 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg1750z00_2280,
																		BGl_varz00zzast_nodez00);
																	BgL_testz00_2655 = BgL_res1903z00_2282;
															}}
															if (BgL_testz00_2655)
																{	/* Fxop/walk.scm 196 */
																	obj_t BgL_auxz00_2669;
																	obj_t BgL_tmpz00_2660;

																	{	/* Fxop/walk.scm 197 */
																		obj_t BgL_pairz00_2284;

																		BgL_pairz00_2284 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2266))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 197 */
																			obj_t BgL_pairz00_2285;

																			BgL_pairz00_2285 = CAR(BgL_pairz00_2284);
																			BgL_auxz00_2669 = CAR(BgL_pairz00_2285);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_2661;

																		{
																			BgL_varz00_bglt BgL_auxz00_2662;

																			{	/* Fxop/walk.scm 196 */
																				obj_t BgL_pairz00_2283;

																				BgL_pairz00_2283 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_callz00_2267)))->
																					BgL_argsz00);
																				BgL_auxz00_2662 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2283));
																			}
																			BgL_auxz00_2661 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_2662))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_2660 = ((obj_t) BgL_auxz00_2661);
																	}
																	BgL_testz00_2654 =
																		(BgL_tmpz00_2660 == BgL_auxz00_2669);
																}
															else
																{	/* Fxop/walk.scm 195 */
																	BgL_testz00_2654 = ((bool_t) 0);
																}
														}
														if (BgL_testz00_2654)
															{	/* Fxop/walk.scm 198 */
																obj_t BgL_arg1732z00_2286;

																{	/* Fxop/walk.scm 198 */
																	obj_t BgL_pairz00_2287;

																	BgL_pairz00_2287 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2266))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 198 */
																		obj_t BgL_pairz00_2288;

																		BgL_pairz00_2288 = CAR(BgL_pairz00_2287);
																		BgL_arg1732z00_2286 = CDR(BgL_pairz00_2288);
																	}
																}
																BgL_arg1688z00_2278 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1732z00_2286));
															}
														else
															{	/* Fxop/walk.scm 199 */
																obj_t BgL_arg1736z00_2289;

																{	/* Fxop/walk.scm 199 */
																	obj_t BgL_pairz00_2290;

																	BgL_pairz00_2290 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2267)))->
																		BgL_argsz00);
																	BgL_arg1736z00_2289 = CAR(BgL_pairz00_2290);
																}
																BgL_arg1688z00_2278 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1736z00_2289));
															}
													}
													{	/* Fxop/walk.scm 200 */
														bool_t BgL_testz00_2684;

														{	/* Fxop/walk.scm 200 */
															bool_t BgL_testz00_2685;

															{	/* Fxop/walk.scm 200 */
																obj_t BgL_arg1777z00_2291;

																{	/* Fxop/walk.scm 200 */
																	obj_t BgL_pairz00_2292;

																	BgL_pairz00_2292 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2267)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 200 */
																		obj_t BgL_pairz00_2293;

																		BgL_pairz00_2293 = CDR(BgL_pairz00_2292);
																		BgL_arg1777z00_2291 = CAR(BgL_pairz00_2293);
																	}
																}
																{	/* Fxop/walk.scm 200 */
																	bool_t BgL_res1904z00_2294;

																	BgL_res1904z00_2294 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg1777z00_2291,
																		BGl_varz00zzast_nodez00);
																	BgL_testz00_2685 = BgL_res1904z00_2294;
																}
															}
															if (BgL_testz00_2685)
																{	/* Fxop/walk.scm 201 */
																	obj_t BgL_auxz00_2702;
																	obj_t BgL_tmpz00_2691;

																	{	/* Fxop/walk.scm 202 */
																		obj_t BgL_pairz00_2297;

																		BgL_pairz00_2297 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2266))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 202 */
																			obj_t BgL_pairz00_2298;

																			BgL_pairz00_2298 = CAR(BgL_pairz00_2297);
																			BgL_auxz00_2702 = CAR(BgL_pairz00_2298);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_2692;

																		{
																			BgL_varz00_bglt BgL_auxz00_2693;

																			{
																				obj_t BgL_auxz00_2694;

																				{	/* Fxop/walk.scm 201 */
																					obj_t BgL_pairz00_2295;

																					BgL_pairz00_2295 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_callz00_2267)))->
																						BgL_argsz00);
																					{	/* Fxop/walk.scm 201 */
																						obj_t BgL_pairz00_2296;

																						BgL_pairz00_2296 =
																							CDR(BgL_pairz00_2295);
																						BgL_auxz00_2694 =
																							CAR(BgL_pairz00_2296);
																					}
																				}
																				BgL_auxz00_2693 =
																					((BgL_varz00_bglt) BgL_auxz00_2694);
																			}
																			BgL_auxz00_2692 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_2693))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_2691 = ((obj_t) BgL_auxz00_2692);
																	}
																	BgL_testz00_2684 =
																		(BgL_tmpz00_2691 == BgL_auxz00_2702);
																}
															else
																{	/* Fxop/walk.scm 200 */
																	BgL_testz00_2684 = ((bool_t) 0);
																}
														}
														if (BgL_testz00_2684)
															{	/* Fxop/walk.scm 203 */
																obj_t BgL_arg1766z00_2299;

																{	/* Fxop/walk.scm 203 */
																	obj_t BgL_pairz00_2300;

																	BgL_pairz00_2300 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2266))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 203 */
																		obj_t BgL_pairz00_2301;

																		BgL_pairz00_2301 = CAR(BgL_pairz00_2300);
																		BgL_arg1766z00_2299 = CDR(BgL_pairz00_2301);
																	}
																}
																BgL_arg1689z00_2279 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1766z00_2299));
															}
														else
															{	/* Fxop/walk.scm 204 */
																obj_t BgL_arg1768z00_2302;

																{	/* Fxop/walk.scm 204 */
																	obj_t BgL_pairz00_2303;

																	BgL_pairz00_2303 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2267)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 204 */
																		obj_t BgL_pairz00_2304;

																		BgL_pairz00_2304 = CDR(BgL_pairz00_2303);
																		BgL_arg1768z00_2302 = CAR(BgL_pairz00_2304);
																	}
																}
																BgL_arg1689z00_2279 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1768z00_2302));
															}
													}
													{	/* Fxop/walk.scm 194 */
														obj_t BgL_list1690z00_2305;

														{	/* Fxop/walk.scm 194 */
															obj_t BgL_arg1691z00_2306;

															BgL_arg1691z00_2306 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1689z00_2279), BNIL);
															BgL_list1690z00_2305 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1688z00_2278),
																BgL_arg1691z00_2306);
														}
														BgL_auxz00_2653 = BgL_list1690z00_2305;
													}
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1148z00_2269))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_2653), BUNSPEC);
											}
											BgL_auxz00_2618 = BgL_new1148z00_2269;
										}
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_2618);
								}
							else
								{	/* Fxop/walk.scm 227 */
									obj_t BgL_g1165z00_2333;

									{	/* Fxop/walk.scm 227 */
										bool_t BgL_testz00_2725;

										{	/* Fxop/walk.scm 227 */
											BgL_typez00_bglt BgL_arg1528z00_2334;

											BgL_arg1528z00_2334 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2223))))->
												BgL_typez00);
											BgL_testz00_2725 =
												(((obj_t) BgL_arg1528z00_2334) ==
												BGl_za2boolza2z00zztype_cachez00);
										}
										if (BgL_testz00_2725)
											{	/* Fxop/walk.scm 227 */
												BgL_g1165z00_2333 =
													BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(
													(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_2223)))->
														BgL_bindingsz00),
													(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt)
																	BgL_nodez00_2223)))->BgL_bodyz00));
											}
										else
											{	/* Fxop/walk.scm 227 */
												BgL_g1165z00_2333 = BFALSE;
											}
									}
									if (CBOOL(BgL_g1165z00_2333))
										{
											BgL_appz00_bglt BgL_auxz00_2738;

											BgL_opz00_2307 = BgL_g1165z00_2333;
											BgL_nodez00_2308 =
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2223);
											{	/* Fxop/walk.scm 208 */
												BgL_appz00_bglt BgL_new1154z00_2309;

												{	/* Fxop/walk.scm 208 */
													BgL_appz00_bglt BgL_new1153z00_2310;

													BgL_new1153z00_2310 =
														((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_appz00_bgl))));
													{	/* Fxop/walk.scm 208 */
														long BgL_arg1793z00_2311;

														{	/* Fxop/walk.scm 208 */
															long BgL_res1906z00_2312;

															BgL_res1906z00_2312 =
																BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
															BgL_arg1793z00_2311 = BgL_res1906z00_2312;
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1153z00_2310),
															BgL_arg1793z00_2311);
													}
													{	/* Fxop/walk.scm 208 */
														BgL_objectz00_bglt BgL_tmpz00_2743;

														BgL_tmpz00_2743 =
															((BgL_objectz00_bglt) BgL_new1153z00_2310);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2743, BFALSE);
													}
													BgL_new1154z00_2309 = BgL_new1153z00_2310;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1154z00_2309)))->
														BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1154z00_2309)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1154z00_2309)))->
														BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1154z00_2309)))->BgL_keyz00) =
													((obj_t) BINT(((long) -1))), BUNSPEC);
												{
													BgL_varz00_bglt BgL_auxz00_2756;

													{	/* Fxop/walk.scm 210 */
														BgL_varz00_bglt BgL_new1156z00_2313;

														{	/* Fxop/walk.scm 210 */
															BgL_varz00_bglt BgL_new1155z00_2314;

															BgL_new1155z00_2314 =
																((BgL_varz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Fxop/walk.scm 210 */
																long BgL_arg1784z00_2315;

																{	/* Fxop/walk.scm 210 */
																	long BgL_res1907z00_2316;

																	{	/* Fxop/walk.scm 210 */
																		obj_t BgL_classz00_2317;

																		BgL_classz00_2317 = BGl_varz00zzast_nodez00;
																		BgL_res1907z00_2316 =
																			BGL_CLASS_INDEX(BgL_classz00_2317);
																	}
																	BgL_arg1784z00_2315 = BgL_res1907z00_2316;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1155z00_2314),
																	BgL_arg1784z00_2315);
															}
															BgL_new1156z00_2313 = BgL_new1155z00_2314;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1156z00_2313)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1156z00_2313)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_opz00_2307)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(BgL_new1156z00_2313))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_opz00_2307)), BUNSPEC);
														BgL_auxz00_2756 = BgL_new1156z00_2313;
													}
													((((BgL_appz00_bglt) COBJECT(BgL_new1154z00_2309))->
															BgL_funz00) =
														((BgL_varz00_bglt) BgL_auxz00_2756), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_2770;

													{	/* Fxop/walk.scm 214 */
														BgL_nodez00_bglt BgL_arg1785z00_2318;
														BgL_nodez00_bglt BgL_arg1786z00_2319;

														{	/* Fxop/walk.scm 214 */
															obj_t BgL_arg1789z00_2320;

															{	/* Fxop/walk.scm 214 */
																obj_t BgL_pairz00_2321;

																BgL_pairz00_2321 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2308))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 214 */
																	obj_t BgL_pairz00_2322;

																	BgL_pairz00_2322 = CAR(BgL_pairz00_2321);
																	BgL_arg1789z00_2320 = CDR(BgL_pairz00_2322);
															}}
															BgL_arg1785z00_2318 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1789z00_2320));
														}
														{	/* Fxop/walk.scm 215 */
															obj_t BgL_arg1791z00_2323;

															{	/* Fxop/walk.scm 215 */
																obj_t BgL_pairz00_2324;

																BgL_pairz00_2324 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2308))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 215 */
																	obj_t BgL_pairz00_2325;

																	{	/* Fxop/walk.scm 215 */
																		obj_t BgL_pairz00_2326;

																		BgL_pairz00_2326 = CDR(BgL_pairz00_2324);
																		BgL_pairz00_2325 = CAR(BgL_pairz00_2326);
																	}
																	BgL_arg1791z00_2323 = CDR(BgL_pairz00_2325);
															}}
															BgL_arg1786z00_2319 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1791z00_2323));
														}
														{	/* Fxop/walk.scm 213 */
															obj_t BgL_list1787z00_2327;

															{	/* Fxop/walk.scm 213 */
																obj_t BgL_arg1788z00_2328;

																BgL_arg1788z00_2328 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1786z00_2319), BNIL);
																BgL_list1787z00_2327 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1785z00_2318),
																	BgL_arg1788z00_2328);
															}
															BgL_auxz00_2770 = BgL_list1787z00_2327;
													}}
													((((BgL_appz00_bglt) COBJECT(BgL_new1154z00_2309))->
															BgL_argsz00) =
														((obj_t) BgL_auxz00_2770), BUNSPEC);
												}
												BgL_auxz00_2738 = BgL_new1154z00_2309;
											}
											return ((BgL_nodez00_bglt) BgL_auxz00_2738);
										}
									else
										{	/* Fxop/walk.scm 227 */
											return
												BGl_walk0z12z12zzast_walkz00(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2223)),
												BGl_fxopz12zd2envzc0zzfxop_walkz00);
										}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* find-fxop~0 */
	obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t BgL_exprz00_1555)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 120 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_1555, BGl_appz00zzast_nodez00))
				{	/* Fxop/walk.scm 118 */
					BgL_variablez00_bglt BgL_vz00_1558;

					BgL_vz00_1558 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_exprz00_1555)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Fxop/walk.scm 119 */
						obj_t BgL_cz00_1559;

						BgL_cz00_1559 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_vz00_1558), BGl_za2fxopsza2z00zzfxop_walkz00);
						if (CBOOL(BgL_cz00_1559))
							{	/* Fxop/walk.scm 120 */
								return CDR(((obj_t) BgL_cz00_1559));
							}
						else
							{	/* Fxop/walk.scm 120 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Fxop/walk.scm 117 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* bint~0 */
	BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt
		BgL_exprz00_1608)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 172 */
			{	/* Fxop/walk.scm 162 */
				bool_t BgL_testz00_2803;

				{	/* Fxop/walk.scm 162 */
					BgL_typez00_bglt BgL_arg1667z00_1622;

					BgL_arg1667z00_1622 =
						(((BgL_nodez00_bglt) COBJECT(BgL_exprz00_1608))->BgL_typez00);
					BgL_testz00_2803 =
						(((obj_t) BgL_arg1667z00_1622) == BGl_za2bintza2z00zztype_cachez00);
				}
				if (BgL_testz00_2803)
					{	/* Fxop/walk.scm 162 */
						return BgL_exprz00_1608;
					}
				else
					{	/* Fxop/walk.scm 162 */
						if (BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(
								((obj_t) BgL_exprz00_1608)))
							{	/* Fxop/walk.scm 165 */
								obj_t BgL_pairz00_2116;

								BgL_pairz00_2116 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_exprz00_1608)))->BgL_argsz00);
								return ((BgL_nodez00_bglt) CAR(BgL_pairz00_2116));
							}
						else
							{	/* Fxop/walk.scm 167 */
								BgL_appz00_bglt BgL_new1137z00_1615;

								{	/* Fxop/walk.scm 167 */
									BgL_appz00_bglt BgL_new1136z00_1620;

									BgL_new1136z00_1620 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 167 */
										long BgL_arg1665z00_1621;

										{	/* Fxop/walk.scm 167 */
											long BgL_res1895z00_2118;

											BgL_res1895z00_2118 =
												BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
											BgL_arg1665z00_1621 = BgL_res1895z00_2118;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1136z00_1620),
											BgL_arg1665z00_1621);
									}
									{	/* Fxop/walk.scm 167 */
										BgL_objectz00_bglt BgL_tmpz00_2818;

										BgL_tmpz00_2818 =
											((BgL_objectz00_bglt) BgL_new1136z00_1620);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2818, BFALSE);
									}
									BgL_new1137z00_1615 = BgL_new1136z00_1620;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1137z00_1615)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1137z00_1615)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1137z00_1615)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1137z00_1615)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_2831;

									{	/* Fxop/walk.scm 169 */
										BgL_varz00_bglt BgL_new1139z00_1616;

										{	/* Fxop/walk.scm 169 */
											BgL_varz00_bglt BgL_new1138z00_1617;

											BgL_new1138z00_1617 =
												((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_varz00_bgl))));
											{	/* Fxop/walk.scm 169 */
												long BgL_arg1662z00_1618;

												{	/* Fxop/walk.scm 169 */
													long BgL_res1896z00_2122;

													{	/* Fxop/walk.scm 169 */
														obj_t BgL_classz00_2121;

														BgL_classz00_2121 = BGl_varz00zzast_nodez00;
														BgL_res1896z00_2122 =
															BGL_CLASS_INDEX(BgL_classz00_2121);
													}
													BgL_arg1662z00_1618 = BgL_res1896z00_2122;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1138z00_1617),
													BgL_arg1662z00_1618);
											}
											BgL_new1139z00_1616 = BgL_new1138z00_1617;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1139z00_1616)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1139z00_1616)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(BgL_new1139z00_1616))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_za2longzd2ze3bintza2z31zzfxop_walkz00)), BUNSPEC);
										BgL_auxz00_2831 = BgL_new1139z00_1616;
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1137z00_1615))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_2831), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_2844;

									{	/* Fxop/walk.scm 172 */
										obj_t BgL_list1663z00_1619;

										BgL_list1663z00_1619 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_exprz00_1608), BNIL);
										BgL_auxz00_2844 = BgL_list1663z00_1619;
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1137z00_1615))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_2844), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1137z00_1615);
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* bint->long?~0 */
	bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t BgL_exprz00_1545)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 109 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_1545, BGl_appz00zzast_nodez00))
				{	/* Fxop/walk.scm 108 */
					BgL_variablez00_bglt BgL_vz00_1548;

					BgL_vz00_1548 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_exprz00_1545)))->BgL_funz00)))->
						BgL_variablez00);
					return (((obj_t) BgL_vz00_1548) ==
						BGl_za2bintzd2ze3longza2z31zzfxop_walkz00);
				}
			else
				{	/* Fxop/walk.scm 107 */
					return ((bool_t) 0);
				}
		}
		BGL_FUNCTION_END;
	}



/* long->bint?~0 */
	bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_appz00_bglt
		BgL_exprz00_1550)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 114 */
			{	/* Fxop/walk.scm 113 */
				BgL_variablez00_bglt BgL_vz00_1553;

				BgL_vz00_1553 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(BgL_exprz00_1550))->BgL_funz00)))->
					BgL_variablez00);
				return (((obj_t) BgL_vz00_1553) ==
					BGl_za2longzd2ze3bintza2z31zzfxop_walkz00);
			}
		}
		BGL_FUNCTION_END;
	}



/* fxop-double-int-letvar?~0 */
	obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1561, BgL_nodez00_bglt BgL_bodyz00_1562)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 136 */
			if ((bgl_list_length(BgL_bindingsz00_1561) == ((long) 2)))
				{	/* Fxop/walk.scm 128 */
					bool_t BgL_testz00_2863;

					{	/* Fxop/walk.scm 128 */
						bool_t BgL__ortest_1123z00_1570;

						{	/* Fxop/walk.scm 128 */
							bool_t BgL__ortest_1124z00_1578;

							{	/* Fxop/walk.scm 128 */
								obj_t BgL_arg1617z00_1584;

								{	/* Fxop/walk.scm 128 */
									obj_t BgL_pairz00_2060;

									BgL_pairz00_2060 = CAR(((obj_t) BgL_bindingsz00_1561));
									BgL_arg1617z00_1584 = CDR(BgL_pairz00_2060);
								}
								BgL__ortest_1124z00_1578 =
									BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
									(BgL_arg1617z00_1584);
							}
							if (BgL__ortest_1124z00_1578)
								{	/* Fxop/walk.scm 128 */
									BgL__ortest_1123z00_1570 = BgL__ortest_1124z00_1578;
								}
							else
								{	/* Fxop/walk.scm 129 */
									bool_t BgL__ortest_1125z00_1579;

									{	/* Fxop/walk.scm 129 */
										BgL_typez00_bglt BgL_arg1613z00_1582;

										{
											BgL_variablez00_bglt BgL_auxz00_2869;

											{	/* Fxop/walk.scm 129 */
												obj_t BgL_pairz00_2064;

												BgL_pairz00_2064 = CAR(((obj_t) BgL_bindingsz00_1561));
												BgL_auxz00_2869 =
													((BgL_variablez00_bglt) CAR(BgL_pairz00_2064));
											}
											BgL_arg1613z00_1582 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2869))->
												BgL_typez00);
										}
										BgL__ortest_1125z00_1579 =
											(
											((obj_t) BgL_arg1613z00_1582) ==
											BGl_za2bintza2z00zztype_cachez00);
									}
									if (BgL__ortest_1125z00_1579)
										{	/* Fxop/walk.scm 129 */
											BgL__ortest_1123z00_1570 = BgL__ortest_1125z00_1579;
										}
									else
										{	/* Fxop/walk.scm 130 */
											BgL_typez00_bglt BgL_arg1607z00_1580;

											{
												BgL_variablez00_bglt BgL_auxz00_2878;

												{	/* Fxop/walk.scm 130 */
													obj_t BgL_pairz00_2069;

													BgL_pairz00_2069 =
														CAR(((obj_t) BgL_bindingsz00_1561));
													BgL_auxz00_2878 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2069));
												}
												BgL_arg1607z00_1580 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2878))->
													BgL_typez00);
											}
											BgL__ortest_1123z00_1570 =
												(
												((obj_t) BgL_arg1607z00_1580) ==
												BGl_za2longza2z00zztype_cachez00);
										}
								}
						}
						if (BgL__ortest_1123z00_1570)
							{	/* Fxop/walk.scm 128 */
								BgL_testz00_2863 = BgL__ortest_1123z00_1570;
							}
						else
							{	/* Fxop/walk.scm 131 */
								bool_t BgL__ortest_1126z00_1571;

								{	/* Fxop/walk.scm 131 */
									obj_t BgL_arg1604z00_1577;

									{	/* Fxop/walk.scm 131 */
										obj_t BgL_pairz00_2076;

										{	/* Fxop/walk.scm 131 */
											obj_t BgL_pairz00_2075;

											BgL_pairz00_2075 = CDR(((obj_t) BgL_bindingsz00_1561));
											BgL_pairz00_2076 = CAR(BgL_pairz00_2075);
										}
										BgL_arg1604z00_1577 = CDR(BgL_pairz00_2076);
									}
									BgL__ortest_1126z00_1571 =
										BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
										(BgL_arg1604z00_1577);
								}
								if (BgL__ortest_1126z00_1571)
									{	/* Fxop/walk.scm 131 */
										BgL_testz00_2863 = BgL__ortest_1126z00_1571;
									}
								else
									{	/* Fxop/walk.scm 132 */
										bool_t BgL__ortest_1127z00_1572;

										{	/* Fxop/walk.scm 132 */
											BgL_typez00_bglt BgL_arg1600z00_1575;

											{
												BgL_variablez00_bglt BgL_auxz00_2893;

												{	/* Fxop/walk.scm 132 */
													obj_t BgL_pairz00_2082;

													{	/* Fxop/walk.scm 132 */
														obj_t BgL_pairz00_2081;

														BgL_pairz00_2081 =
															CDR(((obj_t) BgL_bindingsz00_1561));
														BgL_pairz00_2082 = CAR(BgL_pairz00_2081);
													}
													BgL_auxz00_2893 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2082));
												}
												BgL_arg1600z00_1575 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2893))->
													BgL_typez00);
											}
											BgL__ortest_1127z00_1572 =
												(
												((obj_t) BgL_arg1600z00_1575) ==
												BGl_za2bintza2z00zztype_cachez00);
										}
										if (BgL__ortest_1127z00_1572)
											{	/* Fxop/walk.scm 132 */
												BgL_testz00_2863 = BgL__ortest_1127z00_1572;
											}
										else
											{	/* Fxop/walk.scm 133 */
												BgL_typez00_bglt BgL_arg1582z00_1573;

												{
													BgL_variablez00_bglt BgL_auxz00_2903;

													{	/* Fxop/walk.scm 133 */
														obj_t BgL_pairz00_2089;

														{	/* Fxop/walk.scm 133 */
															obj_t BgL_pairz00_2088;

															BgL_pairz00_2088 =
																CDR(((obj_t) BgL_bindingsz00_1561));
															BgL_pairz00_2089 = CAR(BgL_pairz00_2088);
														}
														BgL_auxz00_2903 =
															((BgL_variablez00_bglt) CAR(BgL_pairz00_2089));
													}
													BgL_arg1582z00_1573 =
														(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2903))->
														BgL_typez00);
												}
												BgL_testz00_2863 =
													(
													((obj_t) BgL_arg1582z00_1573) ==
													BGl_za2longza2z00zztype_cachez00);
											}
									}
							}
					}
					if (BgL_testz00_2863)
						{	/* Fxop/walk.scm 128 */
							if (BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_bodyz00_1562), BGl_appz00zzast_nodez00))
								{	/* Fxop/walk.scm 134 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(
											((BgL_appz00_bglt) BgL_bodyz00_1562)))
										{	/* Fxop/walk.scm 136 */
											obj_t BgL_arg1580z00_1568;

											{	/* Fxop/walk.scm 136 */
												obj_t BgL_pairz00_2092;

												BgL_pairz00_2092 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1562)))->
													BgL_argsz00);
												BgL_arg1580z00_1568 = CAR(BgL_pairz00_2092);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1580z00_1568);
										}
									else
										{	/* Fxop/walk.scm 135 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 134 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 128 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 127 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* fxop-simple-int-letvar?~0 */
	obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1586, BgL_nodez00_bglt BgL_bodyz00_1587)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 147 */
			if ((bgl_list_length(BgL_bindingsz00_1586) == ((long) 1)))
				{	/* Fxop/walk.scm 144 */
					bool_t BgL_testz00_2925;

					{	/* Fxop/walk.scm 144 */
						obj_t BgL_arg1624z00_1595;

						{	/* Fxop/walk.scm 144 */
							obj_t BgL_pairz00_2098;

							BgL_pairz00_2098 = CAR(((obj_t) BgL_bindingsz00_1586));
							BgL_arg1624z00_1595 = CDR(BgL_pairz00_2098);
						}
						BgL_testz00_2925 =
							BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(BgL_arg1624z00_1595);
					}
					if (BgL_testz00_2925)
						{	/* Fxop/walk.scm 144 */
							if (BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_bodyz00_1587), BGl_appz00zzast_nodez00))
								{	/* Fxop/walk.scm 145 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(
											((BgL_appz00_bglt) BgL_bodyz00_1587)))
										{	/* Fxop/walk.scm 147 */
											obj_t BgL_arg1622z00_1593;

											{	/* Fxop/walk.scm 147 */
												obj_t BgL_pairz00_2100;

												BgL_pairz00_2100 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1587)))->
													BgL_argsz00);
												BgL_arg1622z00_1593 = CAR(BgL_pairz00_2100);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1622z00_1593);
										}
									else
										{	/* Fxop/walk.scm 146 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 145 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 144 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 143 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* fxop-bool-letvar?~0 */
	obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t
		BgL_bindingsz00_1597, BgL_nodez00_bglt BgL_bodyz00_1598)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 157 */
			if ((bgl_list_length(BgL_bindingsz00_1597) == ((long) 2)))
				{	/* Fxop/walk.scm 155 */
					bool_t BgL_testz00_2943;

					{	/* Fxop/walk.scm 155 */
						bool_t BgL_testz00_2944;

						{	/* Fxop/walk.scm 155 */
							obj_t BgL_arg1643z00_1606;

							{	/* Fxop/walk.scm 155 */
								obj_t BgL_pairz00_2106;

								BgL_pairz00_2106 = CAR(((obj_t) BgL_bindingsz00_1597));
								BgL_arg1643z00_1606 = CDR(BgL_pairz00_2106);
							}
							BgL_testz00_2944 =
								BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(BgL_arg1643z00_1606);
						}
						if (BgL_testz00_2944)
							{	/* Fxop/walk.scm 156 */
								obj_t BgL_arg1642z00_1605;

								{	/* Fxop/walk.scm 156 */
									obj_t BgL_pairz00_2112;

									{	/* Fxop/walk.scm 156 */
										obj_t BgL_pairz00_2111;

										BgL_pairz00_2111 = CDR(((obj_t) BgL_bindingsz00_1597));
										BgL_pairz00_2112 = CAR(BgL_pairz00_2111);
									}
									BgL_arg1642z00_1605 = CDR(BgL_pairz00_2112);
								}
								BgL_testz00_2943 =
									BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
									(BgL_arg1642z00_1605);
							}
						else
							{	/* Fxop/walk.scm 155 */
								BgL_testz00_2943 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2943)
						{	/* Fxop/walk.scm 157 */
							obj_t BgL_arg1628z00_1602;

							{	/* Fxop/walk.scm 157 */
								obj_t BgL_pairz00_2114;

								BgL_pairz00_2114 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_bodyz00_1598)))->BgL_argsz00);
								BgL_arg1628z00_1602 = CAR(BgL_pairz00_2114);
							}
							return BGl_findzd2fxopze70z35zzfxop_walkz00(BgL_arg1628z00_1602);
						}
					else
						{	/* Fxop/walk.scm 155 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 154 */
					return BFALSE;
				}
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1921z00zzfxop_walkz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
