/*===========================================================================*/
/*   (Object/tools.scm)                                                      */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/tools.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62makezd2directzd2setz12z70zzobject_toolsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62classzd2ze3superzd2idz81zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_toolsz00();
	static obj_t BGl_z62findzd2classzd2slotz62zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_toolsz00();
	BGL_EXPORTED_DECL obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t);
	static obj_t BGl_z62superzd2ze3classzd2idz81zzobject_toolsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzobject_toolsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2refz00zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t);
	static obj_t BGl_z62classzd2ze3objzd2idz81zzobject_toolsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2directzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62objzd2ze3classzd2idz81zzobject_toolsz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_toolsz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_toolsz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62classzf3zd2idz43zzobject_toolsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_z62makezd2classzd2refz62zzobject_toolsz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_toolsz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00();
	static obj_t BGl_makezd2directzd2refz00zzobject_toolsz00(obj_t,
		BgL_slotz00_bglt, obj_t);
	static obj_t BGl_z62makezd2classzd2setz12z70zzobject_toolsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_objzd2ze3classzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762objza7d2za7e3clas1700za7,
		BGl_z62objzd2ze3classzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_classzf3zd2idzd2envzf3zzobject_toolsz00,
		BgL_bgl_za762classza7f3za7d2id1701za7,
		BGl_z62classzf3zd2idz43zzobject_toolsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1687z00zzobject_toolsz00,
		BgL_bgl_string1687za700za7za7o1702za7, "(((~a)COBJECT($1))->~a)", 23);
	      DEFINE_STRING(BGl_string1688z00zzobject_toolsz00,
		BgL_bgl_string1688za700za7za7o1703za7,
		"((((~a)COBJECT($1))->~a)=((~a)$2),BUNSPEC)", 42);
	      DEFINE_STRING(BGl_string1689z00zzobject_toolsz00,
		BgL_bgl_string1689za700za7za7o1704za7, "object_tools", 12);
	      DEFINE_STRING(BGl_string1690z00zzobject_toolsz00,
		BgL_bgl_string1690za700za7za7o1705za7,
		"setfield getfield object-widening -> ? obj-> ->obj ", 51);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2classzd2slotzd2envzd2zzobject_toolsz00,
		BgL_bgl_za762findza7d2classza71706za7,
		BGl_z62findzd2classzd2slotz62zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2refzd2envzd2zzobject_toolsz00,
		BgL_bgl_za762makeza7d2classza71707za7,
		BGl_z62makezd2classzd2refz62zzobject_toolsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2setz12zd2envzc0zzobject_toolsz00,
		BgL_bgl_za762makeza7d2classza71708za7,
		BGl_z62makezd2classzd2setz12z70zzobject_toolsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2ze3superzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762classza7d2za7e3su1709za7,
		BGl_z62classzd2ze3superzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_superzd2ze3classzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762superza7d2za7e3cl1710za7,
		BGl_z62superzd2ze3classzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2ze3objzd2idzd2envz31zzobject_toolsz00,
		BgL_bgl_za762classza7d2za7e3ob1711za7,
		BGl_z62classzd2ze3objzd2idz81zzobject_toolsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2directzd2setz12zd2envzc0zzobject_toolsz00,
		BgL_bgl_za762makeza7d2direct1712z00,
		BGl_z62makezd2directzd2setz12z70zzobject_toolsz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzobject_toolsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long
		BgL_checksumz00_2074, char *BgL_fromz00_2075)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_toolsz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_toolsz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_toolsz00();
					BGl_libraryzd2moduleszd2initz00zzobject_toolsz00();
					BGl_cnstzd2initzd2zzobject_toolsz00();
					BGl_importedzd2moduleszd2initz00zzobject_toolsz00();
					return BGl_methodzd2initzd2zzobject_toolsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_tools");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_tools");
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_toolsz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 15 */
			{	/* Object/tools.scm 15 */
				obj_t BgL_cportz00_2061;

				{	/* Object/tools.scm 15 */
					obj_t BgL_stringz00_2069;

					BgL_stringz00_2069 = BGl_string1690z00zzobject_toolsz00;
					{	/* Object/tools.scm 15 */
						obj_t BgL_startz00_2070;

						BgL_startz00_2070 = BINT(((long) 0));
						{	/* Object/tools.scm 15 */
							obj_t BgL_endz00_2071;

							BgL_endz00_2071 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2069)));
							{	/* Object/tools.scm 15 */

								BgL_cportz00_2061 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2069, BgL_startz00_2070, BgL_endz00_2071);
				}}}}
				{
					long BgL_iz00_2062;

					BgL_iz00_2062 = ((long) 6);
				BgL_loopz00_2063:
					if ((BgL_iz00_2062 == ((long) -1)))
						{	/* Object/tools.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/tools.scm 15 */
							{	/* Object/tools.scm 15 */
								obj_t BgL_arg1698z00_2065;

								{	/* Object/tools.scm 15 */

									{	/* Object/tools.scm 15 */
										obj_t BgL_locationz00_2067;

										BgL_locationz00_2067 = BBOOL(((bool_t) 0));
										{	/* Object/tools.scm 15 */

											BgL_arg1698z00_2065 =
												BGl_readz00zz__readerz00(BgL_cportz00_2061,
												BgL_locationz00_2067);
										}
									}
								}
								{	/* Object/tools.scm 15 */
									int BgL_tmpz00_2100;

									BgL_tmpz00_2100 = (int) (BgL_iz00_2062);
									CNST_TABLE_SET(BgL_tmpz00_2100, BgL_arg1698z00_2065);
							}}
							{	/* Object/tools.scm 15 */
								int BgL_auxz00_2068;

								BgL_auxz00_2068 = (int) ((BgL_iz00_2062 - ((long) 1)));
								{
									long BgL_iz00_2105;

									BgL_iz00_2105 = (long) (BgL_auxz00_2068);
									BgL_iz00_2062 = BgL_iz00_2105;
									goto BgL_loopz00_2063;
								}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_toolsz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* class->obj-id */
	BGL_EXPORTED_DEF obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t
		BgL_idz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 43 */
			{	/* Object/tools.scm 44 */
				obj_t BgL_arg1296z00_1665;

				{	/* Object/tools.scm 44 */
					obj_t BgL_arg1298z00_1666;
					obj_t BgL_arg1299z00_1667;

					{	/* Object/tools.scm 44 */
						obj_t BgL_res1675z00_1975;

						{	/* Object/tools.scm 44 */
							obj_t BgL_arg1416z00_1974;

							BgL_arg1416z00_1974 = SYMBOL_TO_STRING(BgL_idz00_3);
							BgL_res1675z00_1975 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1416z00_1974);
						}
						BgL_arg1298z00_1666 = BgL_res1675z00_1975;
					}
					{	/* Object/tools.scm 44 */
						obj_t BgL_res1676z00_1978;

						{	/* Object/tools.scm 44 */
							obj_t BgL_symbolz00_1976;

							BgL_symbolz00_1976 = CNST_TABLE_REF(((long) 0));
							{	/* Object/tools.scm 44 */
								obj_t BgL_arg1416z00_1977;

								BgL_arg1416z00_1977 = SYMBOL_TO_STRING(BgL_symbolz00_1976);
								BgL_res1676z00_1978 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1416z00_1977);
						}}
						BgL_arg1299z00_1667 = BgL_res1676z00_1978;
					}
					BgL_arg1296z00_1665 =
						string_append(BgL_arg1298z00_1666, BgL_arg1299z00_1667);
				}
				return bstring_to_symbol(BgL_arg1296z00_1665);
			}
		}
		BGL_FUNCTION_END;
	}



/* &class->obj-id */
	obj_t BGl_z62classzd2ze3objzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2032,
		obj_t BgL_idz00_2033)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 43 */
			return BGl_classzd2ze3objzd2idze3zzobject_toolsz00(BgL_idz00_2033);
		}
		BGL_FUNCTION_END;
	}



/* obj->class-id */
	BGL_EXPORTED_DEF obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t
		BgL_idz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 49 */
			{	/* Object/tools.scm 50 */
				obj_t BgL_arg1300z00_1668;

				{	/* Object/tools.scm 50 */
					obj_t BgL_arg1302z00_1669;
					obj_t BgL_arg1305z00_1670;

					{	/* Object/tools.scm 50 */
						obj_t BgL_res1678z00_1983;

						{	/* Object/tools.scm 50 */
							obj_t BgL_symbolz00_1981;

							BgL_symbolz00_1981 = CNST_TABLE_REF(((long) 1));
							{	/* Object/tools.scm 50 */
								obj_t BgL_arg1416z00_1982;

								BgL_arg1416z00_1982 = SYMBOL_TO_STRING(BgL_symbolz00_1981);
								BgL_res1678z00_1983 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1416z00_1982);
						}}
						BgL_arg1302z00_1669 = BgL_res1678z00_1983;
					}
					{	/* Object/tools.scm 50 */
						obj_t BgL_res1679z00_1986;

						{	/* Object/tools.scm 50 */
							obj_t BgL_arg1416z00_1985;

							BgL_arg1416z00_1985 = SYMBOL_TO_STRING(BgL_idz00_4);
							BgL_res1679z00_1986 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1416z00_1985);
						}
						BgL_arg1305z00_1670 = BgL_res1679z00_1986;
					}
					BgL_arg1300z00_1668 =
						string_append(BgL_arg1302z00_1669, BgL_arg1305z00_1670);
				}
				return bstring_to_symbol(BgL_arg1300z00_1668);
			}
		}
		BGL_FUNCTION_END;
	}



/* &obj->class-id */
	obj_t BGl_z62objzd2ze3classzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2034,
		obj_t BgL_idz00_2035)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 49 */
			return BGl_objzd2ze3classzd2idze3zzobject_toolsz00(BgL_idz00_2035);
		}
		BGL_FUNCTION_END;
	}



/* class?-id */
	BGL_EXPORTED_DEF obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t
		BgL_idz00_5)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 55 */
			{	/* Object/tools.scm 56 */
				obj_t BgL_arg1306z00_1671;

				{	/* Object/tools.scm 56 */
					obj_t BgL_arg1308z00_1672;
					obj_t BgL_arg1309z00_1673;

					{	/* Object/tools.scm 56 */
						obj_t BgL_res1681z00_1991;

						{	/* Object/tools.scm 56 */
							obj_t BgL_arg1416z00_1990;

							BgL_arg1416z00_1990 = SYMBOL_TO_STRING(BgL_idz00_5);
							BgL_res1681z00_1991 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1416z00_1990);
						}
						BgL_arg1308z00_1672 = BgL_res1681z00_1991;
					}
					{	/* Object/tools.scm 56 */
						obj_t BgL_res1682z00_1994;

						{	/* Object/tools.scm 56 */
							obj_t BgL_symbolz00_1992;

							BgL_symbolz00_1992 = CNST_TABLE_REF(((long) 2));
							{	/* Object/tools.scm 56 */
								obj_t BgL_arg1416z00_1993;

								BgL_arg1416z00_1993 = SYMBOL_TO_STRING(BgL_symbolz00_1992);
								BgL_res1682z00_1994 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1416z00_1993);
						}}
						BgL_arg1309z00_1673 = BgL_res1682z00_1994;
					}
					BgL_arg1306z00_1671 =
						string_append(BgL_arg1308z00_1672, BgL_arg1309z00_1673);
				}
				return bstring_to_symbol(BgL_arg1306z00_1671);
			}
		}
		BGL_FUNCTION_END;
	}



/* &class?-id */
	obj_t BGl_z62classzf3zd2idz43zzobject_toolsz00(obj_t BgL_envz00_2036,
		obj_t BgL_idz00_2037)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 55 */
			return BGl_classzf3zd2idz21zzobject_toolsz00(BgL_idz00_2037);
		}
		BGL_FUNCTION_END;
	}



/* class->super-id */
	BGL_EXPORTED_DEF obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t
		BgL_classz00_6, obj_t BgL_superz00_7)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 61 */
			{	/* Object/tools.scm 62 */
				obj_t BgL_list1310z00_1997;

				{	/* Object/tools.scm 62 */
					obj_t BgL_arg1312z00_1998;

					{	/* Object/tools.scm 62 */
						obj_t BgL_arg1314z00_1999;

						BgL_arg1314z00_1999 = MAKE_YOUNG_PAIR(BgL_superz00_7, BNIL);
						BgL_arg1312z00_1998 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1314z00_1999);
					}
					BgL_list1310z00_1997 =
						MAKE_YOUNG_PAIR(BgL_classz00_6, BgL_arg1312z00_1998);
				}
				return
					BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1310z00_1997);
			}
		}
		BGL_FUNCTION_END;
	}



/* &class->super-id */
	obj_t BGl_z62classzd2ze3superzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2038,
		obj_t BgL_classz00_2039, obj_t BgL_superz00_2040)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 61 */
			return
				BGl_classzd2ze3superzd2idze3zzobject_toolsz00(BgL_classz00_2039,
				BgL_superz00_2040);
		}
		BGL_FUNCTION_END;
	}



/* super->class-id */
	BGL_EXPORTED_DEF obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t
		BgL_superz00_8, obj_t BgL_classz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 67 */
			{	/* Object/tools.scm 68 */
				obj_t BgL_list1315z00_2000;

				{	/* Object/tools.scm 68 */
					obj_t BgL_arg1316z00_2001;

					{	/* Object/tools.scm 68 */
						obj_t BgL_arg1318z00_2002;

						BgL_arg1318z00_2002 = MAKE_YOUNG_PAIR(BgL_classz00_9, BNIL);
						BgL_arg1316z00_2001 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1318z00_2002);
					}
					BgL_list1315z00_2000 =
						MAKE_YOUNG_PAIR(BgL_superz00_8, BgL_arg1316z00_2001);
				}
				return
					BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1315z00_2000);
			}
		}
		BGL_FUNCTION_END;
	}



/* &super->class-id */
	obj_t BGl_z62superzd2ze3classzd2idz81zzobject_toolsz00(obj_t BgL_envz00_2041,
		obj_t BgL_superz00_2042, obj_t BgL_classz00_2043)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 67 */
			return
				BGl_superzd2ze3classzd2idze3zzobject_toolsz00(BgL_superz00_2042,
				BgL_classz00_2043);
		}
		BGL_FUNCTION_END;
	}



/* make-class-ref */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2refz00zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_10,
		BgL_slotz00_bglt BgL_slotz00_11, obj_t BgL_objz00_12)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 73 */
			{	/* Object/tools.scm 74 */
				obj_t BgL_klassz00_1680;

				BgL_klassz00_1680 =
					(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_11))->BgL_classzd2ownerzd2);
				{	/* Object/tools.scm 74 */
					obj_t BgL_wideningz00_1681;

					if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1680,
							BGl_tclassz00zzobject_classz00))
						{
							BgL_tclassz00_bglt BgL_auxz00_2147;

							{
								obj_t BgL_auxz00_2148;

								{	/* Object/tools.scm 75 */
									BgL_objectz00_bglt BgL_tmpz00_2149;

									BgL_tmpz00_2149 =
										((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_klassz00_1680));
									BgL_auxz00_2148 = BGL_OBJECT_WIDENING(BgL_tmpz00_2149);
								}
								BgL_auxz00_2147 = ((BgL_tclassz00_bglt) BgL_auxz00_2148);
							}
							BgL_wideningz00_1681 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2147))->
								BgL_wideningz00);
						}
					else
						{	/* Object/tools.scm 75 */
							BgL_wideningz00_1681 = BFALSE;
						}
					{	/* Object/tools.scm 75 */

						if (CBOOL(BgL_wideningz00_1681))
							{	/* Object/tools.scm 78 */
								obj_t BgL_arg1320z00_1682;
								obj_t BgL_arg1329z00_1683;

								{
									BgL_tclassz00_bglt BgL_auxz00_2157;

									{
										obj_t BgL_auxz00_2158;

										{	/* Object/tools.scm 78 */
											BgL_objectz00_bglt BgL_tmpz00_2159;

											BgL_tmpz00_2159 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_typez00_10));
											BgL_auxz00_2158 = BGL_OBJECT_WIDENING(BgL_tmpz00_2159);
										}
										BgL_auxz00_2157 = ((BgL_tclassz00_bglt) BgL_auxz00_2158);
									}
									BgL_arg1320z00_1682 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2157))->
										BgL_widezd2typezd2);
								}
								{	/* Object/tools.scm 78 */
									obj_t BgL_arg1330z00_1684;

									BgL_arg1330z00_1684 = MAKE_YOUNG_PAIR(BgL_objz00_12, BNIL);
									BgL_arg1329z00_1683 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
										BgL_arg1330z00_1684);
								}
								return
									BGl_makezd2directzd2refz00zzobject_toolsz00
									(BgL_arg1320z00_1682, BgL_slotz00_11, BgL_arg1329z00_1683);
							}
						else
							{	/* Object/tools.scm 76 */
								return
									BGl_makezd2directzd2refz00zzobject_toolsz00(
									((obj_t) BgL_typez00_10), BgL_slotz00_11, BgL_objz00_12);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &make-class-ref */
	obj_t BGl_z62makezd2classzd2refz62zzobject_toolsz00(obj_t BgL_envz00_2044,
		obj_t BgL_typez00_2045, obj_t BgL_slotz00_2046, obj_t BgL_objz00_2047)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 73 */
			return
				BGl_makezd2classzd2refz00zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_typez00_2045),
				((BgL_slotz00_bglt) BgL_slotz00_2046), BgL_objz00_2047);
		}
		BGL_FUNCTION_END;
	}



/* make-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_13, BgL_slotz00_bglt BgL_slotz00_14, obj_t BgL_objz00_15,
		obj_t BgL_valz00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 83 */
			{	/* Object/tools.scm 84 */
				obj_t BgL_klassz00_1686;

				BgL_klassz00_1686 =
					(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_14))->BgL_classzd2ownerzd2);
				{	/* Object/tools.scm 84 */
					obj_t BgL_wideningz00_1687;

					if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1686,
							BGl_tclassz00zzobject_classz00))
						{
							BgL_tclassz00_bglt BgL_auxz00_2177;

							{
								obj_t BgL_auxz00_2178;

								{	/* Object/tools.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_2179;

									BgL_tmpz00_2179 =
										((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_klassz00_1686));
									BgL_auxz00_2178 = BGL_OBJECT_WIDENING(BgL_tmpz00_2179);
								}
								BgL_auxz00_2177 = ((BgL_tclassz00_bglt) BgL_auxz00_2178);
							}
							BgL_wideningz00_1687 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2177))->
								BgL_wideningz00);
						}
					else
						{	/* Object/tools.scm 85 */
							BgL_wideningz00_1687 = BFALSE;
						}
					{	/* Object/tools.scm 85 */

						if (CBOOL(BgL_wideningz00_1687))
							{	/* Object/tools.scm 88 */
								obj_t BgL_arg1331z00_1688;
								obj_t BgL_arg1332z00_1689;

								{
									BgL_tclassz00_bglt BgL_auxz00_2187;

									{
										obj_t BgL_auxz00_2188;

										{	/* Object/tools.scm 88 */
											BgL_objectz00_bglt BgL_tmpz00_2189;

											BgL_tmpz00_2189 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_typez00_13));
											BgL_auxz00_2188 = BGL_OBJECT_WIDENING(BgL_tmpz00_2189);
										}
										BgL_auxz00_2187 = ((BgL_tclassz00_bglt) BgL_auxz00_2188);
									}
									BgL_arg1331z00_1688 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2187))->
										BgL_widezd2typezd2);
								}
								{	/* Object/tools.scm 88 */
									obj_t BgL_arg1333z00_1690;

									BgL_arg1333z00_1690 = MAKE_YOUNG_PAIR(BgL_objz00_15, BNIL);
									BgL_arg1332z00_1689 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
										BgL_arg1333z00_1690);
								}
								return
									BGl_makezd2directzd2setz12z12zzobject_toolsz00(
									((BgL_typez00_bglt) BgL_arg1331z00_1688), BgL_slotz00_14,
									BgL_arg1332z00_1689, BgL_valz00_16);
							}
						else
							{	/* Object/tools.scm 86 */
								return
									BGl_makezd2directzd2setz12z12zzobject_toolsz00(BgL_typez00_13,
									BgL_slotz00_14, BgL_objz00_15, BgL_valz00_16);
							}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &make-class-set! */
	obj_t BGl_z62makezd2classzd2setz12z70zzobject_toolsz00(obj_t BgL_envz00_2048,
		obj_t BgL_typez00_2049, obj_t BgL_slotz00_2050, obj_t BgL_objz00_2051,
		obj_t BgL_valz00_2052)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 83 */
			return
				BGl_makezd2classzd2setz12z12zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_typez00_2049),
				((BgL_slotz00_bglt) BgL_slotz00_2050), BgL_objz00_2051,
				BgL_valz00_2052);
		}
		BGL_FUNCTION_END;
	}



/* make-direct-ref */
	obj_t BGl_makezd2directzd2refz00zzobject_toolsz00(obj_t BgL_typez00_17,
		BgL_slotz00_bglt BgL_slotz00_18, obj_t BgL_objz00_19)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 93 */
			{	/* Object/tools.scm 94 */
				obj_t BgL_fnamez00_1692;

				BgL_fnamez00_1692 =
					(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_18))->BgL_namez00);
				{	/* Object/tools.scm 94 */
					obj_t BgL_tnamez00_1693;

					BgL_tnamez00_1693 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_typez00_17)))->BgL_namez00);
					{	/* Object/tools.scm 95 */
						obj_t BgL_fmtz00_1694;

						{	/* Object/tools.scm 96 */
							obj_t BgL_list1377z00_1702;

							{	/* Object/tools.scm 96 */
								obj_t BgL_arg1381z00_1703;

								BgL_arg1381z00_1703 = MAKE_YOUNG_PAIR(BgL_fnamez00_1692, BNIL);
								BgL_list1377z00_1702 =
									MAKE_YOUNG_PAIR(BgL_tnamez00_1693, BgL_arg1381z00_1703);
							}
							BgL_fmtz00_1694 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1687z00zzobject_toolsz00, BgL_list1377z00_1702);
						}
						{	/* Object/tools.scm 96 */

							{	/* Object/tools.scm 98 */
								obj_t BgL_arg1335z00_1695;
								obj_t BgL_arg1343z00_1696;

								BgL_arg1335z00_1695 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt)
												(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_18))->
													BgL_typez00))))->BgL_idz00);
								BgL_arg1343z00_1696 =
									(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
												BgL_typez00_17)))->BgL_idz00);
								{	/* Object/tools.scm 97 */
									obj_t BgL_list1344z00_1697;

									{	/* Object/tools.scm 97 */
										obj_t BgL_arg1356z00_1698;

										{	/* Object/tools.scm 97 */
											obj_t BgL_arg1366z00_1699;

											{	/* Object/tools.scm 97 */
												obj_t BgL_arg1367z00_1700;

												BgL_arg1367z00_1700 =
													MAKE_YOUNG_PAIR(BgL_objz00_19, BNIL);
												BgL_arg1366z00_1699 =
													MAKE_YOUNG_PAIR(BgL_fmtz00_1694, BgL_arg1367z00_1700);
											}
											BgL_arg1356z00_1698 =
												MAKE_YOUNG_PAIR(BgL_fnamez00_1692, BgL_arg1366z00_1699);
										}
										BgL_list1344z00_1697 =
											MAKE_YOUNG_PAIR(BgL_arg1343z00_1696, BgL_arg1356z00_1698);
									}
									return
										BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF(
											((long) 5)), BgL_arg1335z00_1695, BgL_list1344z00_1697);
		}}}}}}}
		BGL_FUNCTION_END;
	}



/* make-direct-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2directzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt
		BgL_typez00_20, BgL_slotz00_bglt BgL_slotz00_21, obj_t BgL_objz00_22,
		obj_t BgL_valz00_23)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 107 */
			{	/* Object/tools.scm 108 */
				obj_t BgL_fnamez00_1704;

				BgL_fnamez00_1704 =
					(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_21))->BgL_namez00);
				{	/* Object/tools.scm 108 */
					obj_t BgL_tnamez00_1705;

					BgL_tnamez00_1705 =
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_20))->BgL_namez00);
					{	/* Object/tools.scm 109 */
						obj_t BgL_fmtz00_1706;

						{	/* Object/tools.scm 111 */
							obj_t BgL_arg1415z00_1716;

							BgL_arg1415z00_1716 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt)
											(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_21))->
												BgL_typez00))))->BgL_namez00);
							{	/* Object/tools.scm 110 */
								obj_t BgL_list1416z00_1717;

								{	/* Object/tools.scm 110 */
									obj_t BgL_arg1423z00_1718;

									{	/* Object/tools.scm 110 */
										obj_t BgL_arg1433z00_1719;

										BgL_arg1433z00_1719 =
											MAKE_YOUNG_PAIR(BgL_arg1415z00_1716, BNIL);
										BgL_arg1423z00_1718 =
											MAKE_YOUNG_PAIR(BgL_fnamez00_1704, BgL_arg1433z00_1719);
									}
									BgL_list1416z00_1717 =
										MAKE_YOUNG_PAIR(BgL_tnamez00_1705, BgL_arg1423z00_1718);
								}
								BgL_fmtz00_1706 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string1688z00zzobject_toolsz00, BgL_list1416z00_1717);
						}}
						{	/* Object/tools.scm 110 */

							{	/* Object/tools.scm 113 */
								obj_t BgL_arg1382z00_1707;
								obj_t BgL_arg1390z00_1708;
								obj_t BgL_arg1391z00_1709;

								BgL_arg1382z00_1707 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt)
												(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_21))->
													BgL_typez00))))->BgL_idz00);
								BgL_arg1390z00_1708 =
									(((BgL_typez00_bglt) COBJECT(BgL_typez00_20))->BgL_idz00);
								BgL_arg1391z00_1709 =
									(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_21))->BgL_namez00);
								{	/* Object/tools.scm 112 */
									obj_t BgL_list1392z00_1710;

									{	/* Object/tools.scm 112 */
										obj_t BgL_arg1397z00_1711;

										{	/* Object/tools.scm 112 */
											obj_t BgL_arg1398z00_1712;

											{	/* Object/tools.scm 112 */
												obj_t BgL_arg1411z00_1713;

												{	/* Object/tools.scm 112 */
													obj_t BgL_arg1412z00_1714;

													BgL_arg1412z00_1714 =
														MAKE_YOUNG_PAIR(BgL_valz00_23, BNIL);
													BgL_arg1411z00_1713 =
														MAKE_YOUNG_PAIR(BgL_objz00_22, BgL_arg1412z00_1714);
												}
												BgL_arg1398z00_1712 =
													MAKE_YOUNG_PAIR(BgL_fmtz00_1706, BgL_arg1411z00_1713);
											}
											BgL_arg1397z00_1711 =
												MAKE_YOUNG_PAIR(BgL_arg1391z00_1709,
												BgL_arg1398z00_1712);
										}
										BgL_list1392z00_1710 =
											MAKE_YOUNG_PAIR(BgL_arg1390z00_1708, BgL_arg1397z00_1711);
									}
									return
										BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF(
											((long) 6)), BgL_arg1382z00_1707, BgL_list1392z00_1710);
		}}}}}}}
		BGL_FUNCTION_END;
	}



/* &make-direct-set! */
	obj_t BGl_z62makezd2directzd2setz12z70zzobject_toolsz00(obj_t BgL_envz00_2053,
		obj_t BgL_typez00_2054, obj_t BgL_slotz00_2055, obj_t BgL_objz00_2056,
		obj_t BgL_valz00_2057)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 107 */
			return
				BGl_makezd2directzd2setz12z12zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_typez00_2054),
				((BgL_slotz00_bglt) BgL_slotz00_2055), BgL_objz00_2056,
				BgL_valz00_2057);
		}
		BGL_FUNCTION_END;
	}



/* find-class-slot */
	BGL_EXPORTED_DEF obj_t
		BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt
		BgL_klassz00_24, obj_t BgL_idz00_25)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 122 */
		BGl_findzd2classzd2slotz00zzobject_toolsz00:
			{	/* Object/tools.scm 123 */
				obj_t BgL_g1107z00_1721;

				{
					BgL_tclassz00_bglt BgL_auxz00_2245;

					{
						obj_t BgL_auxz00_2246;

						{	/* Object/tools.scm 123 */
							BgL_objectz00_bglt BgL_tmpz00_2247;

							BgL_tmpz00_2247 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_klassz00_24));
							BgL_auxz00_2246 = BGL_OBJECT_WIDENING(BgL_tmpz00_2247);
						}
						BgL_auxz00_2245 = ((BgL_tclassz00_bglt) BgL_auxz00_2246);
					}
					BgL_g1107z00_1721 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2245))->BgL_slotsz00);
				}
				{
					obj_t BgL_slotsz00_1723;

					BgL_slotsz00_1723 = BgL_g1107z00_1721;
				BgL_zc3anonymousza31446ze3z83_1724:
					if (NULLP(BgL_slotsz00_1723))
						{	/* Object/tools.scm 126 */
							bool_t BgL_testz00_2255;

							{	/* Object/tools.scm 126 */
								obj_t BgL_tmpz00_2256;

								{
									BgL_tclassz00_bglt BgL_auxz00_2257;

									{
										obj_t BgL_auxz00_2258;

										{	/* Object/tools.scm 126 */
											BgL_objectz00_bglt BgL_tmpz00_2259;

											BgL_tmpz00_2259 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_klassz00_24));
											BgL_auxz00_2258 = BGL_OBJECT_WIDENING(BgL_tmpz00_2259);
										}
										BgL_auxz00_2257 = ((BgL_tclassz00_bglt) BgL_auxz00_2258);
									}
									BgL_tmpz00_2256 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2257))->
										BgL_wideningz00);
								}
								BgL_testz00_2255 = CBOOL(BgL_tmpz00_2256);
							}
							if (BgL_testz00_2255)
								{	/* Object/tools.scm 127 */
									obj_t BgL_arg1457z00_1727;

									{
										BgL_tclassz00_bglt BgL_auxz00_2266;

										{
											obj_t BgL_auxz00_2267;

											{	/* Object/tools.scm 127 */
												BgL_objectz00_bglt BgL_tmpz00_2268;

												BgL_tmpz00_2268 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_klassz00_24));
												BgL_auxz00_2267 = BGL_OBJECT_WIDENING(BgL_tmpz00_2268);
											}
											BgL_auxz00_2266 = ((BgL_tclassz00_bglt) BgL_auxz00_2267);
										}
										BgL_arg1457z00_1727 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2266))->
											BgL_itszd2superzd2);
									}
									{
										BgL_typez00_bglt BgL_klassz00_2274;

										BgL_klassz00_2274 =
											((BgL_typez00_bglt) BgL_arg1457z00_1727);
										BgL_klassz00_24 = BgL_klassz00_2274;
										goto BGl_findzd2classzd2slotz00zzobject_toolsz00;
									}
								}
							else
								{	/* Object/tools.scm 126 */
									return BFALSE;
								}
						}
					else
						{	/* Object/tools.scm 125 */
							if (
								((((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1723)))))->BgL_idz00) ==
									BgL_idz00_25))
								{	/* Object/tools.scm 128 */
									return CAR(((obj_t) BgL_slotsz00_1723));
								}
							else
								{	/* Object/tools.scm 131 */
									obj_t BgL_arg1479z00_1731;

									BgL_arg1479z00_1731 = CDR(((obj_t) BgL_slotsz00_1723));
									{
										obj_t BgL_slotsz00_2286;

										BgL_slotsz00_2286 = BgL_arg1479z00_1731;
										BgL_slotsz00_1723 = BgL_slotsz00_2286;
										goto BgL_zc3anonymousza31446ze3z83_1724;
									}
								}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &find-class-slot */
	obj_t BGl_z62findzd2classzd2slotz62zzobject_toolsz00(obj_t BgL_envz00_2058,
		obj_t BgL_klassz00_2059, obj_t BgL_idz00_2060)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 122 */
			return
				BGl_findzd2classzd2slotz00zzobject_toolsz00(
				((BgL_typez00_bglt) BgL_klassz00_2059), BgL_idz00_2060);
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_toolsz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_toolsz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_toolsz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Object/tools.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 173709144),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1689z00zzobject_toolsz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
