/*===========================================================================*/
/*   (Unsafe/uuid.scm)                                                       */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:26:26 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3e/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3e/lib/bigloo/4.3e -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/uuid.scm -o objs/obj_p/Unsafe/uuid.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__uuidz00 = BUNSPEC;
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_genericzd2initzd2zz__uuidz00();
static obj_t BGl_objectzd2initzd2zz__uuidz00();
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__uuidz00();
extern long bgl_current_seconds();
static long BGl_bitzd2fieldze70z35zz__uuidz00(long, long, long);
BGL_EXPORTED_DECL obj_t BGl_genuuidz00zz__uuidz00();
extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_list1730z00zz__uuidz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__uuidz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__uuidz00();
static obj_t BGl_vector1729z00zz__uuidz00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__uuidz00();
static obj_t BGl_profzd2initzd2zz__uuidz00();
extern obj_t make_string_sans_fill(long);
static obj_t BGl_z62genuuidz62zz__uuidz00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_genuuidzd2envzd2zz__uuidz00, BgL_bgl_za762genuuidza762za7za7_1731z00, BGl_z62genuuidz62zz__uuidz00, 0L, BUNSPEC, 0 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__uuidz00) );
ADD_ROOT( (void *)(&BGl_list1730z00zz__uuidz00) );
ADD_ROOT( (void *)(&BGl_vector1729z00zz__uuidz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__uuidz00\")\n", (FILE *)bprof_port );
      fputs( "((\"genuuid\" \"Unsafe/uuid.scm\" 3516) \"BGl_genuuidz00zz__uuidz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bit-field~0\" \"Unsafe/uuid.scm\" 3713) \"BGl_bitzd2fieldze70z35zz__uuidz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&genuuid\" \"Unsafe/uuid.scm\" 3516) \"BGl_z62genuuidz62zz__uuidz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__uuidz00(long BgL_checksumz00_2148, char * BgL_fromz00_2149)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__uuidz00))
{ 
BGl_requirezd2initializa7ationz75zz__uuidz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__uuidz00(); 
BGl_cnstzd2initzd2zz__uuidz00(); 
return 
BGl_profzd2initzd2zz__uuidz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__uuidz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 15 */
BGl_list1730z00zz__uuidz00 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'0')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'1')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'2')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'3')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'4')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'5')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'6')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'7')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'8')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'9')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'a')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'b')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'c')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'d')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'e')), 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)'f')), BNIL)))))))))))))))); 
return ( 
BGl_vector1729z00zz__uuidz00 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BGl_list1730z00zz__uuidz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__uuidz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__uuidz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* genuuid */
BGL_EXPORTED_DEF obj_t BGl_genuuidz00zz__uuidz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 83 */
{ /* Unsafe/uuid.scm 86 */
obj_t BgL_hexz00_1159;
BgL_hexz00_1159 = BGl_vector1729z00zz__uuidz00; 
{ /* Unsafe/uuid.scm 91 */
long BgL_n1z00_1161;long BgL_n2z00_1162;long BgL_n3z00_1163;long BgL_n4z00_1164;long BgL_n5z00_1165;long BgL_n6z00_1166;long BgL_n7z00_1167;long BgL_n8z00_1168;
{ /* Unsafe/uuid.scm 91 */
long BgL_arg1252z00_1234;long BgL_arg1253z00_1235;
{ /* Unsafe/uuid.scm 91 */
long BgL_arg1254z00_1236;
BgL_arg1254z00_1236 = 
bgl_current_seconds(); 
{ /* Unsafe/uuid.scm 91 */
long BgL_res1652z00_1688;
BgL_res1652z00_1688 = 
(long)(BgL_arg1254z00_1236); 
BgL_arg1252z00_1234 = BgL_res1652z00_1688; } } 
{ /* Unsafe/uuid.scm 91 */
long BgL_res1654z00_1692;
{ /* Unsafe/uuid.scm 91 */
int BgL_arg1495z00_1690;
BgL_arg1495z00_1690 = 
rand(); 
BgL_res1654z00_1692 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1690), ((long)65536)); } 
BgL_arg1253z00_1235 = BgL_res1654z00_1692; } 
BgL_n1z00_1161 = 
(BgL_arg1252z00_1234 ^ BgL_arg1253z00_1235); } 
{ /* Unsafe/uuid.scm 92 */
long BgL_res1657z00_1699;
{ /* Unsafe/uuid.scm 92 */
int BgL_arg1495z00_1697;
BgL_arg1495z00_1697 = 
rand(); 
BgL_res1657z00_1699 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1697), ((long)65536)); } 
BgL_n2z00_1162 = BgL_res1657z00_1699; } 
{ /* Unsafe/uuid.scm 93 */
long BgL_res1659z00_1703;
{ /* Unsafe/uuid.scm 93 */
int BgL_arg1495z00_1701;
BgL_arg1495z00_1701 = 
rand(); 
BgL_res1659z00_1703 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1701), ((long)65536)); } 
BgL_n3z00_1163 = BgL_res1659z00_1703; } 
{ /* Unsafe/uuid.scm 94 */
long BgL_res1661z00_1707;
{ /* Unsafe/uuid.scm 94 */
int BgL_arg1495z00_1705;
BgL_arg1495z00_1705 = 
rand(); 
BgL_res1661z00_1707 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1705), ((long)65536)); } 
BgL_n4z00_1164 = BgL_res1661z00_1707; } 
{ /* Unsafe/uuid.scm 95 */
long BgL_res1663z00_1711;
{ /* Unsafe/uuid.scm 95 */
int BgL_arg1495z00_1709;
BgL_arg1495z00_1709 = 
rand(); 
BgL_res1663z00_1711 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1709), ((long)65536)); } 
BgL_n5z00_1165 = BgL_res1663z00_1711; } 
{ /* Unsafe/uuid.scm 96 */
long BgL_res1665z00_1715;
{ /* Unsafe/uuid.scm 96 */
int BgL_arg1495z00_1713;
BgL_arg1495z00_1713 = 
rand(); 
BgL_res1665z00_1715 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1713), ((long)65536)); } 
BgL_n6z00_1166 = BgL_res1665z00_1715; } 
{ /* Unsafe/uuid.scm 97 */
long BgL_res1667z00_1719;
{ /* Unsafe/uuid.scm 97 */
int BgL_arg1495z00_1717;
BgL_arg1495z00_1717 = 
rand(); 
BgL_res1667z00_1719 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1717), ((long)65536)); } 
BgL_n7z00_1167 = BgL_res1667z00_1719; } 
{ /* Unsafe/uuid.scm 98 */
long BgL_res1669z00_1723;
{ /* Unsafe/uuid.scm 98 */
int BgL_arg1495z00_1721;
BgL_arg1495z00_1721 = 
rand(); 
BgL_res1669z00_1723 = 
BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1495z00_1721), ((long)65536)); } 
BgL_n8z00_1168 = BgL_res1669z00_1723; } 
{ /* Unsafe/uuid.scm 99 */
obj_t BgL_g1038z00_1169;
BgL_g1038z00_1169 = 
make_string_sans_fill(((long)36)); 
{ /* Unsafe/uuid.scm 101 */
unsigned char BgL_arg1153z00_1170;
{ /* Unsafe/uuid.scm 101 */
long BgL_arg1156z00_1171;
BgL_arg1156z00_1171 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)12), BgL_n1z00_1161); 
BgL_arg1153z00_1170 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1156z00_1171)); } 
STRING_SET(BgL_g1038z00_1169, ((long)0), BgL_arg1153z00_1170); } 
{ /* Unsafe/uuid.scm 102 */
unsigned char BgL_arg1158z00_1172;
{ /* Unsafe/uuid.scm 102 */
long BgL_arg1159z00_1173;
BgL_arg1159z00_1173 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n1z00_1161); 
BgL_arg1158z00_1172 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1159z00_1173)); } 
STRING_SET(BgL_g1038z00_1169, ((long)1), BgL_arg1158z00_1172); } 
{ /* Unsafe/uuid.scm 103 */
unsigned char BgL_arg1160z00_1174;
{ /* Unsafe/uuid.scm 103 */
long BgL_arg1161z00_1175;
BgL_arg1161z00_1175 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n1z00_1161); 
BgL_arg1160z00_1174 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1161z00_1175)); } 
STRING_SET(BgL_g1038z00_1169, ((long)2), BgL_arg1160z00_1174); } 
{ /* Unsafe/uuid.scm 104 */
unsigned char BgL_arg1162z00_1176;
{ /* Unsafe/uuid.scm 104 */
long BgL_arg1163z00_1177;
BgL_arg1163z00_1177 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n1z00_1161); 
BgL_arg1162z00_1176 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1163z00_1177)); } 
STRING_SET(BgL_g1038z00_1169, ((long)3), BgL_arg1162z00_1176); } 
{ /* Unsafe/uuid.scm 105 */
unsigned char BgL_arg1164z00_1178;
{ /* Unsafe/uuid.scm 105 */
long BgL_arg1165z00_1179;
BgL_arg1165z00_1179 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)12), BgL_n2z00_1162); 
BgL_arg1164z00_1178 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1165z00_1179)); } 
STRING_SET(BgL_g1038z00_1169, ((long)4), BgL_arg1164z00_1178); } 
{ /* Unsafe/uuid.scm 106 */
unsigned char BgL_arg1167z00_1180;
{ /* Unsafe/uuid.scm 106 */
long BgL_arg1171z00_1181;
BgL_arg1171z00_1181 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n2z00_1162); 
BgL_arg1167z00_1180 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1171z00_1181)); } 
STRING_SET(BgL_g1038z00_1169, ((long)5), BgL_arg1167z00_1180); } 
{ /* Unsafe/uuid.scm 107 */
unsigned char BgL_arg1172z00_1182;
{ /* Unsafe/uuid.scm 107 */
long BgL_arg1173z00_1183;
BgL_arg1173z00_1183 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n2z00_1162); 
BgL_arg1172z00_1182 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1173z00_1183)); } 
STRING_SET(BgL_g1038z00_1169, ((long)6), BgL_arg1172z00_1182); } 
{ /* Unsafe/uuid.scm 108 */
unsigned char BgL_arg1174z00_1184;
{ /* Unsafe/uuid.scm 108 */
long BgL_arg1176z00_1185;
BgL_arg1176z00_1185 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n2z00_1162); 
BgL_arg1174z00_1184 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1176z00_1185)); } 
STRING_SET(BgL_g1038z00_1169, ((long)7), BgL_arg1174z00_1184); } 
STRING_SET(BgL_g1038z00_1169, ((long)8), ((unsigned char)'-')); 
{ /* Unsafe/uuid.scm 111 */
unsigned char BgL_arg1177z00_1186;
{ /* Unsafe/uuid.scm 111 */
long BgL_arg1178z00_1187;
BgL_arg1178z00_1187 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)12), BgL_n3z00_1163); 
BgL_arg1177z00_1186 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1178z00_1187)); } 
STRING_SET(BgL_g1038z00_1169, ((long)9), BgL_arg1177z00_1186); } 
{ /* Unsafe/uuid.scm 112 */
unsigned char BgL_arg1179z00_1188;
{ /* Unsafe/uuid.scm 112 */
long BgL_arg1180z00_1189;
BgL_arg1180z00_1189 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n3z00_1163); 
BgL_arg1179z00_1188 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1180z00_1189)); } 
STRING_SET(BgL_g1038z00_1169, ((long)10), BgL_arg1179z00_1188); } 
{ /* Unsafe/uuid.scm 113 */
unsigned char BgL_arg1181z00_1190;
{ /* Unsafe/uuid.scm 113 */
long BgL_arg1182z00_1191;
BgL_arg1182z00_1191 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n3z00_1163); 
BgL_arg1181z00_1190 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1182z00_1191)); } 
STRING_SET(BgL_g1038z00_1169, ((long)11), BgL_arg1181z00_1190); } 
{ /* Unsafe/uuid.scm 114 */
unsigned char BgL_arg1183z00_1192;
{ /* Unsafe/uuid.scm 114 */
long BgL_arg1184z00_1193;
BgL_arg1184z00_1193 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n3z00_1163); 
BgL_arg1183z00_1192 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1184z00_1193)); } 
STRING_SET(BgL_g1038z00_1169, ((long)12), BgL_arg1183z00_1192); } 
STRING_SET(BgL_g1038z00_1169, ((long)13), ((unsigned char)'-')); 
{ /* Unsafe/uuid.scm 99 */
unsigned char BgL_tmpz00_2269;
BgL_tmpz00_2269 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,((long)4))); 
STRING_SET(BgL_g1038z00_1169, ((long)14), BgL_tmpz00_2269); } 
{ /* Unsafe/uuid.scm 118 */
unsigned char BgL_arg1186z00_1195;
{ /* Unsafe/uuid.scm 118 */
long BgL_arg1187z00_1196;
BgL_arg1187z00_1196 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n4z00_1164); 
BgL_arg1186z00_1195 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1187z00_1196)); } 
STRING_SET(BgL_g1038z00_1169, ((long)15), BgL_arg1186z00_1195); } 
{ /* Unsafe/uuid.scm 119 */
unsigned char BgL_arg1188z00_1197;
{ /* Unsafe/uuid.scm 119 */
long BgL_arg1189z00_1198;
BgL_arg1189z00_1198 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n4z00_1164); 
BgL_arg1188z00_1197 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1189z00_1198)); } 
STRING_SET(BgL_g1038z00_1169, ((long)16), BgL_arg1188z00_1197); } 
{ /* Unsafe/uuid.scm 120 */
unsigned char BgL_arg1191z00_1199;
{ /* Unsafe/uuid.scm 120 */
long BgL_arg1192z00_1200;
BgL_arg1192z00_1200 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n4z00_1164); 
BgL_arg1191z00_1199 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1192z00_1200)); } 
STRING_SET(BgL_g1038z00_1169, ((long)17), BgL_arg1191z00_1199); } 
STRING_SET(BgL_g1038z00_1169, ((long)18), ((unsigned char)'-')); 
{ /* Unsafe/uuid.scm 123 */
unsigned char BgL_arg1193z00_1201;
{ /* Unsafe/uuid.scm 123 */
long BgL_arg1194z00_1202;
BgL_arg1194z00_1202 = 
(
BGl_bitzd2fieldze70z35zz__uuidz00(((long)2), ((long)12), BgL_n5z00_1165) | ((long)8)); 
BgL_arg1193z00_1201 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1194z00_1202)); } 
STRING_SET(BgL_g1038z00_1169, ((long)19), BgL_arg1193z00_1201); } 
{ /* Unsafe/uuid.scm 124 */
unsigned char BgL_arg1199z00_1204;
{ /* Unsafe/uuid.scm 124 */
long BgL_arg1200z00_1205;
BgL_arg1200z00_1205 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n5z00_1165); 
BgL_arg1199z00_1204 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1200z00_1205)); } 
STRING_SET(BgL_g1038z00_1169, ((long)20), BgL_arg1199z00_1204); } 
{ /* Unsafe/uuid.scm 126 */
unsigned char BgL_arg1205z00_1206;
{ /* Unsafe/uuid.scm 126 */
long BgL_arg1206z00_1207;
BgL_arg1206z00_1207 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n5z00_1165); 
BgL_arg1205z00_1206 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1206z00_1207)); } 
STRING_SET(BgL_g1038z00_1169, ((long)21), BgL_arg1205z00_1206); } 
{ /* Unsafe/uuid.scm 127 */
unsigned char BgL_arg1207z00_1208;
{ /* Unsafe/uuid.scm 127 */
long BgL_arg1208z00_1209;
BgL_arg1208z00_1209 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n5z00_1165); 
BgL_arg1207z00_1208 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1208z00_1209)); } 
STRING_SET(BgL_g1038z00_1169, ((long)22), BgL_arg1207z00_1208); } 
STRING_SET(BgL_g1038z00_1169, ((long)23), ((unsigned char)'-')); 
{ /* Unsafe/uuid.scm 130 */
unsigned char BgL_arg1213z00_1210;
{ /* Unsafe/uuid.scm 130 */
long BgL_arg1215z00_1211;
BgL_arg1215z00_1211 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)12), BgL_n6z00_1166); 
BgL_arg1213z00_1210 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1215z00_1211)); } 
STRING_SET(BgL_g1038z00_1169, ((long)24), BgL_arg1213z00_1210); } 
{ /* Unsafe/uuid.scm 131 */
unsigned char BgL_arg1216z00_1212;
{ /* Unsafe/uuid.scm 131 */
long BgL_arg1217z00_1213;
BgL_arg1217z00_1213 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n6z00_1166); 
BgL_arg1216z00_1212 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1217z00_1213)); } 
STRING_SET(BgL_g1038z00_1169, ((long)25), BgL_arg1216z00_1212); } 
{ /* Unsafe/uuid.scm 132 */
unsigned char BgL_arg1219z00_1214;
{ /* Unsafe/uuid.scm 132 */
long BgL_arg1220z00_1215;
BgL_arg1220z00_1215 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n6z00_1166); 
BgL_arg1219z00_1214 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1220z00_1215)); } 
STRING_SET(BgL_g1038z00_1169, ((long)26), BgL_arg1219z00_1214); } 
{ /* Unsafe/uuid.scm 133 */
unsigned char BgL_arg1221z00_1216;
{ /* Unsafe/uuid.scm 133 */
long BgL_arg1222z00_1217;
BgL_arg1222z00_1217 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n6z00_1166); 
BgL_arg1221z00_1216 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1222z00_1217)); } 
STRING_SET(BgL_g1038z00_1169, ((long)27), BgL_arg1221z00_1216); } 
{ /* Unsafe/uuid.scm 134 */
unsigned char BgL_arg1223z00_1218;
{ /* Unsafe/uuid.scm 134 */
long BgL_arg1224z00_1219;
BgL_arg1224z00_1219 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)12), BgL_n7z00_1167); 
BgL_arg1223z00_1218 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1224z00_1219)); } 
STRING_SET(BgL_g1038z00_1169, ((long)28), BgL_arg1223z00_1218); } 
{ /* Unsafe/uuid.scm 135 */
unsigned char BgL_arg1225z00_1220;
{ /* Unsafe/uuid.scm 135 */
long BgL_arg1226z00_1221;
BgL_arg1226z00_1221 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n7z00_1167); 
BgL_arg1225z00_1220 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1226z00_1221)); } 
STRING_SET(BgL_g1038z00_1169, ((long)29), BgL_arg1225z00_1220); } 
{ /* Unsafe/uuid.scm 136 */
unsigned char BgL_arg1230z00_1222;
{ /* Unsafe/uuid.scm 136 */
long BgL_arg1232z00_1223;
BgL_arg1232z00_1223 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n7z00_1167); 
BgL_arg1230z00_1222 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1232z00_1223)); } 
STRING_SET(BgL_g1038z00_1169, ((long)30), BgL_arg1230z00_1222); } 
{ /* Unsafe/uuid.scm 137 */
unsigned char BgL_arg1233z00_1224;
{ /* Unsafe/uuid.scm 137 */
long BgL_arg1234z00_1225;
BgL_arg1234z00_1225 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n7z00_1167); 
BgL_arg1233z00_1224 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1234z00_1225)); } 
STRING_SET(BgL_g1038z00_1169, ((long)31), BgL_arg1233z00_1224); } 
{ /* Unsafe/uuid.scm 138 */
unsigned char BgL_arg1236z00_1226;
{ /* Unsafe/uuid.scm 138 */
long BgL_arg1237z00_1227;
BgL_arg1237z00_1227 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)12), BgL_n8z00_1168); 
BgL_arg1236z00_1226 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1237z00_1227)); } 
STRING_SET(BgL_g1038z00_1169, ((long)32), BgL_arg1236z00_1226); } 
{ /* Unsafe/uuid.scm 139 */
unsigned char BgL_arg1238z00_1228;
{ /* Unsafe/uuid.scm 139 */
long BgL_arg1241z00_1229;
BgL_arg1241z00_1229 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)8), BgL_n8z00_1168); 
BgL_arg1238z00_1228 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1241z00_1229)); } 
STRING_SET(BgL_g1038z00_1169, ((long)33), BgL_arg1238z00_1228); } 
{ /* Unsafe/uuid.scm 140 */
unsigned char BgL_arg1243z00_1230;
{ /* Unsafe/uuid.scm 140 */
long BgL_arg1244z00_1231;
BgL_arg1244z00_1231 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)4), BgL_n8z00_1168); 
BgL_arg1243z00_1230 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1244z00_1231)); } 
STRING_SET(BgL_g1038z00_1169, ((long)34), BgL_arg1243z00_1230); } 
{ /* Unsafe/uuid.scm 141 */
unsigned char BgL_arg1247z00_1232;
{ /* Unsafe/uuid.scm 141 */
long BgL_arg1250z00_1233;
BgL_arg1250z00_1233 = 
BGl_bitzd2fieldze70z35zz__uuidz00(((long)4), ((long)0), BgL_n8z00_1168); 
BgL_arg1247z00_1232 = 
CCHAR(
VECTOR_REF(BgL_hexz00_1159,BgL_arg1250z00_1233)); } 
STRING_SET(BgL_g1038z00_1169, ((long)35), BgL_arg1247z00_1232); } 
return BgL_g1038z00_1169;} } } } 
BGL_FUNCTION_END;
}



/* bit-field~0 */
long BGl_bitzd2fieldze70z35zz__uuidz00(long BgL_bbz00_1237, long BgL_bez00_1238, long BgL_nz00_1239)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 89 */
return 
(
(BgL_nz00_1239 >> 
(int)(BgL_bez00_1238)) & 
(long)CINT(
BGl_2zd2zd2zz__r4_numbers_6_5z00(
BINT(
(((long)1) << 
(int)(BgL_bbz00_1237))), 
BINT(((long)1)))));} 
BGL_FUNCTION_END;
}



/* &genuuid */
obj_t BGl_z62genuuidz62zz__uuidz00(obj_t BgL_envz00_2146)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 83 */
return 
BGl_genuuidz00zz__uuidz00();} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__uuidz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__uuidz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__uuidz00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/uuid.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
