/*===========================================================================*/
/*   (Llib/bexit.scm)                                                        */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Llib/bexit.scm -indent -o objs/obj_u/Llib/bexit.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__bexitz00 = BUNSPEC;
	static obj_t BGl_z62valzd2fromzd2exitzf3z91zz__bexitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_failsafe_mutex_profile();
	BGL_EXPORTED_DECL obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_exitdzd2execzd2protectz00zz__bexitz00(obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62defaultzd2uncaughtzd2exceptionzd2handlerzb0zz__bexitz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__bexitz00();
	static obj_t BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__bexitz00();
	static obj_t BGl_z62unwindzd2stackzd2valuezf3z91zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62unwindzd2untilz12za2zz__bexitz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__bexitz00();
	static obj_t BGl_z62exitdzd2popzd2protectz12z70zz__bexitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t unwind_stack_value_p(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_uncaught_exception_handler(obj_t);
	static obj_t BGl_z62z42failsafezd2mutexzd2profilez20zz__bexitz00(obj_t);
	extern obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__bexitz00();
	static obj_t BGl_gczd2rootszd2initz00zz__bexitz00();
	extern obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	BGL_EXPORTED_DECL obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	static obj_t BGl_z62z42exitdzd2mutexzd2profilez20zz__bexitz00(obj_t);
	static obj_t BGl_z62unwindzd2stackzd2untilz12z70zz__bexitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62exitdzd2pushzd2protectz12z70zz__bexitz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t bgl_exitd_mutex_profile();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unwindzd2stackzd2untilz12zd2envzc0zz__bexitz00,
		BgL_bgl_za762unwindza7d2stac1594z00,
		BGl_z62unwindzd2stackzd2untilz12z70zz__bexitz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1591z00zz__bexitz00,
		BgL_bgl_string1591za700za7za7_1595za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1592z00zz__bexitz00,
		BgL_bgl_string1592za700za7za7_1596za7, "exit out of dynamic scope", 25);
	      DEFINE_STRING(BGl_string1593z00zz__bexitz00,
		BgL_bgl_string1593za700za7za7_1597za7, "__bexit", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_exitdzd2pushzd2protectz12zd2envzc0zz__bexitz00,
		BgL_bgl_za762exitdza7d2pushza71598za7,
		BGl_z62exitdzd2pushzd2protectz12z70zz__bexitz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unwindzd2untilz12zd2envz12zz__bexitz00,
		BgL_bgl_za762unwindza7d2unti1599z00,
		BGl_z62unwindzd2untilz12za2zz__bexitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valzd2fromzd2exitzf3zd2envz21zz__bexitz00,
		BgL_bgl_za762valza7d2fromza7d21600za7,
		BGl_z62valzd2fromzd2exitzf3z91zz__bexitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unwindzd2stackzd2valuezf3zd2envz21zz__bexitz00,
		BgL_bgl_za762unwindza7d2stac1601z00,
		BGl_z62unwindzd2stackzd2valuezf3z91zz__bexitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defaultzd2uncaughtzd2exceptionzd2handlerzd2envz00zz__bexitz00,
		BgL_bgl_za762defaultza7d2unc1602z00,
		BGl_z62defaultzd2uncaughtzd2exceptionzd2handlerzb0zz__bexitz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42failsafezd2mutexzd2profilezd2envz90zz__bexitz00,
		BgL_bgl_za762za742failsafeza7d1603za7,
		BGl_z62z42failsafezd2mutexzd2profilez20zz__bexitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42exitdzd2mutexzd2profilezd2envz90zz__bexitz00,
		BgL_bgl_za762za742exitdza7d2mu1604za7,
		BGl_z62z42exitdzd2mutexzd2profilez20zz__bexitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_exitdzd2popzd2protectz12zd2envzc0zz__bexitz00,
		BgL_bgl_za762exitdza7d2popza7d1605za7,
		BGl_z62exitdzd2popzd2protectz12z70zz__bexitz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__bexitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long
		BgL_checksumz00_1567, char *BgL_fromz00_1568)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__bexitz00))
				{
					BGl_requirezd2initializa7ationz75zz__bexitz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__bexitz00();
					BGl_importedzd2moduleszd2initz00zz__bexitz00();
					return BGl_methodzd2initzd2zz__bexitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__bexitz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 14 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* val-from-exit? */
	BGL_EXPORTED_DEF obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t
		BgL_valz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 132 */
			{	/* Llib/bexit.scm 133 */
				obj_t BgL_arg1135z00_1280;

				BgL_arg1135z00_1280 = BGL_EXITD_VAL();
				return BBOOL((BgL_valz00_3 == BgL_arg1135z00_1280));
			}
		}
		BGL_FUNCTION_END;
	}



/* &val-from-exit? */
	obj_t BGl_z62valzd2fromzd2exitzf3z91zz__bexitz00(obj_t BgL_envz00_1546,
		obj_t BgL_valz00_1547)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 132 */
			return BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_valz00_1547);
		}
		BGL_FUNCTION_END;
	}



/* unwind-stack-value? */
	BGL_EXPORTED_DEF bool_t unwind_stack_value_p(obj_t BgL_valz00_4)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 143 */
			{	/* Llib/bexit.scm 133 */
				obj_t BgL_arg1135z00_1281;

				BgL_arg1135z00_1281 = BGL_EXITD_VAL();
				return (BgL_valz00_4 == BgL_arg1135z00_1281);
			}
		}
		BGL_FUNCTION_END;
	}



/* &unwind-stack-value? */
	obj_t BGl_z62unwindzd2stackzd2valuezf3z91zz__bexitz00(obj_t BgL_envz00_1548,
		obj_t BgL_valz00_1549)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 143 */
			return BBOOL(unwind_stack_value_p(BgL_valz00_1549));
		}
		BGL_FUNCTION_END;
	}



/* unwind-until! */
	BGL_EXPORTED_DEF obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t
		BgL_exitdz00_5, obj_t BgL_valz00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 153 */
			if (PAIRP(BgL_exitdz00_5))
				{	/* Llib/bexit.scm 154 */
					return
						unwind_stack_until(CAR(BgL_exitdz00_5), BFALSE, BgL_valz00_6,
						CDR(BgL_exitdz00_5));
				}
			else
				{	/* Llib/bexit.scm 154 */
					return
						unwind_stack_until(BgL_exitdz00_5, BFALSE, BgL_valz00_6, BFALSE);
				}
		}
		BGL_FUNCTION_END;
	}



/* &unwind-until! */
	obj_t BGl_z62unwindzd2untilz12za2zz__bexitz00(obj_t BgL_envz00_1550,
		obj_t BgL_exitdz00_1551, obj_t BgL_valz00_1552)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 153 */
			return
				BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_exitdz00_1551,
				BgL_valz00_1552);
		}
		BGL_FUNCTION_END;
	}



/* unwind-stack-until! */
	BGL_EXPORTED_DEF obj_t unwind_stack_until(obj_t BgL_exitdz00_7,
		obj_t BgL_estampz00_8, obj_t BgL_valz00_9, obj_t BgL_proczd2bottomzd2_10)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 166 */
			{

			BgL_zc3anonymousza31142ze3z83_872:
				{	/* Llib/bexit.scm 168 */
					obj_t BgL_exitdzd2topzd2_873;

					BgL_exitdzd2topzd2_873 = BGL_EXITD_TOP_AS_OBJ();
					if (BGL_EXITD_BOTTOMP(BgL_exitdzd2topzd2_873))
						{	/* Llib/bexit.scm 169 */
							BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00
								(BgL_exitdzd2topzd2_873);
							if (PROCEDUREP(BgL_proczd2bottomzd2_10))
								{	/* Llib/bexit.scm 172 */
									return
										PROCEDURE_ENTRY(BgL_proczd2bottomzd2_10)
										(BgL_proczd2bottomzd2_10, BgL_valz00_9, BEOA);
								}
							else
								{	/* Llib/bexit.scm 174 */
									obj_t BgL_hdlz00_876;

									BgL_hdlz00_876 = BGL_UNCAUGHT_EXCEPTION_HANDLER_GET();
									if (PROCEDUREP(BgL_hdlz00_876))
										{	/* Llib/bexit.scm 175 */
											return
												PROCEDURE_ENTRY(BgL_hdlz00_876) (BgL_hdlz00_876,
												BgL_valz00_9, BEOA);
										}
									else
										{	/* Llib/bexit.scm 175 */
											return
												BGl_errorz00zz__errorz00(BGl_string1591z00zz__bexitz00,
												BGl_string1592z00zz__bexitz00, BgL_valz00_9);
										}
								}
						}
					else
						{	/* Llib/bexit.scm 169 */
							BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00
								(BgL_exitdzd2topzd2_873);
							POP_EXIT();
							{	/* Llib/bexit.scm 186 */
								bool_t BgL_testz00_1611;

								if ((BgL_exitdzd2topzd2_873 == BgL_exitdz00_7))
									{	/* Llib/bexit.scm 187 */
										bool_t BgL__ortest_1037z00_890;

										if (INTEGERP(BgL_estampz00_8))
											{	/* Llib/bexit.scm 187 */
												BgL__ortest_1037z00_890 = ((bool_t) 0);
											}
										else
											{	/* Llib/bexit.scm 187 */
												BgL__ortest_1037z00_890 = ((bool_t) 1);
											}
										if (BgL__ortest_1037z00_890)
											{	/* Llib/bexit.scm 187 */
												BgL_testz00_1611 = BgL__ortest_1037z00_890;
											}
										else
											{	/* Llib/bexit.scm 188 */
												obj_t BgL_arg1168z00_891;

												BgL_arg1168z00_891 =
													EXITD_STAMP(BgL_exitdzd2topzd2_873);
												BgL_testz00_1611 =
													(
													(long) CINT(BgL_arg1168z00_891) ==
													(long) CINT(BgL_estampz00_8));
									}}
								else
									{	/* Llib/bexit.scm 186 */
										BgL_testz00_1611 = ((bool_t) 0);
									}
								if (BgL_testz00_1611)
									{	/* Llib/bexit.scm 186 */
										if (EXITD_CALLCCP(BgL_exitdzd2topzd2_873))
											{	/* Llib/bexit.scm 191 */
												void *BgL_arg1154z00_884;

												BgL_arg1154z00_884 =
													EXITD_TO_EXIT(BgL_exitdzd2topzd2_873);
												CALLCC_JUMP_EXIT(BgL_arg1154z00_884, BgL_valz00_9);
											}
										else
											{	/* Llib/bexit.scm 189 */
												JUMP_EXIT(EXITD_TO_EXIT(BgL_exitdzd2topzd2_873),
													BgL_valz00_9);
											}
										return BUNSPEC;
									}
								else
									{	/* Llib/bexit.scm 186 */
										if (EXITD_USERP(BgL_exitdzd2topzd2_873))
											{	/* Llib/bexit.scm 195 */
												goto BgL_zc3anonymousza31142ze3z83_872;
											}
										else
											{	/* Llib/bexit.scm 195 */
												{	/* Llib/bexit.scm 196 */
													obj_t BgL_pz00_886;

													BgL_pz00_886 = BGL_EXITD_VAL();
													{	/* Llib/bexit.scm 197 */
														obj_t BgL_arg1157z00_887;

														BgL_arg1157z00_887 = CAR(((obj_t) BgL_pz00_886));
														{	/* Llib/bexit.scm 197 */
															obj_t BgL_tmpz00_1633;

															BgL_tmpz00_1633 = ((obj_t) BgL_arg1157z00_887);
															SET_CAR(BgL_tmpz00_1633, BgL_exitdz00_7);
														}
													}
													{	/* Llib/bexit.scm 198 */
														obj_t BgL_arg1166z00_888;

														BgL_arg1166z00_888 = CAR(((obj_t) BgL_pz00_886));
														{	/* Llib/bexit.scm 198 */
															obj_t BgL_tmpz00_1638;

															BgL_tmpz00_1638 = ((obj_t) BgL_arg1166z00_888);
															SET_CDR(BgL_tmpz00_1638, BgL_proczd2bottomzd2_10);
														}
													}
													{	/* Llib/bexit.scm 199 */
														obj_t BgL_tmpz00_1641;

														BgL_tmpz00_1641 = ((obj_t) BgL_pz00_886);
														SET_CDR(BgL_tmpz00_1641, BgL_valz00_9);
													}
													JUMP_EXIT(EXITD_TO_EXIT(BgL_exitdzd2topzd2_873),
														BgL_pz00_886);
												}
												return BUNSPEC;
											}
									}
							}
						}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &unwind-stack-until! */
	obj_t BGl_z62unwindzd2stackzd2untilz12z70zz__bexitz00(obj_t BgL_envz00_1553,
		obj_t BgL_exitdz00_1554, obj_t BgL_estampz00_1555, obj_t BgL_valz00_1556,
		obj_t BgL_proczd2bottomzd2_1557)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 166 */
			return
				unwind_stack_until(BgL_exitdz00_1554, BgL_estampz00_1555,
				BgL_valz00_1556, BgL_proczd2bottomzd2_1557);
		}
		BGL_FUNCTION_END;
	}



/* exitd-exec-protect */
	obj_t BGl_exitdzd2execzd2protectz00zz__bexitz00(obj_t BgL_pz00_11)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 208 */
			{	/* Llib/bexit.scm 210 */
				bool_t BgL_testz00_1648;

				{	/* Llib/bexit.scm 210 */
					bool_t BgL_res1536z00_1299;

					BgL_res1536z00_1299 = BGL_MUTEXP(BgL_pz00_11);
					BgL_testz00_1648 = BgL_res1536z00_1299;
				}
				if (BgL_testz00_1648)
					{	/* Llib/bexit.scm 210 */
						int BgL_arg1508z00_1301;

						{	/* Llib/bexit.scm 210 */
							obj_t BgL_tmpz00_1650;

							BgL_tmpz00_1650 = ((obj_t) BgL_pz00_11);
							BgL_arg1508z00_1301 = BGL_MUTEX_UNLOCK(BgL_tmpz00_1650);
						}
						return BBOOL(((long) (BgL_arg1508z00_1301) == ((long) 0)));
					}
				else
					{	/* Llib/bexit.scm 210 */
						if (PROCEDUREP(BgL_pz00_11))
							{	/* Llib/bexit.scm 211 */
								return PROCEDURE_ENTRY(BgL_pz00_11) (BgL_pz00_11, BEOA);
							}
						else
							{	/* Llib/bexit.scm 211 */
								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_pz00_11))
									{	/* Llib/bexit.scm 212 */
										return
											BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(CINT
											(BgL_pz00_11));
									}
								else
									{	/* Llib/bexit.scm 212 */
										if (VECTORP(BgL_pz00_11))
											{	/* Llib/bexit.scm 213 */
												return
													BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00
													(BgL_pz00_11);
											}
										else
											{	/* Llib/bexit.scm 213 */
												return BFALSE;
											}
									}
							}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* exitd-exec-and-pop-protects! */
	obj_t BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00(obj_t
		BgL_exitdz00_12)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 221 */
			{	/* Llib/bexit.scm 222 */
				obj_t BgL_g1038z00_898;

				BgL_g1038z00_898 = BGL_EXITD_PROTECTN(BgL_exitdz00_12);
				{
					obj_t BgL_lz00_900;

					BgL_lz00_900 = BgL_g1038z00_898;
				BgL_zc3anonymousza31173ze3z83_901:
					if (PAIRP(BgL_lz00_900))
						{	/* Llib/bexit.scm 224 */
							obj_t BgL_pz00_903;

							BgL_pz00_903 = CAR(BgL_lz00_900);
							{	/* Llib/bexit.scm 225 */
								obj_t BgL_arg1175z00_904;

								BgL_arg1175z00_904 = CDR(BgL_lz00_900);
								BGL_EXITD_PROTECTN_SET(BgL_exitdz00_12, BgL_arg1175z00_904);
								BUNSPEC;
							}
							BGl_exitdzd2execzd2protectz00zz__bexitz00(BgL_pz00_903);
							{
								obj_t BgL_lz00_1675;

								BgL_lz00_1675 = CDR(BgL_lz00_900);
								BgL_lz00_900 = BgL_lz00_1675;
								goto BgL_zc3anonymousza31173ze3z83_901;
							}
						}
					else
						{	/* Llib/bexit.scm 223 */
							((bool_t) 0);
						}
				}
			}
			{	/* Llib/bexit.scm 228 */
				obj_t BgL_pz00_907;

				BgL_pz00_907 = BGL_EXITD_PROTECT1(BgL_exitdz00_12);
				if (CBOOL(BgL_pz00_907))
					{	/* Llib/bexit.scm 229 */
						BGL_EXITD_PROTECT1_SET(BgL_exitdz00_12, BFALSE);
						BUNSPEC;
						BGl_exitdzd2execzd2protectz00zz__bexitz00(BgL_pz00_907);
					}
				else
					{	/* Llib/bexit.scm 229 */
						BFALSE;
					}
			}
			{	/* Llib/bexit.scm 232 */
				obj_t BgL_pz00_908;

				BgL_pz00_908 = BGL_EXITD_PROTECT0(BgL_exitdz00_12);
				BGL_EXITD_PROTECT0_SET(BgL_exitdz00_12, BFALSE);
				BUNSPEC;
				return BGl_exitdzd2execzd2protectz00zz__bexitz00(BgL_pz00_908);
			}
		}
		BGL_FUNCTION_END;
	}



/* exitd-push-protect! */
	BGL_EXPORTED_DEF obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t
		BgL_exitdz00_13, obj_t BgL_mz00_14)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 243 */
			if (CBOOL(BGL_EXITD_PROTECT0(BgL_exitdz00_13)))
				{	/* Llib/bexit.scm 245 */
					if (CBOOL(BGL_EXITD_PROTECT1(BgL_exitdz00_13)))
						{	/* Llib/bexit.scm 250 */
							obj_t BgL_arg1195z00_911;

							{	/* Llib/bexit.scm 250 */
								obj_t BgL_arg1197z00_912;

								BgL_arg1197z00_912 = BGL_EXITD_PROTECTN(BgL_exitdz00_13);
								BgL_arg1195z00_911 =
									MAKE_YOUNG_PAIR(BgL_mz00_14, BgL_arg1197z00_912);
							}
							BGL_EXITD_PROTECTN_SET(BgL_exitdz00_13, BgL_arg1195z00_911);
							return BUNSPEC;
						}
					else
						{	/* Llib/bexit.scm 247 */
							BGL_EXITD_PROTECT1_SET(BgL_exitdz00_13, BgL_mz00_14);
							return BUNSPEC;
						}
				}
			else
				{	/* Llib/bexit.scm 245 */
					BGL_EXITD_PROTECT0_SET(BgL_exitdz00_13, BgL_mz00_14);
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* &exitd-push-protect! */
	obj_t BGl_z62exitdzd2pushzd2protectz12z70zz__bexitz00(obj_t BgL_envz00_1558,
		obj_t BgL_exitdz00_1559, obj_t BgL_mz00_1560)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 243 */
			return
				BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitdz00_1559,
				BgL_mz00_1560);
		}
		BGL_FUNCTION_END;
	}



/* exitd-pop-protect! */
	BGL_EXPORTED_DEF obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t
		BgL_exitdz00_15)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 255 */
			if (CBOOL(BGL_EXITD_PROTECT1(BgL_exitdz00_15)))
				{	/* Llib/bexit.scm 259 */
					bool_t BgL_testz00_1700;

					{	/* Llib/bexit.scm 259 */
						obj_t BgL_arg1209z00_918;

						BgL_arg1209z00_918 = BGL_EXITD_PROTECTN(BgL_exitdz00_15);
						BgL_testz00_1700 = NULLP(BgL_arg1209z00_918);
					}
					if (BgL_testz00_1700)
						{	/* Llib/bexit.scm 259 */
							BGL_EXITD_PROTECT1_SET(BgL_exitdz00_15, BFALSE);
							return BUNSPEC;
						}
					else
						{	/* Llib/bexit.scm 262 */
							obj_t BgL_arg1203z00_916;

							{	/* Llib/bexit.scm 262 */
								obj_t BgL_arg1204z00_917;

								BgL_arg1204z00_917 = BGL_EXITD_PROTECTN(BgL_exitdz00_15);
								BgL_arg1203z00_916 = CDR(((obj_t) BgL_arg1204z00_917));
							}
							BGL_EXITD_PROTECTN_SET(BgL_exitdz00_15, BgL_arg1203z00_916);
							return BUNSPEC;
						}
				}
			else
				{	/* Llib/bexit.scm 257 */
					BGL_EXITD_PROTECT0_SET(BgL_exitdz00_15, BFALSE);
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* &exitd-pop-protect! */
	obj_t BGl_z62exitdzd2popzd2protectz12z70zz__bexitz00(obj_t BgL_envz00_1561,
		obj_t BgL_exitdz00_1562)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 255 */
			return BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitdz00_1562);
		}
		BGL_FUNCTION_END;
	}



/* default-uncaught-exception-handler */
	BGL_EXPORTED_DEF obj_t bgl_uncaught_exception_handler(obj_t BgL_valz00_16)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 267 */
			return
				BGl_errorz00zz__errorz00(BGl_string1591z00zz__bexitz00,
				BGl_string1592z00zz__bexitz00, BgL_valz00_16);
		}
		BGL_FUNCTION_END;
	}



/* &default-uncaught-exception-handler */
	obj_t BGl_z62defaultzd2uncaughtzd2exceptionzd2handlerzb0zz__bexitz00(obj_t
		BgL_envz00_1563, obj_t BgL_valz00_1564)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 267 */
			return bgl_uncaught_exception_handler(BgL_valz00_1564);
		}
		BGL_FUNCTION_END;
	}



/* $exitd-mutex-profile */
	BGL_EXPORTED_DEF obj_t bgl_exitd_mutex_profile()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 278 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &$exitd-mutex-profile */
	obj_t BGl_z62z42exitdzd2mutexzd2profilez20zz__bexitz00(obj_t BgL_envz00_1565)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 278 */
			return bgl_exitd_mutex_profile();
		}
		BGL_FUNCTION_END;
	}



/* $failsafe-mutex-profile */
	BGL_EXPORTED_DEF obj_t bgl_failsafe_mutex_profile()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 279 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* &$failsafe-mutex-profile */
	obj_t BGl_z62z42failsafezd2mutexzd2profilez20zz__bexitz00(obj_t
		BgL_envz00_1566)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 279 */
			return bgl_failsafe_mutex_profile();
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__bexitz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__bexitz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__bexitz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 14 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__bexitz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Llib/bexit.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1593z00zz__bexitz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string1593z00zz__bexitz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564232),
				BSTRING_TO_STRING(BGl_string1593z00zz__bexitz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
