/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (4.3e)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Dec 18 14:20:08 CET 2018        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3e -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/kmp.scm -indent -o objs/obj_u/Unsafe/kmp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__kmpz00();
	static obj_t BGl_genericzd2initzd2zz__kmpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00();
	static obj_t BGl_gczd2rootszd2initz00zz__kmpz00();
	static obj_t BGl_objectzd2initzd2zz__kmpz00();
	BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__kmpz00();
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1747z00zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1749z00zz__kmpz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2stringzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2stringza71759za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2mmapzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2mmapza7b01760za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2tablezd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2tableza7b1761za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1742z00zz__kmpz00,
		BgL_bgl_string1742za700za7za7_1762za7, "/tmp/bigloo/runtime/Unsafe/kmp.scm",
		34);
	      DEFINE_STRING(BGl_string1743z00zz__kmpz00,
		BgL_bgl_string1743za700za7za7_1763za7, "&kmp-table", 10);
	      DEFINE_STRING(BGl_string1744z00zz__kmpz00,
		BgL_bgl_string1744za700za7za7_1764za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1745z00zz__kmpz00,
		BgL_bgl_string1745za700za7za7_1765za7, "kmp-mmap", 8);
	      DEFINE_STRING(BGl_string1746z00zz__kmpz00,
		BgL_bgl_string1746za700za7za7_1766za7, "Illegal kmp-table", 17);
	      DEFINE_STRING(BGl_string1748z00zz__kmpz00,
		BgL_bgl_string1748za700za7za7_1767za7, "string", 6);
	      DEFINE_STRING(BGl_string1750z00zz__kmpz00,
		BgL_bgl_string1750za700za7za7_1768za7, "vector", 6);
	      DEFINE_STRING(BGl_string1751z00zz__kmpz00,
		BgL_bgl_string1751za700za7za7_1769za7, "&kmp-mmap", 9);
	      DEFINE_STRING(BGl_string1752z00zz__kmpz00,
		BgL_bgl_string1752za700za7za7_1770za7, "pair", 4);
	      DEFINE_STRING(BGl_string1753z00zz__kmpz00,
		BgL_bgl_string1753za700za7za7_1771za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1754z00zz__kmpz00,
		BgL_bgl_string1754za700za7za7_1772za7, "belong", 6);
	      DEFINE_STRING(BGl_string1755z00zz__kmpz00,
		BgL_bgl_string1755za700za7za7_1773za7, "kmp-string", 10);
	      DEFINE_STRING(BGl_string1756z00zz__kmpz00,
		BgL_bgl_string1756za700za7za7_1774za7, "&kmp-string", 11);
	      DEFINE_STRING(BGl_string1757z00zz__kmpz00,
		BgL_bgl_string1757za700za7za7_1775za7, "bint", 4);
	      DEFINE_STRING(BGl_string1758z00zz__kmpz00,
		BgL_bgl_string1758za700za7za7_1776za7, "__kmp", 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__kmpz00));
		     ADD_ROOT((void *) (&BGl_symbol1747z00zz__kmpz00));
		     ADD_ROOT((void *) (&BGl_symbol1749z00zz__kmpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long
		BgL_checksumz00_1850, char *BgL_fromz00_1851)
	{
		BGL_FUNCTION_BEGIN;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
				{
					BGl_requirezd2initializa7ationz75zz__kmpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__kmpz00();
					BGl_cnstzd2initzd2zz__kmpz00();
					BGl_importedzd2moduleszd2initz00zz__kmpz00();
					return BGl_methodzd2initzd2zz__kmpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
		BGL_FUNCTION_END;
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__kmpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 15 */
			BGl_symbol1747z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1748z00zz__kmpz00);
			return (BGl_symbol1749z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1750z00zz__kmpz00), BUNSPEC);
		}
		BGL_FUNCTION_END;
	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__kmpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 15 */
			return bgl_gc_roots_register();
		}
		BGL_FUNCTION_END;
	}



/* kmp-table */
	BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 50 */
			{	/* Unsafe/kmp.scm 51 */
				long BgL_lpz00_920;

				BgL_lpz00_920 = STRING_LENGTH(BgL_pz00_3);
				{	/* Unsafe/kmp.scm 51 */
					obj_t BgL_tz00_921;

					BgL_tz00_921 =
						make_vector((BgL_lpz00_920 + ((long) 2)), BINT(((long) 0)));
					{	/* Unsafe/kmp.scm 52 */
						long BgL_iz00_922;

						BgL_iz00_922 = ((long) 0);
						{	/* Unsafe/kmp.scm 53 */
							obj_t BgL_jz00_923;

							BgL_jz00_923 = BINT(((long) -1));
							{	/* Unsafe/kmp.scm 54 */
								unsigned char BgL_cz00_924;

								BgL_cz00_924 = ((unsigned char) '\000');
								{	/* Unsafe/kmp.scm 55 */

									VECTOR_SET(BgL_tz00_921, ((long) 0), BgL_jz00_923);
									{

									BgL_zc3anonymousza31131ze3z83_926:
										if ((BgL_iz00_922 < BgL_lpz00_920))
											{	/* Unsafe/kmp.scm 58 */
												{	/* Unsafe/kmp.scm 60 */
													bool_t BgL_testz00_1870;

													{	/* Unsafe/kmp.scm 60 */
														unsigned char BgL_char2z00_1436;

														BgL_char2z00_1436 = BgL_cz00_924;
														BgL_testz00_1870 =
															(STRING_REF(BgL_pz00_3,
																BgL_iz00_922) == BgL_char2z00_1436);
													}
													if (BgL_testz00_1870)
														{	/* Unsafe/kmp.scm 60 */
															{	/* Unsafe/kmp.scm 61 */
																long BgL_arg1140z00_930;
																long BgL_arg1141z00_931;

																BgL_arg1140z00_930 =
																	(BgL_iz00_922 + ((long) 1));
																BgL_arg1141z00_931 =
																	((long) CINT(BgL_jz00_923) + ((long) 1));
																VECTOR_SET(BgL_tz00_921, BgL_arg1140z00_930,
																	BINT(BgL_arg1141z00_931));
															}
															BgL_jz00_923 =
																ADDFX(BgL_jz00_923, BINT(((long) 1)));
															BgL_iz00_922 = (BgL_iz00_922 + ((long) 1));
														}
													else
														{	/* Unsafe/kmp.scm 60 */
															if (((long) CINT(BgL_jz00_923) > ((long) 0)))
																{	/* Unsafe/kmp.scm 64 */
																	BgL_jz00_923 =
																		VECTOR_REF(BgL_tz00_921,
																		(long) CINT(BgL_jz00_923));
																}
															else
																{	/* Unsafe/kmp.scm 64 */
																	VECTOR_SET(BgL_tz00_921,
																		(BgL_iz00_922 + ((long) 1)),
																		BINT(((long) 0)));
																	BgL_iz00_922 = (BgL_iz00_922 + ((long) 1));
																	BgL_jz00_923 = BINT(((long) 0));
												}}}
												BgL_cz00_924 =
													STRING_REF(BgL_pz00_3, (long) CINT(BgL_jz00_923));
												goto BgL_zc3anonymousza31131ze3z83_926;
											}
										else
											{	/* Unsafe/kmp.scm 58 */
												((bool_t) 0);
											}
									}
									return MAKE_YOUNG_PAIR(BgL_tz00_921, BgL_pz00_3);
								}
							}
						}
					}
				}
			}
		}
		BGL_FUNCTION_END;
	}



/* &kmp-table */
	obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1826,
		obj_t BgL_pz00_1827)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 50 */
			{	/* Unsafe/kmp.scm 51 */
				obj_t BgL_auxz00_1894;

				if (STRINGP(BgL_pz00_1827))
					{	/* Unsafe/kmp.scm 51 */
						BgL_auxz00_1894 = BgL_pz00_1827;
					}
				else
					{
						obj_t BgL_auxz00_1897;

						BgL_auxz00_1897 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__kmpz00,
							BINT(((long) 1822)), BGl_string1743z00zz__kmpz00,
							BGl_string1744z00zz__kmpz00, BgL_pz00_1827);
						FAILURE(BgL_auxz00_1897, BFALSE, BFALSE);
					}
				return BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_1894);
			}
		}
		BGL_FUNCTION_END;
	}



/* kmp-mmap */
	BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4,
		obj_t BgL_mmz00_5, long BgL_mz00_6)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 77 */
			{	/* Unsafe/kmp.scm 79 */
				bool_t BgL_testz00_1902;

				{	/* Unsafe/kmp.scm 79 */
					obj_t BgL_tmpz00_1903;

					BgL_tmpz00_1903 = CAR(BgL_tpz00_4);
					BgL_testz00_1902 = VECTORP(BgL_tmpz00_1903);
				}
				if (BgL_testz00_1902)
					{	/* Unsafe/kmp.scm 81 */
						bool_t BgL_testz00_1906;

						{	/* Unsafe/kmp.scm 81 */
							obj_t BgL_tmpz00_1907;

							BgL_tmpz00_1907 = CDR(BgL_tpz00_4);
							BgL_testz00_1906 = STRINGP(BgL_tmpz00_1907);
						}
						if (BgL_testz00_1906)
							{	/* Unsafe/kmp.scm 83 */
								bool_t BgL_testz00_1910;

								{	/* Unsafe/kmp.scm 83 */
									long BgL_arg1218z00_973;
									long BgL_arg1227z00_974;

									{	/* Unsafe/kmp.scm 83 */
										obj_t BgL_arg1228z00_975;

										BgL_arg1228z00_975 = CAR(BgL_tpz00_4);
										BgL_arg1218z00_973 =
											VECTOR_LENGTH(((obj_t) BgL_arg1228z00_975));
									}
									BgL_arg1227z00_974 =
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_4)));
									BgL_testz00_1910 = (BgL_arg1218z00_973 == BgL_arg1227z00_974);
								}
								if (BgL_testz00_1910)
									{	/* Unsafe/kmp.scm 86 */
										obj_t BgL_tz00_947;

										BgL_tz00_947 = CAR(BgL_tpz00_4);
										{	/* Unsafe/kmp.scm 86 */
											obj_t BgL_pz00_948;

											BgL_pz00_948 = CDR(BgL_tpz00_4);
											{	/* Unsafe/kmp.scm 87 */
												long BgL_lsz00_949;

												{	/* Unsafe/kmp.scm 88 */
													long BgL_res1642z00_1478;

													BgL_res1642z00_1478 = BGL_MMAP_LENGTH(BgL_mmz00_5);
													BgL_lsz00_949 = BgL_res1642z00_1478;
												}
												{	/* Unsafe/kmp.scm 88 */
													long BgL_lpz00_950;

													{	/* Unsafe/kmp.scm 89 */
														long BgL_arg1214z00_972;

														BgL_arg1214z00_972 =
															STRING_LENGTH(((obj_t) BgL_pz00_948));
														{	/* Unsafe/kmp.scm 89 */
															long BgL_res1644z00_1482;

															BgL_res1644z00_1482 = (long) (BgL_arg1214z00_972);
															BgL_lpz00_950 = BgL_res1644z00_1482;
													}}
													{	/* Unsafe/kmp.scm 89 */

														{
															long BgL_iz00_952;

															BgL_iz00_952 = ((long) 0);
														BgL_zc3anonymousza31170ze3z83_953:
															if ((BgL_iz00_952 == BgL_lpz00_950))
																{	/* Unsafe/kmp.scm 92 */
																	return BgL_mz00_6;
																}
															else
																{	/* Unsafe/kmp.scm 92 */
																	if (
																		((BgL_iz00_952 + BgL_mz00_6) >=
																			BgL_lsz00_949))
																		{	/* Unsafe/kmp.scm 94 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 97 */
																			long BgL_fiz00_957;

																			{	/* Unsafe/kmp.scm 97 */
																				long BgL_res1648z00_1493;

																				BgL_res1648z00_1493 =
																					(long) (BgL_iz00_952);
																				BgL_fiz00_957 = BgL_res1648z00_1493;
																			}
																			{	/* Unsafe/kmp.scm 98 */
																				bool_t BgL_testz00_1930;

																				{	/* Unsafe/kmp.scm 98 */
																					unsigned char BgL_arg1209z00_967;
																					unsigned char BgL_arg1210z00_968;

																					{	/* Unsafe/kmp.scm 98 */
																						long BgL_arg1211z00_969;

																						BgL_arg1211z00_969 =
																							(BgL_iz00_952 + BgL_mz00_6);
																						{	/* Unsafe/kmp.scm 98 */
																							unsigned char BgL_res1652z00_1507;

																							{	/* Unsafe/kmp.scm 98 */
																								unsigned char BgL_cz00_1499;

																								BgL_cz00_1499 =
																									BGL_MMAP_REF(BgL_mmz00_5,
																									BgL_arg1211z00_969);
																								{	/* Unsafe/kmp.scm 98 */
																									long BgL_arg1618z00_1500;

																									BgL_arg1618z00_1500 =
																										(BgL_arg1211z00_969 +
																										((long) 1));
																									{	/* Unsafe/kmp.scm 98 */
																										long BgL_res1651z00_1506;

																										BGL_MMAP_RP_SET(BgL_mmz00_5,
																											BgL_arg1618z00_1500);
																										BUNSPEC;
																										BgL_res1651z00_1506 =
																											BgL_arg1618z00_1500;
																										BgL_res1651z00_1506;
																								}}
																								BgL_res1652z00_1507 =
																									BgL_cz00_1499;
																							}
																							BgL_arg1209z00_967 =
																								BgL_res1652z00_1507;
																					}}
																					BgL_arg1210z00_968 =
																						STRING_REF(
																						((obj_t) BgL_pz00_948),
																						BgL_fiz00_957);
																					BgL_testz00_1930 =
																						(BgL_arg1209z00_967 ==
																						BgL_arg1210z00_968);
																				}
																				if (BgL_testz00_1930)
																					{
																						long BgL_iz00_1938;

																						BgL_iz00_1938 =
																							(BgL_iz00_952 + ((long) 1));
																						BgL_iz00_952 = BgL_iz00_1938;
																						goto
																							BgL_zc3anonymousza31170ze3z83_953;
																					}
																				else
																					{	/* Unsafe/kmp.scm 100 */
																						long BgL_tiz00_963;

																						{	/* Unsafe/kmp.scm 100 */
																							obj_t BgL_arg1204z00_966;

																							BgL_arg1204z00_966 =
																								VECTOR_REF(
																								((obj_t) BgL_tz00_947),
																								BgL_fiz00_957);
																							{	/* Unsafe/kmp.scm 100 */
																								long BgL_res1656z00_1520;

																								{	/* Unsafe/kmp.scm 100 */
																									long BgL_tmpz00_1942;

																									BgL_tmpz00_1942 =
																										(long)
																										CINT(BgL_arg1204z00_966);
																									BgL_res1656z00_1520 =
																										(long) (BgL_tmpz00_1942);
																								}
																								BgL_tiz00_963 =
																									BgL_res1656z00_1520;
																						}}
																						{	/* Unsafe/kmp.scm 101 */
																							long BgL_za71za7_1524;

																							BgL_za71za7_1524 = BgL_mz00_6;
																							{	/* Unsafe/kmp.scm 101 */
																								long BgL_tmpz00_1945;

																								{	/* Unsafe/kmp.scm 101 */
																									long BgL_res1657z00_1523;

																									{	/* Unsafe/kmp.scm 101 */
																										long BgL_tmpz00_1946;

																										BgL_tmpz00_1946 =
																											(BgL_iz00_952 -
																											BgL_tiz00_963);
																										BgL_res1657z00_1523 =
																											(long) (BgL_tmpz00_1946);
																									}
																									BgL_tmpz00_1945 =
																										BgL_res1657z00_1523;
																								}
																								BgL_mz00_6 =
																									(BgL_za71za7_1524 +
																									BgL_tmpz00_1945);
																						}}
																						if ((BgL_iz00_952 > ((long) 0)))
																							{
																								long BgL_iz00_1952;

																								BgL_iz00_1952 = BgL_tiz00_963;
																								BgL_iz00_952 = BgL_iz00_1952;
																								goto
																									BgL_zc3anonymousza31170ze3z83_953;
																							}
																						else
																							{

																								goto
																									BgL_zc3anonymousza31170ze3z83_953;
																							}
																					}
																			}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 84 */
										obj_t BgL_tmpz00_1953;

										BgL_tmpz00_1953 =
											BGl_errorz00zz__errorz00(BGl_string1745z00zz__kmpz00,
											BGl_string1746z00zz__kmpz00, BgL_tpz00_4);
										return BELONG_TO_LONG(BgL_tmpz00_1953);
									}
							}
						else
							{	/* Unsafe/kmp.scm 82 */
								obj_t BgL_arg1235z00_978;

								BgL_arg1235z00_978 = CDR(BgL_tpz00_4);
								{	/* Unsafe/kmp.scm 82 */
									obj_t BgL_tmpz00_1957;

									BgL_tmpz00_1957 =
										BGl_bigloozd2typezd2errorz00zz__errorz00
										(BGl_string1745z00zz__kmpz00, BGl_symbol1747z00zz__kmpz00,
										BgL_arg1235z00_978);
									return BELONG_TO_LONG(BgL_tmpz00_1957);
								}
							}
					}
				else
					{	/* Unsafe/kmp.scm 80 */
						obj_t BgL_arg1240z00_980;

						BgL_arg1240z00_980 = CAR(BgL_tpz00_4);
						{	/* Unsafe/kmp.scm 80 */
							obj_t BgL_tmpz00_1961;

							BgL_tmpz00_1961 =
								BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_string1745z00zz__kmpz00, BGl_symbol1749z00zz__kmpz00,
								BgL_arg1240z00_980);
							return BELONG_TO_LONG(BgL_tmpz00_1961);
						}
					}
			}
		}
		BGL_FUNCTION_END;
	}



/* &kmp-mmap */
	obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1828,
		obj_t BgL_tpz00_1829, obj_t BgL_mmz00_1830, obj_t BgL_mz00_1831)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 77 */
			{	/* Unsafe/kmp.scm 79 */
				long BgL_tmpz00_1964;

				{	/* Unsafe/kmp.scm 79 */
					long BgL_auxz00_1979;
					obj_t BgL_auxz00_1972;
					obj_t BgL_auxz00_1965;

					{	/* Unsafe/kmp.scm 79 */
						obj_t BgL_tmpz00_1980;

						if (ELONGP(BgL_mz00_1831))
							{	/* Unsafe/kmp.scm 79 */
								BgL_tmpz00_1980 = BgL_mz00_1831;
							}
						else
							{
								obj_t BgL_auxz00_1983;

								BgL_auxz00_1983 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__kmpz00,
									BINT(((long) 2571)), BGl_string1751z00zz__kmpz00,
									BGl_string1754z00zz__kmpz00, BgL_mz00_1831);
								FAILURE(BgL_auxz00_1983, BFALSE, BFALSE);
							}
						BgL_auxz00_1979 = BELONG_TO_LONG(BgL_tmpz00_1980);
					}
					if (BGL_MMAPP(BgL_mmz00_1830))
						{	/* Unsafe/kmp.scm 79 */
							BgL_auxz00_1972 = BgL_mmz00_1830;
						}
					else
						{
							obj_t BgL_auxz00_1975;

							BgL_auxz00_1975 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__kmpz00,
								BINT(((long) 2571)), BGl_string1751z00zz__kmpz00,
								BGl_string1753z00zz__kmpz00, BgL_mmz00_1830);
							FAILURE(BgL_auxz00_1975, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1829))
						{	/* Unsafe/kmp.scm 79 */
							BgL_auxz00_1965 = BgL_tpz00_1829;
						}
					else
						{
							obj_t BgL_auxz00_1968;

							BgL_auxz00_1968 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__kmpz00,
								BINT(((long) 2571)), BGl_string1751z00zz__kmpz00,
								BGl_string1752z00zz__kmpz00, BgL_tpz00_1829);
							FAILURE(BgL_auxz00_1968, BFALSE, BFALSE);
						}
					BgL_tmpz00_1964 =
						BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_1965, BgL_auxz00_1972,
						BgL_auxz00_1979);
				}
				return make_belong(BgL_tmpz00_1964);
			}
		}
		BGL_FUNCTION_END;
	}



/* kmp-string */
	BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7,
		obj_t BgL_strz00_8, long BgL_mz00_9)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 109 */
			{	/* Unsafe/kmp.scm 111 */
				bool_t BgL_testz00_1990;

				{	/* Unsafe/kmp.scm 111 */
					obj_t BgL_tmpz00_1991;

					BgL_tmpz00_1991 = CAR(BgL_tpz00_7);
					BgL_testz00_1990 = VECTORP(BgL_tmpz00_1991);
				}
				if (BgL_testz00_1990)
					{	/* Unsafe/kmp.scm 113 */
						bool_t BgL_testz00_1994;

						{	/* Unsafe/kmp.scm 113 */
							obj_t BgL_tmpz00_1995;

							BgL_tmpz00_1995 = CDR(BgL_tpz00_7);
							BgL_testz00_1994 = STRINGP(BgL_tmpz00_1995);
						}
						if (BgL_testz00_1994)
							{	/* Unsafe/kmp.scm 115 */
								bool_t BgL_testz00_1998;

								{	/* Unsafe/kmp.scm 115 */
									long BgL_arg1287z00_1015;
									long BgL_arg1288z00_1016;

									{	/* Unsafe/kmp.scm 115 */
										obj_t BgL_arg1289z00_1017;

										BgL_arg1289z00_1017 = CAR(BgL_tpz00_7);
										BgL_arg1287z00_1015 =
											VECTOR_LENGTH(((obj_t) BgL_arg1289z00_1017));
									}
									BgL_arg1288z00_1016 =
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_7)));
									BgL_testz00_1998 =
										(BgL_arg1287z00_1015 == BgL_arg1288z00_1016);
								}
								if (BgL_testz00_1998)
									{	/* Unsafe/kmp.scm 118 */
										obj_t BgL_tz00_992;

										BgL_tz00_992 = CAR(BgL_tpz00_7);
										{	/* Unsafe/kmp.scm 118 */
											obj_t BgL_pz00_993;

											BgL_pz00_993 = CDR(BgL_tpz00_7);
											{	/* Unsafe/kmp.scm 119 */
												long BgL_lsz00_994;

												BgL_lsz00_994 = STRING_LENGTH(BgL_strz00_8);
												{	/* Unsafe/kmp.scm 120 */
													long BgL_lpz00_995;

													BgL_lpz00_995 = STRING_LENGTH(((obj_t) BgL_pz00_993));
													{	/* Unsafe/kmp.scm 121 */

														{
															obj_t BgL_iz00_997;

															BgL_iz00_997 = BINT(((long) 0));
														BgL_zc3anonymousza31269ze3z83_998:
															if (((long) CINT(BgL_iz00_997) == BgL_lpz00_995))
																{	/* Unsafe/kmp.scm 124 */
																	return BgL_mz00_9;
																}
															else
																{	/* Unsafe/kmp.scm 124 */
																	if (
																		(((long) CINT(BgL_iz00_997) + BgL_mz00_9) >=
																			BgL_lsz00_994))
																		{	/* Unsafe/kmp.scm 126 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 129 */
																			bool_t BgL_testz00_2018;

																			{	/* Unsafe/kmp.scm 129 */
																				unsigned char BgL_arg1282z00_1010;

																				BgL_arg1282z00_1010 =
																					STRING_REF(BgL_strz00_8,
																					((long) CINT(BgL_iz00_997) +
																						BgL_mz00_9));
																				BgL_testz00_2018 =
																					(BgL_arg1282z00_1010 ==
																					STRING_REF(((obj_t) BgL_pz00_993),
																						(long) CINT(BgL_iz00_997)));
																			}
																			if (BgL_testz00_2018)
																				{	/* Unsafe/kmp.scm 130 */
																					long BgL_arg1279z00_1006;

																					BgL_arg1279z00_1006 =
																						(
																						(long) CINT(BgL_iz00_997) +
																						((long) 1));
																					{
																						obj_t BgL_iz00_2028;

																						BgL_iz00_2028 =
																							BINT(BgL_arg1279z00_1006);
																						BgL_iz00_997 = BgL_iz00_2028;
																						goto
																							BgL_zc3anonymousza31269ze3z83_998;
																					}
																				}
																			else
																				{	/* Unsafe/kmp.scm 131 */
																					obj_t BgL_tiz00_1007;

																					{	/* Unsafe/kmp.scm 131 */
																						long BgL_kz00_1576;

																						BgL_kz00_1576 =
																							(long) CINT(BgL_iz00_997);
																						BgL_tiz00_1007 =
																							VECTOR_REF(
																							((obj_t) BgL_tz00_992),
																							BgL_kz00_1576);
																					}
																					BgL_mz00_9 =
																						(BgL_mz00_9 +
																						((long) CINT(BgL_iz00_997) -
																							(long) CINT(BgL_tiz00_1007)));
																					if (
																						((long) CINT(BgL_iz00_997) >
																							((long) 0)))
																						{
																							obj_t BgL_iz00_2040;

																							BgL_iz00_2040 = BgL_tiz00_1007;
																							BgL_iz00_997 = BgL_iz00_2040;
																							goto
																								BgL_zc3anonymousza31269ze3z83_998;
																						}
																					else
																						{

																							goto
																								BgL_zc3anonymousza31269ze3z83_998;
																						}
																				}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 115 */
										return
											(long)
											CINT(BGl_errorz00zz__errorz00(BGl_string1755z00zz__kmpz00,
												BGl_string1746z00zz__kmpz00, BgL_tpz00_7));
							}}
						else
							{	/* Unsafe/kmp.scm 114 */
								obj_t BgL_arg1293z00_1020;

								BgL_arg1293z00_1020 = CDR(BgL_tpz00_7);
								return
									(long)
									CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_string1755z00zz__kmpz00, BGl_symbol1747z00zz__kmpz00,
										BgL_arg1293z00_1020));
					}}
				else
					{	/* Unsafe/kmp.scm 112 */
						obj_t BgL_arg1295z00_1022;

						BgL_arg1295z00_1022 = CAR(BgL_tpz00_7);
						return
							(long)
							CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_string1755z00zz__kmpz00, BGl_symbol1749z00zz__kmpz00,
								BgL_arg1295z00_1022));
		}}}
		BGL_FUNCTION_END;
	}



/* &kmp-string */
	obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1832,
		obj_t BgL_tpz00_1833, obj_t BgL_strz00_1834, obj_t BgL_mz00_1835)
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 109 */
			{	/* Unsafe/kmp.scm 111 */
				long BgL_tmpz00_2050;

				{	/* Unsafe/kmp.scm 111 */
					long BgL_auxz00_2065;
					obj_t BgL_auxz00_2058;
					obj_t BgL_auxz00_2051;

					{	/* Unsafe/kmp.scm 111 */
						obj_t BgL_tmpz00_2066;

						if (INTEGERP(BgL_mz00_1835))
							{	/* Unsafe/kmp.scm 111 */
								BgL_tmpz00_2066 = BgL_mz00_1835;
							}
						else
							{
								obj_t BgL_auxz00_2069;

								BgL_auxz00_2069 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__kmpz00,
									BINT(((long) 3665)), BGl_string1756z00zz__kmpz00,
									BGl_string1757z00zz__kmpz00, BgL_mz00_1835);
								FAILURE(BgL_auxz00_2069, BFALSE, BFALSE);
							}
						BgL_auxz00_2065 = (long) CINT(BgL_tmpz00_2066);
					}
					if (STRINGP(BgL_strz00_1834))
						{	/* Unsafe/kmp.scm 111 */
							BgL_auxz00_2058 = BgL_strz00_1834;
						}
					else
						{
							obj_t BgL_auxz00_2061;

							BgL_auxz00_2061 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__kmpz00,
								BINT(((long) 3665)), BGl_string1756z00zz__kmpz00,
								BGl_string1744z00zz__kmpz00, BgL_strz00_1834);
							FAILURE(BgL_auxz00_2061, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1833))
						{	/* Unsafe/kmp.scm 111 */
							BgL_auxz00_2051 = BgL_tpz00_1833;
						}
					else
						{
							obj_t BgL_auxz00_2054;

							BgL_auxz00_2054 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1742z00zz__kmpz00,
								BINT(((long) 3665)), BGl_string1756z00zz__kmpz00,
								BGl_string1752z00zz__kmpz00, BgL_tpz00_1833);
							FAILURE(BgL_auxz00_2054, BFALSE, BFALSE);
						}
					BgL_tmpz00_2050 =
						BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_2051, BgL_auxz00_2058,
						BgL_auxz00_2065);
				}
				return BINT(BgL_tmpz00_2050);
			}
		}
		BGL_FUNCTION_END;
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__kmpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__kmpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__kmpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
		BGL_FUNCTION_END;
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00()
	{
		BGL_FUNCTION_BEGIN;
		{	/* Unsafe/kmp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1758z00zz__kmpz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1758z00zz__kmpz00));
		}
		BGL_FUNCTION_END;
	}

#ifdef __cplusplus
}
#endif
